From 512b681d074283d6f7640da69df91673123cacbc Mon Sep 17 00:00:00 2001
From: Tim Daly <daly@axiom-developer.org>
Date: Sat, 2 May 2015 02:10:12 -0400
Subject: [PATCH] src/interp/br-con.lisp remove saturn

The last bits of the saturn interface were removed.
---
 books/bookvol5.pamphlet           |  210 +---
 changelog                         |    8 +
 patch                             |    5 +-
 src/axiom-website/patches.html    |    2 +
 src/interp/br-con.lisp.pamphlet   | 2653 +++----------------------------------
 src/interp/format.lisp.pamphlet   |    6 -
 src/interp/i-output.lisp.pamphlet |    4 +-
 src/interp/interp-proclaims.lisp  |   59 +-
 src/interp/msgdb.lisp.pamphlet    |   62 +-
 src/interp/patches.lisp.pamphlet  |    6 -
 10 files changed, 281 insertions(+), 2734 deletions(-)

diff --git a/books/bookvol5.pamphlet b/books/bookvol5.pamphlet
index ccb30c4..abbd3dd 100644
--- a/books/bookvol5.pamphlet
+++ b/books/bookvol5.pamphlet
@@ -968,12 +968,6 @@ and that ``fn'' is to be called on ``args'' to get the text.
 
 \end{chunk}
 
-\defdollar{texFormatting}
-\begin{chunk}{initvars}
-(defvar |$texFormatting| nil) 
-
-\end{chunk}
-
 \defdollar{msgdbPrims}
 \begin{chunk}{initvars}
 (defvar |$msgdbPrims|
@@ -1005,13 +999,9 @@ and that ``fn'' is to be called on ``args'' to get the text.
 
 \defun{sayKeyedMsg}{Say a message using a keyed lookup}
 \calls{sayKeyedMsg}{sayKeyedMsgLocal}
-\usesdollar{sayKeyedMsg}{texFormatting}
 \begin{chunk}{defun sayKeyedMsg}
 (defun |sayKeyedMsg| (key args)
- (let (|$texFormatting|)
- (declare (special |$texFormatting|))
-  (setq |$texFormatting| nil)
-  (|sayKeyedMsgLocal| key args)))
+  (|sayKeyedMsgLocal| key args))
 
 \end{chunk}
 
@@ -10295,7 +10285,6 @@ and the empty string.
                     <13 (|search| NIL)
                     <12 (|putHist| ((((% (|value| (|PositiveInteger|) . 1))))))
                     12> (|printTypeAndTime| 1 (|PositiveInteger|))
-                    13> (|printTypeAndTimeNormal| 1 (|PositiveInteger|))
                     14> (|sayKeyedMsg| "%rjon Type: %1p %rjoff" ((|PositiveInteger|)))
                     15> (|sayKeyedMsgLocal| "%rjon Type: %1p %rjoff" ((|PositiveInteger|)))
                     16> (|segmentKeyedMsg| " %rjon Type: %1p %rjoff")
@@ -10399,7 +10388,6 @@ PositiveInteger
                     <16 (|sayMSG| NIL)
                     <15 (|sayKeyedMsgLocal| NIL)
                     <14 (|sayKeyedMsg| NIL)
-                    <13 (|printTypeAndTimeNormal| NIL)
                     <12 (|printTypeAndTime| NIL)
                     <11 (|recordAndPrint| |done|)
                     11> (recordFrame |normal|)
@@ -12415,37 +12403,24 @@ It is controlled with the {\tt )se me any} command.
 \end{chunk}
 
 \defun{printTypeAndTime}{printTypeAndTime}
-\calls{printTypeAndTime}{printTypeAndTimeSaturn}
-\calls{printTypeAndTime}{printTypeAndTimeNormal}
-\usesdollar{printTypeAndTime}{saturn}
+\calls{printTypeAndTime}{retract}
+\calls{printTypeAndTime}{qcar}
+\calls{printTypeAndTime}{retract}
+\calls{printTypeAndTime}{mkObjWrap}
+\calls{printTypeAndTime}{objMode}
+\calls{printTypeAndTime}{sameUnionBranch}
+\calls{printTypeAndTime}{makeLongTimeString}
+\calls{printTypeAndTime}{msgText}
+\calls{printTypeAndTime}{sayKeyedMsg}
+\calls{printTypeAndTime}{justifyMyType}
+\usesdollar{printTypeAndTime}{collectOutput}
+\usesdollar{printTypeAndTime}{printTypeIfTrue}
+\usesdollar{printTypeAndTime}{printTimeIfTrue}
+\usesdollar{printTypeAndTime}{outputLines}
+\usesdollar{printTypeAndTime}{interpreterTimedNames}
+\usesdollar{printTypeAndTime}{interpreterTimedClasses}
 \begin{chunk}{defun printTypeAndTime}
 (defun |printTypeAndTime| (x m)
- (declare (special |$saturn|))
- (if |$saturn| 
-  (|printTypeAndTimeSaturn| x m)
-  (|printTypeAndTimeNormal| x m)))
-
-\end{chunk}
-
-\defun{printTypeAndTimeNormal}{printTypeAndTimeNormal}
-\calls{printTypeAndTimeNormal}{retract}
-\calls{printTypeAndTimeNormal}{qcar}
-\calls{printTypeAndTimeNormal}{retract}
-\calls{printTypeAndTimeNormal}{mkObjWrap}
-\calls{printTypeAndTimeNormal}{objMode}
-\calls{printTypeAndTimeNormal}{sameUnionBranch}
-\calls{printTypeAndTimeNormal}{makeLongTimeString}
-\calls{printTypeAndTimeNormal}{msgText}
-\calls{printTypeAndTimeNormal}{sayKeyedMsg}
-\calls{printTypeAndTimeNormal}{justifyMyType}
-\usesdollar{printTypeAndTimeNormal}{collectOutput}
-\usesdollar{printTypeAndTimeNormal}{printTypeIfTrue}
-\usesdollar{printTypeAndTimeNormal}{printTimeIfTrue}
-\usesdollar{printTypeAndTimeNormal}{outputLines}
-\usesdollar{printTypeAndTimeNormal}{interpreterTimedNames}
-\usesdollar{printTypeAndTimeNormal}{interpreterTimedClasses}
-\begin{chunk}{defun printTypeAndTimeNormal}
-(defun |printTypeAndTimeNormal| (x m)
  (let (xp mp timeString result)
  (declare (special |$outputLines| |$collectOutput| |$printTypeIfTrue|
                    |$printTimeIfTrue| |$outputLines|
@@ -12482,43 +12457,6 @@ It is controlled with the {\tt )se me any} command.
 
 \end{chunk}
 
-\defun{printTypeAndTimeSaturn}{printTypeAndTimeSaturn}
-\calls{printTypeAndTimeSaturn}{makeLongTimeString}
-\calls{printTypeAndTimeSaturn}{form2StringAsTeX}
-\calls{printTypeAndTimeSaturn}{devaluate}
-\calls{printTypeAndTimeSaturn}{printAsTeX}
-\usesdollar{printTypeAndTimeSaturn}{printTimeIfTrue}
-\usesdollar{printTypeAndTimeSaturn}{printTypeIfTrue}
-\usesdollar{printTypeAndTimeSaturn}{interpreterTimedClasses}
-\usesdollar{printTypeAndTimeSaturn}{interpreterTimedNames}
-\begin{chunk}{defun printTypeAndTimeSaturn}
-(defun |printTypeAndTimeSaturn| (x m)
- (declare (ignore x))
- (let (timeString typeString)
- (declare (special |$printTimeIfTrue| |$printTypeIfTrue|
-                   |$interpreterTimedClasses| |$interpreterTimedNames|))
-  (if |$printTimeIfTrue|
-   (setq timeString
-    (|makeLongTimeString| 
-     |$interpreterTimedNames|
-     |$interpreterTimedClasses|))
-   (setq timeString ""))
-  (if |$printTypeIfTrue|
-   (setq typeString (|form2StringAsTeX| (|devaluate| m)))
-   (setq typeString ""))
-  (when |$printTypeIfTrue|
-   (|printAsTeX| "\\axPrintType{")
-   (if (consp typeString)
-    (mapc #'|printAsTeX| typeString)
-    (|printAsTeX| typeString))
-   (|printAsTeX| "}"))
-  (when |$printTimeIfTrue|
-   (|printAsTeX| "\\axPrintTime{")
-   (|printAsTeX| timeString)
-   (|printAsTeX| "}"))))
-
-\end{chunk}
-
 \defun{printAsTeX}{printAsTeX}
 \usesdollar{printAsTeX}{texOutputStream}
 \begin{chunk}{defun printAsTeX 0}
@@ -56067,40 +56005,9 @@ This is a list with the fields
 \defun{downlink}{downlink}
 \begin{chunk}{defun downlink}
 (defun |downlink| (page)
-  (declare (special |$saturn|))
-  (cond
-    (|$saturn| (|downlinkSaturn| page))
-    (t (|htInitPage| "Bridge" nil)
-     (|htSay| "\\replacepage{" page "}")
-     (|htShowPage|))))
-
-\end{chunk}
-
-\defun{downlinkSaturn}{downlinkSaturn}
-\begin{chunk}{defun downlinkSaturn}
-(defun |downlinkSaturn| (fn)
-  (prog (line u n lines)
-    (return
-      (SEQ (progn
-             (setq u (|dbReadLines| fn))
-             (setq lines "")
-             (DO ()
-                 ((null (and (consp u)
-                             (progn
-                               (setq line (QCAR u))
-                               (setq u (QCDR u))
-                               t)))
-                  nil)
-               (SEQ (EXIT (progn
-                            (setq n (MAXINDEX line))
-                            (cond
-                              ((> 1 n) nil)
-                              ((equal (elt line 0) #\%)
-                               nil)
-                              (t
-                               (setq lines
-                                        (STRCONC lines line))))))))
-             (|issueHTSaturn| lines))))))
+ (|htInitPage| "Bridge" nil)
+ (|htSay| "\\replacepage{" page "}")
+ (|htShowPage|))
 
 \end{chunk}
 
@@ -57032,7 +56939,6 @@ There are 8 parts of an htPage:
 \calls{kPage}{htInitPageNoScroll}
 \calls{kPage}{htAddHeading}
 \calls{kPage}{htSayStandard}
-\calls{kPage}{mkConArgSublis}
 \calls{kPage}{htpSetProperty}
 \calls{kPage}{dbShowConsDoc1}
 \calls{kPage}{addParameterTemplates}
@@ -57042,14 +56948,12 @@ There are 8 parts of an htPage:
 \calls{kPage}{htShowPageNoScroll}
 \usesdollar{kPage}{atLeastOneUnexposed}
 \usesdollar{kPage}{conformsAreDomains}
-\usesdollar{kPage}{kPageSaturnArguments}
 \begin{chunk}{defun kPage}
 (defun |kPage| (&rest a1)
- (let (|$kPageSaturnArguments| parts name nargs sig args form isFile kind 
+ (let (parts name nargs sig args form isFile kind 
        conform conname capitalKind signature sourceFileName constrings 
        emString heading page options line)
-  (declare (special |$kPageSaturnArguments| |$conformsAreDomains|
-                    |$atLeastOneUnexposed|))
+  (declare (special |$conformsAreDomains| |$atLeastOneUnexposed|))
    (setq line (car a1))
    (setq options (cdr a1))
    ; constructors Cname\#\E\sig \args   \abb \comments (C is C, D, P, X)
@@ -57064,7 +56968,6 @@ There are 8 parts of an htPage:
    (setq kind (or kind "package"))
    (rplaca parts kind)
    (setq conform (|mkConform| kind name args))
-   (setq |$kPageSaturnArguments| (cdr conform))
    (setq conname (|opOf| conform))
    (setq capitalKind (|capitalize| kind))
    (setq signature (|ncParseFromString| sig))
@@ -57080,7 +56983,6 @@ There are 8 parts of an htPage:
    (setq page (|htInitPageNoScroll| NIL))
    (|htAddHeading| heading)
    (|htSayStandard| '|\\beginscroll |)
-   (|htpSetProperty| page '|argSublis| (|mkConArgSublis| (cdr conform)))
    (|htpSetProperty| page '|isFile| t)
    (|htpSetProperty| page '|parts| parts)
    (|htpSetProperty| page '|heading| heading)
@@ -57352,7 +57254,6 @@ There are 8 parts of an htPage:
 \calls{kdPageInfo}{htSay}
 \calls{kdPageInfo}{nequal}
 \calls{kdPageInfo}{bcHt}
-\calls{kdPageInfo}{htSaturnBreak}
 \calls{kdPageInfo}{htSayStandard}
 \calls{kdPageInfo}{kPageArgs}
 \calls{kdPageInfo}{length}
@@ -57376,7 +57277,6 @@ There are 8 parts of an htPage:
       (if (eql nargs 1)
         " takes one argument:"
         (list '| takes | (princ-to-string nargs) '| arguments:|)))))
-  (|htSaturnBreak|)
   (|htSayStandard| "\\indentrel{2}")
   (when (> nargs 0) (|kPageArgs| conform signature))
   (|htSayStandard| "\\indentrel{-2}")
@@ -57390,8 +57290,7 @@ There are 8 parts of an htPage:
   (|htMakePage|
     (list (list '|text| "\\unixcommand{" filename "}{\\$AXIOM/lib/SPADEDIT " 
                 sourceFileName " " name "}")))
-  (when (nequal nargs 0) (|htSay| "."))
-  (|htSaturnBreak|)))
+  (when (nequal nargs 0) (|htSay| "."))))
 
 \end{chunk}
 
@@ -57660,7 +57559,6 @@ There are 8 parts of an htPage:
 \calls{kePageDisplay}{htSayStandard}
 \calls{kePageDisplay}{htSay}
 \calls{kePageDisplay}{pluralize}
-\calls{kePageDisplay}{htSaySaturn}
 \calls{kePageDisplay}{dbGatherData}
 \calls{kePageDisplay}{dbSowOpItems}
 \begin{chunk}{defun kePageDisplay}
@@ -57692,7 +57590,6 @@ There are 8 parts of an htPage:
       (|htSay| (princ-to-string total) " " (|pluralize| which) 
                " are explicitly exported:")
       (|htSay| "1 " which " is explicitly exported:"))
-    (|htSaySaturn| "\\\\")
     (setq data (|dbGatherData| htPage opAlist which '|names|))
     (|dbShowOpItems| which data nil)))))
 
@@ -59265,9 +59162,7 @@ There are 8 parts of an htPage:
 \calls{dbShowConsDoc1}{getdatabase}
 \calls{dbShowConsDoc1}{sublislis}
 \calls{dbShowConsDoc1}{sublisFormal}
-\calls{dbShowConsDoc1}{htSaySaturn}
 \calls{dbShowConsDoc1}{displayDomainOp}
-\calls{dbShowConsDoc1}{htSaySaturn}
 \usesdollar{dbShowConsDoc1}{TriangleVariableList}
 \usesdollar{dbShowConsDoc1}{Primitives}
 \begin{chunk}{defun dbShowConsDoc1}
@@ -59294,10 +59189,8 @@ There are 8 parts of an htPage:
      (if (eq (getdatabase conname 'constructorkind) '|category|)
         (sublislis conargs |$TriangleVariableList| signature)
         (|sublisFormal| conargs signature)))
-    (|htSaySaturn| "\\begin{description}")
     (|displayDomainOp| htPage "constructor" conform conname sig t doc 
-      indexOrNil '|dbSelectCon| (null exposeFlag) nil)
-    (|htSaySaturn| "\\end{description}")))))
+      indexOrNil '|dbSelectCon| (null exposeFlag) nil)))))
 
 \end{chunk}
 
@@ -59337,7 +59230,6 @@ There are 8 parts of an htPage:
 \calls{dbShowConditions}{pluralize}
 \calls{dbShowConditions}{length}
 \calls{dbShowConditions}{dbSayItems}
-\calls{dbShowConditions}{htSaySaturn}
 \calls{dbShowConditions}{bcConPredTable}
 \calls{dbShowConditions}{htSayHrule}
 \begin{chunk}{defun dbShowConditions}
@@ -59354,11 +59246,9 @@ There are 8 parts of an htPage:
   (setq singular (list kind " is"))
   (setq plural (list (|pluralize| (princ-to-string kind)) " are"))
   (|dbSayItems| (|#| consNoPred) singular plural " unconditional")
-  (|htSaySaturn| "\\\\")
   (|bcConPredTable| consNoPred conname)
   (|htSayHrule|)
   (|dbSayItems| (|#| consPred) singular plural " conditional")
-  (|htSaySaturn| "\\\\")
   (|bcConPredTable| consPred conname)))
 
 \end{chunk}
@@ -59445,19 +59335,17 @@ There are 8 parts of an htPage:
 \defun{bcUnixTable}{bcUnixTable}
 \calls{bcUnixTable}{htSay}
 \calls{bcUnixTable}{htBeginTable}
-\calls{bcUnixTable}{htSaySaturn}
 \calls{bcUnixTable}{namestring}
 \calls{bcUnixTable}{findfile}
 \calls{bcUnixTable}{htMakePage}
 \calls{bcUnixTable}{htEndTable}
 \begin{chunk}{defun bcUnixTable}
 (defun |bcUnixTable| (u)
- (let (firstTime filename)
+ (let (filename)
   (|htSay| "\\newline")
   (|htBeginTable|)
   (setq firstTime t)
   (loop for x in u do
-    (if firstTime (setq firstTime nil) (|htSaySaturn| "&"))
     (|htSay| "{")
     (setq filename (namestring ($findfile (princ-to-string x) "SPAD")))
     (|htMakePage|
@@ -59767,49 +59655,6 @@ There are 8 parts of an htPage:
 
 \end{chunk}
 
-\defun{mkConArgSublis}{mkConArgSublis}
-\calls{mkConArgSublis}{pname}
-\calls{mkConArgSublis}{maxindex}
-\calls{mkConArgSublis}{digitp}
-\calls{mkConArgSublis}{digits2Names}
-\begin{chunk}{defun mkConArgSublis}
-(defun |mkConArgSublis| (args)
- (loop for arg in args
-  with s = nil
-  when 
-   (and
-    (setq s (pname arg))
-    (some #'identity
-     (loop for i from 0 to (maxindex s)
-      collect (digitp (elt s i)))))
-  collect (cons arg (intern (|digits2Names| (pname arg))))))
-
-\end{chunk}
-
-This is necessary since arguments of conforms CANNOT have 
-digits in TechExplorer. Since Saturn is gone we can remove it.
-
-\defun{digits2Names}{digits2Names}
-\calls{digits2Names}{digit-char-p}
-\calls{digits2Names}{concat}
-\begin{chunk}{defun digits2Names}
-(defun |digits2Names| (s)
- (let (str c n segment)
-  (setq str "")
-  (loop for i from 0 to (maxindex s) do
-   (setq c (elt s i))
-   (setq segment
-    (cond
-     ((setq n (digit-char-p c))
-      (elt
-       '("Zero" "One" "Two" "Three" "Four" "Five" "Six" "Seven" "Eight" "Nine")
-         n))
-     (t c)))
-   (concat str segment))
- str))
-
-\end{chunk}
-
 \defun{lefts}{lefts}
 \calls{lefts}{hkeys}
 \uses{lefts}{hascategory-hash}
@@ -60590,7 +60435,6 @@ digits in TechExplorer. Since Saturn is gone we can remove it.
 \getchunk{defun diffAlist}
 \getchunk{defun digit?}
 \getchunk{defun digitp}
-\getchunk{defun digits2Names}
 \getchunk{defun disableHist}
 \getchunk{defun display}
 \getchunk{defun displayCondition}
@@ -60620,7 +60464,6 @@ digits in TechExplorer. Since Saturn is gone we can remove it.
 \getchunk{defun doSystemCommand}
 \getchunk{defun downcase}
 \getchunk{defun downlink}
-\getchunk{defun downlinkSaturn}
 \getchunk{defun dqConcat}
 \getchunk{defun dropInputLibrary}
 \getchunk{defun dSearch}
@@ -61033,7 +60876,6 @@ digits in TechExplorer. Since Saturn is gone we can remove it.
 \getchunk{defun messageprint}
 \getchunk{defun messageprint-1}
 \getchunk{defun messageprint-2}
-\getchunk{defun mkConArgSublis}
 \getchunk{defun mkConform}
 \getchunk{defun mkCurryFun}
 \getchunk{defun mkDomPvar}
@@ -61553,8 +61395,6 @@ digits in TechExplorer. Since Saturn is gone we can remove it.
 \getchunk{defun printStorage}
 \getchunk{defun printSynonyms}
 \getchunk{defun printTypeAndTime}
-\getchunk{defun printTypeAndTimeNormal}
-\getchunk{defun printTypeAndTimeSaturn}
 \getchunk{defun probeName}
 \getchunk{defun processChPosesForOneLine}
 \getchunk{defun processInteractive}
diff --git a/changelog b/changelog
index fbd285f..51f2db9 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,11 @@
+20150501 tpd src/axiom-website/patches.html 20150501.01.tpd.patch 
+20150501 tpd books/bookvol5 remove saturn
+20150501 tpd src/interp/br-con.lisp remove saturn
+20150501 tpd src/interp/format.lisp remove saturn
+20150501 tpd src/interp/i-output.lisp remove saturn
+20150501 tpd src/interp/interp-proclaims.lisp
+20150501 tpd src/interp/msgdb.lisp remove saturn
+20150501 tpd src/interp/patches.lisp remove saturn
 20150430 tpd src/axiom-website/patches.html 20150430.01.tpd.patch
 20150430 tpd books/bookvol10.2 replace stringimage with princ-to-string
 20150430 tpd books/bookvol10.3 replace stringimage with princ-to-string
diff --git a/patch b/patch
index 88d2bc1..1a7ac84 100644
--- a/patch
+++ b/patch
@@ -1,3 +1,4 @@
-src/interp/vmlisp.lisp replace stringimage with princ-to-string
+src/interp/br-con.lisp remove saturn
+
+The last bits of the saturn interface were removed.
 
-Remove a layer of function call renaming; use Lisp primitive
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 0d9cc0b..1dab855 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -5048,6 +5048,8 @@ src/interp/vmlisp.lisp sayString to PRINTEXP to PRINC<br/>
 src/interp/vmlisp.lisp change prin0 to prin1 everywhere<br/>
 <a href="patches/20150430.01.tpd.patch">20150430.01.tpd.patch</a>
 src/interp/vmlisp.lisp replace stringimage with princ-to-string<br/>
+<a href="patches/20150501.01.tpd.patch">20150501.01.tpd.patch</a>
+src/interp/br-con.lisp remove saturn<br/>
  </body>
 </html>
 
diff --git a/src/interp/br-con.lisp.pamphlet b/src/interp/br-con.lisp.pamphlet
index 10440d2..0cf1ed5 100644
--- a/src/interp/br-con.lisp.pamphlet
+++ b/src/interp/br-con.lisp.pamphlet
@@ -2115,7 +2115,6 @@
 
 (defun |buildDefaultPackageNamesHT| ()
   (declare (special |$defaultPackageNamesHT|))
-  (SEQ (PROGN
          (setq |$defaultPackageNamesHT| (MAKE-HASH-TABLE))
          (DO ((G169791 (|allConstructors|) (CDR G169791))
               (|nam| NIL))
@@ -2125,11 +2124,11 @@
            (SEQ (EXIT (COND
                         ((|isDefaultPackageName| |nam|)
                          (HPUT |$defaultPackageNamesHT| |nam| 'T))))))
-         |$defaultPackageNamesHT|)))
+         |$defaultPackageNamesHT|)
 
 ;$defaultPackageNamesHT := buildDefaultPackageNamesHT()
 
-(setq |$defaultPackageNamesHT| (|buildDefaultPackageNamesHT|)) 
+(defvar |$defaultPackageNamesHT| (|buildDefaultPackageNamesHT|)) 
 
 ;--=======================================================================
 ;--            Code for Private Libdbs
@@ -2137,7 +2136,7 @@
 
 ;$returnNowhereFromGoGet := false
 
-(setq |$returnNowhereFromGoGet| NIL) 
+(defvar |$returnNowhereFromGoGet| NIL) 
 
 ;showSummary dom ==
 ;  showPredicates dom
@@ -3115,7 +3114,6 @@
 ;    oPage arg
 ;  key = 'allDomains => dbShowOpAllDomains(htPage,opAlist,which)
 ;  key = 'filter =>
-;    --if $saturn, IFCAR options contains filter string
 ;    filter := IFCAR options or pmTransFilter(dbGetInputString htPage)
 ;    filter is ['error,:.] => bcErrorPage filter
 ;    opAlist:= _
@@ -5070,7 +5068,6 @@
 ;  single? =>
 ;    ops := escapeSpecialChars princ-to-string CAAR opAlist
 ;    htSayStandard('"Select a view below")
-;    htSaySaturn '"Select a view with the right mouse button"
 ;  exposedOnly? := $exposedOnlyIfTrue and not dbFromConstructor?(htPage)
 ;  dbShowOpItems(which,data,exposedOnly?)
 
@@ -5085,9 +5082,7 @@
               (setq |ops|
                        (|escapeSpecialChars|
                            (princ-to-string (CAAR |opAlist|))))
-              (|htSayStandard| "Select a view below")
-              (|htSaySaturn|
-                                        "Select a view with the right mouse button"))
+              (|htSayStandard| "Select a view below"))
           ('T
            (setq |exposedOnly?|
                     (AND |$exposedOnlyIfTrue|
@@ -5096,10 +5091,7 @@
 
 ;dbShowOpItems(which,data,exposedOnly?) ==
 ;  htBeginTable()
-;  firstTime := true
 ;  for i in 0.. for item in data repeat
-;    if firstTime then firstTime := false
-;    else htSaySaturn '"&"
 ;    if atom item then
 ;      op := item
 ;      exposeFlag := true
@@ -5114,11 +5106,10 @@
 ;  htEndTable()
 
 (defun |dbShowOpItems| (|which| |data| |exposedOnly?|)
-  (PROG (|firstTime| |op| |exposeFlag| |ops|)
+  (PROG (|op| |exposeFlag| |ops|)
     (RETURN
       (SEQ (PROGN
              (|htBeginTable|)
-             (setq |firstTime| 'T)
              (DO ((|i| 0 (QSADD1 |i|))
                   (G171684 |data| (CDR G171684)) (|item| NIL))
                  ((OR (ATOM G171684)
@@ -5126,9 +5117,6 @@
                   NIL)
                (SEQ (EXIT (PROGN
                             (COND
-                              (|firstTime| (setq |firstTime| NIL))
-                              ('T (|htSaySaturn| "&")))
-                            (COND
                               ((ATOM |item|) (setq |op| |item|)
                                (setq |exposeFlag| 'T))
                               ('T (setq |op| (CAR |item|))
@@ -5381,10 +5369,7 @@
 ;--dataItems is (((op,sig,:.),exposureFlag,...)
 ;  single? := null rest dataItems
 ;  htBeginTable()
-;  firstTime := true
 ;  for [[op,sig,:.],exposureFlag,:tail] in dataItems repeat
-;    if firstTime then firstTime := false
-;    else htSaySaturn '"&";
 ;    ops := escapeSpecialChars princ-to-string op
 ;    htSay '"{"
 ;--  if single? then htSay('"{\em ",ops,'"}") else.....
@@ -5400,12 +5385,11 @@
 ;  count
 
 (defun |dbShowOpSigList| (|which| |dataItems| |count|)
-  (PROG (|single?| |op| |sig| |exposureFlag| |tail| |firstTime| |ops|)
+  (PROG (|single?| |op| |sig| |exposureFlag| |tail| |ops|)
     (RETURN
       (SEQ (PROGN
              (setq |single?| (NULL (CDR |dataItems|)))
              (|htBeginTable|)
-             (setq |firstTime| 'T)
              (DO ((G171864 |dataItems| (CDR G171864))
                   (G171845 NIL))
                  ((OR (ATOM G171864)
@@ -5420,9 +5404,6 @@
                         NIL))
                   NIL)
                (SEQ (EXIT (PROGN
-                            (COND
-                              (|firstTime| (setq |firstTime| NIL))
-                              ('T (|htSaySaturn| "&")))
                             (setq |ops|
                                      (|escapeSpecialChars|
                                       (princ-to-string |op|)))
@@ -5458,10 +5439,7 @@
 ;  single? := null rest data
 ;  count := 0
 ;  htBeginTable()
-;  firstTime := true
 ;  for item in data repeat
-;    if firstTime then firstTime := false
-;    else htSaySaturn '"&"
 ;    [opform,exposeFlag,:tail] := item
 ;    op := intern IFCAR opform
 ;    args := IFCDR opform
@@ -5502,22 +5480,18 @@
 
 (defun |dbShowOpParameters| (|htPage| |opAlist| |which| |data|)
   (declare (ignore |htPage| |opAlist|))
-  (PROG (|single?| |firstTime| |opform| |exposeFlag| |tail| |op| |args|
+  (PROG (|single?| |opform| |exposeFlag| |tail| |op| |args|
             |ops| |n| |count|)
     (RETURN
       (SEQ (PROGN
              (setq |single?| (NULL (CDR |data|)))
              (setq |count| 0)
              (|htBeginTable|)
-             (setq |firstTime| 'T)
              (DO ((G171908 |data| (CDR G171908)) (|item| NIL))
                  ((OR (ATOM G171908)
                       (PROGN (SETQ |item| (CAR G171908)) NIL))
                   NIL)
                (SEQ (EXIT (PROGN
-                            (COND
-                              (|firstTime| (setq |firstTime| NIL))
-                              ('T (|htSaySaturn| "&")))
                             (setq |opform| (CAR |item|))
                             (setq |exposeFlag| (CADR |item|))
                             (setq |tail| (CDDR |item|))
@@ -5619,7 +5593,6 @@
 ;    htpSetProperty(htPage,'conditionData,condata)
 ;  base := -8192
 ;  exactlyOneOpSig := opAlist is [[.,.]] --checked by displayDomainOp
-;  htSaySaturn '"\begin{description}"
 ;  for [op,:alist] in opAlist repeat
 ;    base := 8192 + base
 ;    for item in alist for j in 0.. repeat
@@ -5640,7 +5613,6 @@
 ;          origin := SUBST(conform,'_$,origin)
 ;        displayDomainOp(htPage,newWhich,origin,op,sig,pred,doc,_
 ;                        index,'dbChooseDomainOp,null exposeFlag,true)
-;  htSaySaturn '"\end{description}"
 
 (defun |dbShowOpDocumentation| (|htPage| |opAlist| |which| |data|)
   (declare (ignore |data|))
@@ -5693,7 +5665,6 @@
                                      (QCDR |ISTMP#1|))
                                     (AND (CONSP |ISTMP#2|)
                                      (EQ (QCDR |ISTMP#2|) NIL)))))))
-             (|htSaySaturn| "\\begin{description}")
              (DO ((G171988 |opAlist| (CDR G171988))
                   (G171965 NIL))
                  ((OR (ATOM G171988)
@@ -5775,7 +5746,7 @@
                                             |sig| |pred| |doc| |index|
                                             '|dbChooseDomainOp|
                                             (NULL |exposeFlag|) 'T))))))))))))
-             (|htSaySaturn| "\\end{description}"))))))
+                                               )))))
 
 ;dbChooseDomainOp(htPage,which,index) ==
 ;  [opKey,entryKey] := DIVIDE(index,8192)
@@ -7622,9 +7593,7 @@
 ;      $generalSearch? => htSay '"{\em D} of the origin category"
 ;      addWhereList("$",'is,nil)
 ;      htSayStandard '"{\em $}"
-;      htSaySaturn '"{\em \%}"
 ;    htSayStandard '"{\em $}"
-;    htSaySaturn '"{\em \%}"
 ;  not IDENTP t => bcConform(t,true)
 ;  k := position(t,$conargs)
 ;  if k > -1 then
@@ -7649,10 +7618,8 @@
               (|$generalSearch?|
                   (|htSay|                                "{\\em D} of the origin category"))
               ('T (|addWhereList| '$ '|is| NIL)
-               (|htSayStandard| "{\\em $}")
-               (|htSaySaturn| "{\\em \\%}"))))
-           ('T (|htSayStandard| "{\\em $}")
-            (|htSaySaturn| "{\\em \\%}"))))
+               (|htSayStandard| "{\\em $}"))))
+           ('T (|htSayStandard| "{\\em $}"))))
         ((NULL (IDENTP |t|)) (|bcConform| |t| 'T))
         ('T (setq |k| (|position| |t| |$conargs|))
          (COND
@@ -9753,7 +9720,7 @@
 ;  filter := pmTransFilter princ-to-string s  --parses and-or-not form
 ;  filter is ['error,:.] => filter        --exit on parser error
 ;  pattern := mkGrepPattern(filter,key)  --create string to pass to "grep"
-;  grepConstructDo(pattern, key)  --do the "grep"---see b-saturn.boot
+;  grepConstructDo(pattern, key)  --do the "grep"
 
 (defun |grepConstruct1| (|s| |key|)
   (PROG (|$key| |filter| |pattern|)
@@ -11186,7 +11153,6 @@
 ;    htSayStandard '"\tab{2}"
 ;    genSearchSay(pair,summarize?,kind,i,'showConstruct)
 ;  if docSearchAlist then
-;    htSaySaturn '"\bigskip{}"
 ;    dbSayItems(['"\newline{\bf Documentation Summary:} ",docCount],'"mention",'"mentions",'" of {\em ",key,'"}")
 ;    for [kind,:pair] in docSearchAlist for i in 0.. | #(first pair) > 0 repeat
 ;      bcHt "\newline{}"
@@ -11323,7 +11289,6 @@
                                       '|showConstruct|)))))))
                    (COND
                      (|docSearchAlist|
-                         (|htSaySaturn| "\\bigskip{}")
                          (|dbSayItems|
                              (CONS                                     "\\newline{\\bf Documentation Summary:} "
                                    (CONS |docCount| NIL))
@@ -12605,7 +12570,6 @@
 ;    nottick := '"[^`]"
 ;    name := replaceGrepStar name
 ;    firstPart :=
-;      $saturn => STRCONC(char '_^,name)
 ;      STRCONC(char '_^,kind,name)
 ;    nargsPart := replaceGrepStar nargs
 ;    exposedPart := char '_.   --always get exposed/unexposed
@@ -12657,15 +12621,12 @@
 
 (defun |mkDetailedGrepPattern| (|kind| |name| |nargs| |argOrSig|)
   (PROG (|nottick| |firstPart| |nargsPart| |exposedPart| |patPart|)
-  (declare (special |$saturn| |$tick|))
+  (declare (special |$tick|))
     (RETURN
       (PROGN
         (setq |nottick| "[^`]")
         (setq |name| (|replaceGrepStar| |name|))
-        (setq |firstPart|
-                 (COND
-                   (|$saturn| (STRCONC (|char| '^) |name|))
-                   ('T (STRCONC (|char| '^) |kind| |name|))))
+        (setq |firstPart| (STRCONC #\^ |kind| |name|))
         (setq |nargsPart| (|replaceGrepStar| |nargs|))
         (setq |exposedPart| (|char| (INTERN "." "BOOT")))
         (setq |patPart| (|replaceGrepStar| |argOrSig|))
@@ -12742,17 +12703,6 @@
   (|underscoreDollars,fn| |s| 0 (MAXINDEX |s|)))
 
 ;--=======================================================================
-;--                     Code dependent on $saturn
-;--=======================================================================
-;obey x ==
-;  $saturn and not $aixTestSaturn => nil
-;  OBEY x
-
-(defun |obey| (|x|)
-  (declare (special |$aixTestSaturn| |$saturn|))
-  (COND ((AND |$saturn| (NULL |$aixTestSaturn|)) NIL) ('T (OBEY |x|))))
-
-;--=======================================================================
 ;--                         I/O Code
 ;--=======================================================================
 ;getTempPath kind ==
@@ -12765,7 +12715,7 @@
     (RETURN
       (PROGN
         (setq |pathname| (|mkGrepFile| |kind|))
-        (|obey| (STRCONC "rm -f " |pathname|))
+        (obey (STRCONC "rm -f " |pathname|))
         |pathname|))))
 
 ;dbGetCommentOrigin line ==
@@ -12824,22 +12774,16 @@
            ".text"))
 
 ;mkGrepFile s ==  --called to generate a path name for a temporary grep file
-;  prefix :=
-;    $standard or $aixTestSaturn => '"/tmp/"
-;    STRCONC($SPADROOT,'"/algebra/")
+;  prefix := STRCONC($SPADROOT,'"/algebra/")
 ;  suffix := getEnv '"SPADNUM"
 ;  STRCONC(prefix, PNAME s,'".txt.", suffix)
 
 (defun |mkGrepFile| (|s|)
   (PROG (|prefix| |suffix|)
-  (declare (special |$standard| |$aixTestSaturn| $spadroot))
+  (declare (special $spadroot))
     (RETURN
       (PROGN
-        (setq |prefix|
-                 (COND
-                   ((OR |$standard| |$aixTestSaturn|)
-                    "/tmp/")
-                   ('T (STRCONC $SPADROOT "/algebra/"))))
+        (setq |prefix| (STRCONC $SPADROOT "/algebra/"))
         (setq |suffix| (|getEnv| "SPADNUM"))
         (STRCONC |prefix| (PNAME |s|) ".txt." |suffix|)))))
 
@@ -12851,7 +12795,6 @@
 ;  source := grepSource key
 ;  lines :=
 ;    not PROBE_-FILE source => NIL
-;    $standard or $aixTestSaturn =>
 ;    -----AIX Version----------
 ;      target := getTempPath 'target
 ;      casepart :=
@@ -12872,7 +12815,6 @@
   (DSETQ (|pattern| . |options|) G176432)
   (PROG (|x| |key| |source| |target| |casepart| |command| |invert?|
              |lines|)
-  (declare (special |$standard| |$aixTestSaturn|))
     (RETURN
       (PROGN
         (setq |key|
@@ -12884,7 +12826,7 @@
         (setq |lines|
                  (COND
                    ((NULL (PROBE-FILE |source|)) NIL)
-                   ((OR |$standard| |$aixTestSaturn|)
+                   (t
                     (setq |target| (|getTempPath| '|target|))
                     (setq |casepart|
                              (COND
@@ -12895,7 +12837,7 @@
                              (STRCONC "grep " |casepart|
                                       " '" |pattern|
                                       "' " |source|))
-                    (|obey| (COND
+                    (obey (COND
                               ((|member| |key|
                                    '(|a| |o| |c| |d| |p| |x|))
                                (STRCONC |command|
@@ -12970,100 +12912,98 @@
 ;----------------------> Global Variables <-----------------------
 ;$includeUnexposed? := true   --default setting
 
-(setq |$includeUnexposed?| 'T)
+(defvar |$includeUnexposed?| 'T)
 
 ;$tick := char '_`            --field separator for database files
 
-(setq |$tick| (|char| '|`|))
+(defvar |$tick| (|char| '|`|))
 
 ;$charUnderscore := ('__)     --needed because of parser bug
 
-(setq |$charUnderscore| '_)
+(defvar |$charUnderscore| '_)
 
 ;$wild1 := '"[^`]*"           --phrase used to convert keys to grep strings
 
-(setq |$wild1| "[^`]*")
+(defvar |$wild1| "[^`]*")
 
 ;$browseCountThreshold := 10  --the maximum number of names that will display
 
-(setq |$browseCountThreshold| 10)
+(defvar |$browseCountThreshold| 10)
 
 ;                             --on a general search
 ;$opDescriptionThreshold := 4 --if <= 4 operations with unique name, give desc
 
-(setq |$opDescriptionThreshold| 4) 
+(defvar |$opDescriptionThreshold| 4) 
 
 ;                             --otherwise, give signatures
 ;$browseMixedCase := true     --distinquish case in the browser?
 
-(setq |$browseMixedCase| 'T)
+(defvar |$browseMixedCase| 'T)
 
 ;$docTable := nil             --cache for documentation table
 
-(setq |$docTable| NIL) 
+(defvar |$docTable| NIL) 
 
 ;$conArgstrings := nil        --bound by conPage so that kPage
 
-(setq |$conArgstrings| NIL) 
+(defvar |$conArgstrings| NIL) 
 
 ;                             --will display arguments if given
 ;$conformsAreDomains  := false     --are all arguments of a constructor given?
 
-(setq |$conformsAreDomains| NIL) 
+(defvar |$conformsAreDomains| NIL) 
 
 ;$returnNowhereFromGoGet := false  --special branch out for goget for browser
 
-(setq |$returnNowhereFromGoGet| NIL) 
+(defvar |$returnNowhereFromGoGet| NIL) 
 
 ;$dbDataFunctionAlist := nil       --set by dbGatherData
 
-(setq |$dbDataFunctionAlist| NIL) 
+(defvar |$dbDataFunctionAlist| NIL) 
 
 ;$domain   := nil             --bound in koOps
 
-(setq |$domain| NIL) 
+(defvar |$domain| NIL) 
 
 ;$infovec  := nil             --bound in koOps
 
-(setq |$infovec| NIL)
+(defvar |$infovec| NIL)
  
 ;$predvec  := nil             --bound in koOps
 
-(setq |$predvec| NIL)
+(defvar |$predvec| NIL)
  
 ;$exposedOnlyIfTrue := nil    --see repeatSearch, dbShowOps, dbShowCon
 
-(setq |$exposedOnlyIfTrue| NIL) 
+(defvar |$exposedOnlyIfTrue| NIL) 
 
 ;$bcMultipleNames := nil      --see bcNameConTable
 
-(setq |$bcMultipleNames| NIL) 
+(defvar |$bcMultipleNames| NIL) 
 
 ;$bcConformBincount := nil    --see bcConform1
 
-(setq |$bcConformBincount| NIL) 
+(defvar |$bcConformBincount| NIL) 
 
 ;$docTableHash := MAKE_-HASHTABLE 'EQUAL  --see dbExpandOpAlistIfNecessary
 
-(setq |$docTableHash| (MAKE-HASHTABLE 'EQUAL))
+(defvar |$docTableHash| (MAKE-HASHTABLE 'EQUAL))
 
 ;$groupChoice := nil  --see dbShowOperationsFromConform
 
-(setq |$groupChoice| NIL) 
+(defvar |$groupChoice| NIL) 
 
 ;------------------> Initial Settings <---------------------
 ;$pmFilterDelimiters := [char '_(,char '_),char '_ ]
 
-(setq |$pmFilterDelimiters|
-         (CONS (|char| '|(|)
-               (CONS (|char| '|)|) (CONS (|char| '| |) NIL))))
+(defvar |$pmFilterDelimiters| (list #\( #\) #\space))
 
-$dbKindAlist :=
+;$dbKindAlist :=
 ;  [[char 'a,:'"attribute"],[char 'o,:'"operation"],
 ;    [char 'd,:'"domain"],[char 'p,:'"package"],
 ;      [char 'c,:'"category"],[char 'x,:'"default_ package"]]
 
-(setq |$dbKindAlist|
+(defvar |$dbKindAlist|
          (CONS (CONS (|char| '|a|) "attribute")
                (CONS (CONS (|char| '|o|) "operation")
                      (CONS (CONS (|char| '|d|) "domain")
@@ -13086,7 +13026,7 @@ $dbKindAlist :=
 ;  (implementation  nil         "Implementation Domains" dbShowOpImplementations)
 ;  (conditions      "Condition" "Conditions"      dbShowOpConditions))
 
-(setq |$OpViewTable|
+(defvar |$OpViewTable|
          '((|names| "Name" "Names" |dbShowOpNames|)
            (|documentation| "Name" "Names" |dbShowOpDocumentation|)
            (|domains| "Domain" "Domains" |dbShowOpDomains|)
@@ -14052,30 +13992,19 @@ $dbKindAlist :=
 
 ;bcOpTable(u,fn) ==
 ;  htBeginTable()
-;  firstTime := true
 ;  for op in u for i in 0.. repeat
-;    if firstTime then firstTime := false
-;    else htSaySaturn '"&"
 ;    htSay '"{"
 ;    htMakePage [['bcLinks,[escapeSpecialChars princ-to-string opOf op,'"",fn,i]]]
 ;    htSay '"}"
 ;  htEndTable()
 
 (defun |bcOpTable| (|u| |fn|)
-  (PROG (|firstTime|)
-    (RETURN
-      (SEQ (PROGN
              (|htBeginTable|)
-             (setq |firstTime| 'T)
              (DO ((G176928 |u| (CDR G176928)) (|op| NIL)
                   (|i| 0 (QSADD1 |i|)))
                  ((OR (ATOM G176928)
                       (PROGN (SETQ |op| (CAR G176928)) NIL))
                   NIL)
-               (SEQ (EXIT (PROGN
-                            (COND
-                              (|firstTime| (setq |firstTime| NIL))
-                              ('T (|htSaySaturn| "&")))
                             (|htSay| "{")
                             (|htMakePage|
                                 (CONS (CONS '|bcLinks|
@@ -14087,8 +14016,8 @@ $dbKindAlist :=
                                           (CONS |fn| (CONS |i| NIL))))
                                         NIL))
                                       NIL))
-                            (|htSay| "}")))))
-             (|htEndTable|))))))
+                            (|htSay| "}"))
+             (|htEndTable|)))
 
 ;bcNameConTable u ==
 ;  $bcMultipleNames: local := (#u ^= 1)
@@ -14105,10 +14034,7 @@ $dbKindAlist :=
 ;  -- bcConTable u
 ;bcConTable u ==
 ;  htBeginTable()
-;  firstTime := true
 ;  for con in u repeat
-;    if firstTime then firstTime := false
-;    else htSaySaturn '"&"
 ;    htSay '"{"
 ;    bcStarSpace opOf con
 ;    bcConform con
@@ -14116,32 +14042,21 @@ $dbKindAlist :=
 ;  htEndTable()
 
 (defun |bcConTable| (|u|)
-  (PROG (|firstTime|)
-    (RETURN
-      (SEQ (PROGN
              (|htBeginTable|)
-             (setq |firstTime| 'T)
              (DO ((G176956 |u| (CDR G176956)) (|con| NIL))
                  ((OR (ATOM G176956)
                       (PROGN (SETQ |con| (CAR G176956)) NIL))
                   NIL)
-               (SEQ (EXIT (PROGN
-                            (COND
-                              (|firstTime| (setq |firstTime| NIL))
-                              ('T (|htSaySaturn| "&")))
                             (|htSay| "{")
                             (|bcStarSpace| (|opOf| |con|))
                             (|bcConform| |con|)
-                            (|htSay| "}")))))
-             (|htEndTable|))))))
+                            (|htSay| "}"))
+             (|htEndTable|))
 
 ;bcAbbTable u ==
 ;  htBeginTable()
-;  firstTime := true
 ;  for x in REMDUP u repeat        --allow x to be NIL meaning "no abbreviation"
 ;  -- for x in u repeat    --allow x to be NIL meaning "no abbreviation"
-;    if firstTime then firstTime := false
-;    else htSaySaturn '"&"
 ;    if x is [con,abb,:.] then
 ;      htSay '"{"
 ;      bcAbb(con,abb)
@@ -14149,20 +14064,16 @@ $dbKindAlist :=
 ;  htEndTable()
 
 (defun |bcAbbTable| (|u|)
-  (PROG (|firstTime| |con| |ISTMP#1| |abb|)
+  (PROG (|con| |ISTMP#1| |abb|)
     (RETURN
       (SEQ (PROGN
              (|htBeginTable|)
-             (setq |firstTime| 'T)
              (DO ((G176989 (REMDUP |u|) (CDR G176989)) (|x| NIL))
                  ((OR (ATOM G176989)
                       (PROGN (SETQ |x| (CAR G176989)) NIL))
                   NIL)
                (SEQ (EXIT (PROGN
                             (COND
-                              (|firstTime| (setq |firstTime| NIL))
-                              ('T (|htSaySaturn| "&")))
-                            (COND
                               ((AND (CONSP |x|)
                                     (PROGN
                                       (setq |con| (QCAR |x|))
@@ -14181,10 +14092,7 @@ $dbKindAlist :=
 ;bcConPredTable(u,conname,:options) ==
 ;  italicList := IFCAR options
 ;  htBeginTable()
-;  firstTime := true
 ;  for [conform,:pred] in u repeat
-;    if firstTime then firstTime := false
-;    else htSaySaturn '"&"
 ;    htSay '"{"
 ;    bcStarSpace opOf conform
 ;    form :=
@@ -14200,13 +14108,12 @@ $dbKindAlist :=
 
 (defun |bcConPredTable| (&REST G177055 &AUX |options| |conname| |u|)
   (DSETQ (|u| |conname| . |options|) G177055)
-  (PROG (|italicList| |conform| |firstTime| |form| |ISTMP#1| |arglist|
+  (PROG (|italicList| |conform| |form| |ISTMP#1| |arglist|
             |pred|)
     (RETURN
       (SEQ (PROGN
              (setq |italicList| (IFCAR |options|))
              (|htBeginTable|)
-             (setq |firstTime| 'T)
              (DO ((G177036 |u| (CDR G177036)) (G177014 NIL))
                  ((OR (ATOM G177036)
                       (PROGN (SETQ G177014 (CAR G177036)) NIL)
@@ -14218,9 +14125,6 @@ $dbKindAlist :=
                         NIL))
                   NIL)
                (SEQ (EXIT (PROGN
-                            (COND
-                              (|firstTime| (setq |firstTime| NIL))
-                              ('T (|htSaySaturn| "&")))
                             (|htSay| "{")
                             (|bcStarSpace| (|opOf| |conform|))
                             (setq |form|
@@ -14354,10 +14258,7 @@ $dbKindAlist :=
 ;bcNameTable(u,fn,:option) ==   --option if * prefix
 ;  htSay '"\newline"
 ;  htBeginTable()
-;  firstTime := true
 ;  for x in u repeat
-;    if firstTime then firstTime := false
-;    else htSaySaturn '"&"
 ;    htSay '"{"
 ;    if IFCAR option then bcStar x
 ;    htMakePage [['bcLinks,[s := escapeSpecialChars princ-to-string x,'"",fn,s]]]
@@ -14366,20 +14267,16 @@ $dbKindAlist :=
 
 (defun |bcNameTable| (&REST G177140 &AUX |option| |fn| |u|)
   (DSETQ (|u| |fn| . |option|) G177140)
-  (PROG (|firstTime| |s|)
+  (PROG (|s|)
     (RETURN
       (SEQ (PROGN
              (|htSay| "\\newline")
              (|htBeginTable|)
-             (setq |firstTime| 'T)
              (DO ((G177128 |u| (CDR G177128)) (|x| NIL))
                  ((OR (ATOM G177128)
                       (PROGN (SETQ |x| (CAR G177128)) NIL))
                   NIL)
                (SEQ (EXIT (PROGN
-                            (COND
-                              (|firstTime| (setq |firstTime| NIL))
-                              ('T (|htSaySaturn| "&")))
                             (|htSay| "{")
                             (COND ((IFCAR |option|) (|bcStar| |x|)))
                             (|htMakePage|
@@ -14402,10 +14299,7 @@ $dbKindAlist :=
 ;    'bcLinks
 ;  htSay '"\newline"
 ;  htBeginTable()
-;  firstTime := true
 ;  for i in 0.. for x in u repeat
-;    if firstTime then firstTime := false
-;    else htSaySaturn '"&"
 ;    htSay '"{"
 ;    htMakePage [[linkFunction,[FUNCALL(fn,x),'"",gn,i]]]
 ;    htSay '"}"
@@ -14414,7 +14308,7 @@ $dbKindAlist :=
 (defun |bcNameCountTable|
        (&REST G177164 &AUX |options| |gn| |fn| |u|)
   (DSETQ (|u| |fn| |gn| . |options|) G177164)
-  (PROG (|linkFunction| |firstTime|)
+  (PROG (|linkFunction|)
     (RETURN
       (SEQ (PROGN
              (setq |linkFunction|
@@ -14423,16 +14317,12 @@ $dbKindAlist :=
                         ('T '|bcLinks|)))
              (|htSay| "\\newline")
              (|htBeginTable|)
-             (setq |firstTime| 'T)
              (DO ((|i| 0 (QSADD1 |i|)) (G177152 |u| (CDR G177152))
                   (|x| NIL))
                  ((OR (ATOM G177152)
                       (PROGN (SETQ |x| (CAR G177152)) NIL))
                   NIL)
                (SEQ (EXIT (PROGN
-                            (COND
-                              (|firstTime| (setq |firstTime| NIL))
-                              ('T (|htSaySaturn| "&")))
                             (|htSay| "{")
                             (|htMakePage|
                                 (CONS (CONS |linkFunction|
@@ -15342,7 +15232,7 @@ $dbKindAlist :=
                                    NIL))
                              NIL)
                           (SEQ (EXIT (COND
-                                       ((BOOT-EQUAL |x| $)
+                                       ((BOOT-EQUAL |x| '$)
                                         (setq |dollar|
                                          (CONS
                                           (CONS |honestConform| |y|)
@@ -16061,203 +15951,23 @@ $dbKindAlist :=
 
 ;--====================> WAS b-saturn.boot <================================
 ;-- New file as of 6/95
-;$aixTestSaturn := false
-
-(setq |$aixTestSaturn| NIL) 
-
-;--These will be set in patches.lisp:
-;--$saturn := false  --true to write SATURN output to $browserOutputStream
-;--$standard:= true  --true to write browser output on AIX
-;$saturnAmpersand := '"\&\&"
-
-(setq |$saturnAmpersand| "\\&\\&")
-
-;$saturnFileNumber --true to write DOS files for Thinkpad (testing only)
-;   := false
-
-(setq |$saturnFileNumber| NIL) 
-
-;$kPageSaturnArguments := nil  --bound by $kPageSaturn
-
-(setq |$kPageSaturnArguments| NIL) 
 
 ;$atLeastOneUnexposed := false
 
-(setq |$atLeastOneUnexposed| NIL) 
-
-;$saturnContextMenuLines := nil
-
-(setq |$saturnContextMenuLines| NIL) 
-
-;$saturnContextMenuIndex := 0
-
-(setq |$saturnContextMenuIndex| 0) 
-
-;$saturnMacros := '(
-;  "\def\unixcommand#1#2{{\em #1}}"_
-;  "\def\lispFunctionLink#1#2{\lispLink[d]{#1}{{\bf #2}}}"_
-;  "\def\lispTypeLink#1#2{\lispLink[d]{#1}{{\sf #2}}}"_
-;  "\def\menuitemstyle{\menubutton}"_
-;  "\def\browseTitle#1{\windowTitle{#1}\section{#1}}"_
-;  "\def\ttrarrow{$\rightarrow$}"_
-;  "\def\spadtype#1{\lispLink[d]{\verb!(|spadtype| '|#1|)!}{\sf #1}}"_
-;  "\def\spad#1{{\em #1}}"_
-;  "\def\spadfun#1{{\em #1}}"_
-;)
-
-(setq |$saturnMacros|
-         '("\\def\\unixcommand#1#2{{\\em #1}}"
-           "\\def\\lispFunctionLink#1#2{\\lispLink[d]{#1}{{\\bf #2}}}"
-           "\\def\\lispTypeLink#1#2{\\lispLink[d]{#1}{{\\sf #2}}}"
-           "\\def\\menuitemstyle{\\menubutton}"
-           "\\def\\browseTitle#1{\\windowTitle{#1}\\section{#1}}"
-           "\\def\\ttrarrow{$\\rightarrow$}"
-        "\\def\\spadtype#1{\\lispLink[d]{\\verb!(|spadtype| '|#1|)!}{\\sf #1}}"
-           "\\def\\spad#1{{\\em #1}}" "\\def\\spadfun#1{{\\em #1}}"))
+(defvar |$atLeastOneUnexposed| NIL) 
 
 ;$FormalFunctionParameterList := '(_#_#1 _#_#2 _#_#3 _#_#4 _#_#5 _#_#6 _#_#7 _#_#8 _#_#9 _#_#10 _#_#11 _#_#12 _#_#13 _#_#14 _#_#15)
 
-(setq |$FormalFunctionParameterList|
+(defvar |$FormalFunctionParameterList|
          '(|##1| |##2| |##3| |##4| |##5| |##6| |##7| |##8| |##9| |##10|
                  |##11| |##12| |##13| |##14| |##15|))
 
-;on() ==
-;  $saturn := true
-;  $standard := false
-
-(defun |on| ()
-  (declare (special |$saturn| |$standard|))
-  (PROGN (setq |$saturn| 'T) (setq |$standard| NIL)))
-
-;off()==
-;  $saturn := false
-;  $standard := true
-
-(defun |off| ()
-  (declare (special |$saturn| |$standard|))
-  (PROGN (setq |$saturn| NIL) (setq |$standard| 'T)))
-
-;--=======================================================================
-;--            Function for testing SATURN output
-;--=======================================================================
-;-- protectedEVAL x ==
-;--  $saturn =>
-;--    protectedEVAL0(x, true, false)
-;--    if $aixTestSaturn then protectedEVAL0(x, false, true)
-;--  protectedEVAL1 x
-;--
-;--protectedEVAL0(x, $saturn, $standard) ==
-;--  protectedEVAL1 x
-;--
-;--protectedEVAL1 x ==
-;--  error := true
-;--  val := NIL
-;--  UNWIND_-PROTECT((val := saturnEVAL x; error := NIL),
-;--                   error => (resetStackLimits(); sendHTErrorSignal()))
-;--  val
-;--
-;--saturnEVAL x ==
-;--  fn :=
-;--    $aixTestSaturn => '"/tmp/sat.text"
-;--    '"/windows/temp/browser.text"
-;--  $saturn =>
-;--    saturnEvalToFile(x, fn)
-;--    OBEY  '"cat /tmp/sat.text"
-;--  EVAL x
-;--=======================================================================
-;--            Functions to write DOS files to disk
-;--=======================================================================
-;ts(command) ==
-;  $saturn := true
-;  $saturnFileNumber := false
-;  $standard := false
-;  saturnEvalToFile(command, '"/tmp/sat.text")
-
-(defun |ts| (|command|)
-  (declare (special |$saturn| |$saturnFileNumber| |$standard|))
-  (PROGN
-    (setq |$saturn| 'T)
-    (setq |$saturnFileNumber| NIL)
-    (setq |$standard| NIL)
-    (|saturnEvalToFile| |command| "/tmp/sat.text")))
-
-;ut() ==
-;  $saturn := false
-;  $standard := true
-;  'done
-
-(defun |ut| ()
-  (declare (special |$saturn| |$standard|))
-  (PROGN (setq |$saturn| NIL) (setq |$standard| 'T) '|done|))
-
-;onDisk() ==
-;  $saturnFileNumber := 1
-;  obey '"dosdir"
-
-(defun |onDisk| ()
-  (declare (special |$saturnFileNumber|))
-  (PROGN
-    (setq |$saturnFileNumber| 1)
-    (|obey| "dosdir")))
-
-;offDisk() ==
-;  $saturnFileNumber := false
-
-(defun |offDisk| ()
- (declare (special |$saturnFileNumber|))
- (setq |$saturnFileNumber| NIL))
-
-;page() ==
-;  $standard => $curPage
-;  $saturnPage
-
-(defun |page| ()
- (declare (special |$standard| |$curPage| |$saturnPage|))
- (COND (|$standard| |$curPage|) ('T |$saturnPage|)))
-
-;--=======================================================================
-;--            Functions that affect $saturnPage
-;--=======================================================================
-;htSayCold x ==
-;  htSay '"\lispLink{}{"
-;  htSay x
-;  htSay '"}"
-
-(defun |htSayCold| (|x|)
-  (PROGN
-    (|htSay| "\\lispLink{}{")
-    (|htSay| |x|)
-    (|htSay| "}")))
-
-;htSayIfStandard(x, :options) ==  --do only for $standard
-;  $standard => htSayBind(x,options)
-
-(defun |htSayIfStandard| (&REST G178203 &AUX |options| |x|)
-  (declare (special |$standard|))
-  (DSETQ (|x| . |options|) G178203)
-  (SEQ (COND (|$standard| (EXIT (|htSayBind| |x| |options|))))))
-
-;htSayStandard(x, :options) ==  --do AT MOST for $standard
-;  $saturn: local := nil
+;htSayStandard(x, :options) == 
 ;  htSayBind(x, options)
 
 (defun |htSayStandard| (&REST G178211 &AUX |options| |x|)
   (DSETQ (|x| . |options|) G178211)
-  (PROG (|$saturn|)
-    (DECLARE (SPECIAL |$saturn|))
-    (RETURN
-      (PROGN (setq |$saturn| NIL) (|htSayBind| |x| |options|)))))
-
-;htSaySaturn(x, :options) ==    --do AT MOST for $saturn
-;  $standard: local := nil
-;  htSayBind(x, options)
-
-(defun |htSaySaturn| (&REST G178219 &AUX |options| |x|)
-  (DSETQ (|x| . |options|) G178219)
-  (PROG (|$standard|)
-    (DECLARE (SPECIAL |$standard|))
-    (RETURN
-      (PROGN (setq |$standard| NIL) (|htSayBind| |x| |options|)))))
+  (|htSayBind| |x| |options|))
 
 ;htSayBind(x, options) ==
 ;  bcHt x
@@ -16274,21 +15984,19 @@ $dbKindAlist :=
 
 ;--------------------> NEW DEFINITION (override in ht-util.boot.pamphlet)
 ;bcHt line ==
-;  $newPage =>  --this path affects both saturn and old lines
+;  $newPage =>  
 ;    text :=
 ;      CONSP line => [['text, :line]]
 ;      STRINGP line => line
 ;      [['text, line]]
-;    if $saturn then htpAddToPageDescription($saturnPage, text)
-;    if $standard then htpAddToPageDescription($curPage, text)
+;    htpAddToPageDescription($curPage, text)
 ;  CONSP line =>
 ;    $htLineList := NCONC(nreverse mapStringize COPY_-LIST line, $htLineList)
 ;  $htLineList := [basicStringize line, :$htLineList]
 
 (defun |bcHt| (|line|)
   (PROG (|text|)
-  (declare (special |$newPage| |$htLineList| |$saturnPage| |$curPage|
-                    |$standard| |$saturn|))
+  (declare (special |$newPage| |$htLineList| |$curPage|))
     (RETURN
       (COND
         (|$newPage|
@@ -16298,13 +16006,7 @@ $dbKindAlist :=
                         (CONS (CONS '|text| |line|) NIL))
                        ((STRINGP |line|) |line|)
                        ('T (CONS (CONS '|text| (CONS |line| NIL)) NIL))))
-            (COND
-              (|$saturn|
-                  (|htpAddToPageDescription| |$saturnPage| |text|)))
-            (COND
-              (|$standard|
-                  (|htpAddToPageDescription| |$curPage| |text|))
-              ('T NIL)))
+            (|htpAddToPageDescription| |$curPage| |text|))
         ((CONSP |line|)
          (setq |$htLineList|
                   (NCONC (NREVERSE (|mapStringize| (COPY-LIST |line|)))
@@ -16331,564 +16033,80 @@ $dbKindAlist :=
 ;htShowPageNoScroll() ==
 ;-- show the page which has been computed
 ;  htSayStandard '"\autobuttons"
-;  if $standard then
-;    htpSetPageDescription($curPage, nreverse htpPageDescription $curPage)
-;  if $saturn then
-;    htpSetPageDescription($saturnPage, nreverse htpPageDescription $saturnPage)
+;  htpSetPageDescription($curPage, nreverse htpPageDescription $curPage)
 ;  $newPage := false
 ;  ----------------------
-;  if $standard then
-;    $htLineList := nil
-;    htMakePage htpPageDescription $curPage
-;    if $htLineList then line := APPLY(function CONCAT, nreverse $htLineList)
-;    issueHTStandard line
-;  ----------------------
-;  if $saturn then
-;    $htLineList := nil
-;    htMakePage htpPageDescription $saturnPage
-;    if $htLineList then line := APPLY(function CONCAT, nreverse $htLineList)
-;    issueHTSaturn line
+;  $htLineList := nil
+;  htMakePage htpPageDescription $curPage
+;  if $htLineList then line := APPLY(function CONCAT, nreverse $htLineList)
+;  issueHTStandard line
 ;  ----------------------
 ;  endHTPage()
 
 (defun |htShowPageNoScroll| ()
   (PROG (|line|)
-  (declare (special |$newPage| |$curPage| |$saturnPage| |$htLineList| 
-                    |$saturn| |$standard|))
+  (declare (special |$newPage| |$curPage| |$htLineList| ))
     (RETURN
       (PROGN
         (|htSayStandard| "\\autobuttons")
-        (COND
-          (|$standard|
-              (|htpSetPageDescription| |$curPage|
-                  (NREVERSE (|htpPageDescription| |$curPage|)))))
-        (COND
-          (|$saturn|
-              (|htpSetPageDescription| |$saturnPage|
-                  (NREVERSE (|htpPageDescription| |$saturnPage|)))))
+        (|htpSetPageDescription| |$curPage|
+                  (NREVERSE (|htpPageDescription| |$curPage|)))
         (setq |$newPage| NIL)
-        (COND
-          (|$standard| (setq |$htLineList| NIL)
-              (|htMakePage| (|htpPageDescription| |$curPage|))
-              (COND
-                (|$htLineList|
-                    (setq |line|
-                             (APPLY #'CONCAT
-                                    (NREVERSE |$htLineList|)))))
-              (|issueHTStandard| |line|)))
-        (COND
-          (|$saturn| (setq |$htLineList| NIL)
-              (|htMakePage| (|htpPageDescription| |$saturnPage|))
-              (COND
-                (|$htLineList|
-                    (setq |line|
-                             (APPLY #'CONCAT
-                                    (NREVERSE |$htLineList|)))))
-              (|issueHTSaturn| |line|)))
+        (setq |$htLineList| NIL)
+        (|htMakePage| (|htpPageDescription| |$curPage|))
+        (when |$htLineList|
+          (setq |line| (apply #'concat (nreverse |$htLineList|))))
+        (|issueHTStandard| |line|)
         (|endHTPage|)))))
 
-;--------------------> NEW DEFINITION <--------------------------
-;issueHTSaturn line == --called by htMakePageNoScroll and htMakeErrorPage
-;  if $saturn then
-;     $marg      : local := 0
-;     $linelength: local := 80
-;     writeSaturn '"\inputonce{<AXIOM>/doc/browser/browmacs.tex}"
-;     writeSaturnPrefix()
-;     writeSaturn(line)
-;     writeSaturnSuffix()
-;     if $saturnFileNumber then
-;       fn := STRCONC('"sat", princ-to-string $saturnFileNumber, '".tex")
-;       obey STRCONC('"doswrite -a saturn.tex ",fn, '".tex")
-;       $saturnFileNumber := $saturnFileNumber + 1
-
-(defun |issueHTSaturn| (|line|)
-  (PROG (|$marg| |$linelength| |fn|)
-    (DECLARE (SPECIAL |$marg| |$linelength| |$saturnFileNumber| |$saturn|))
-    (RETURN
-      (COND
-        (|$saturn| (setq |$marg| 0) (setq |$linelength| 80)
-            (|writeSaturn|
-                                    "\\inputonce{<AXIOM>/doc/browser/browmacs.tex}")
-            (|writeSaturnPrefix|) (|writeSaturn| |line|)
-            (|writeSaturnSuffix|)
-            (COND
-              (|$saturnFileNumber|
-                  (setq |fn|
-                           (STRCONC "sat"
-                                    (princ-to-string |$saturnFileNumber|)
-                                    ".tex"))
-                  (|obey| (STRCONC                                     "doswrite -a saturn.tex "
-                                   |fn| ".tex"))
-                  (setq |$saturnFileNumber|
-                           (+ |$saturnFileNumber| 1)))
-              ('T NIL)))
-        ('T NIL)))))
-
-;writeSaturnPrefix() ==
-;  $saturnContextMenuLines =>
-;    index :=
-;      princ-to-string ($saturnContextMenuIndex := $saturnContextMenuIndex + 1)
-;    writeSaturnLines
-;      ['"\newmenu{BCM", index,
-;          '"}{",:nreverse $saturnContextMenuLines,
-;            '"}\usemenu{BCM", index,'"}{\vbox{"]
-
-(defun |writeSaturnPrefix| ()
-  (PROG (|index|)
-  (declare (special |$saturnContextMenuLines| |$saturnContextMenuIndex|))
-    (RETURN
-      (SEQ (COND
-             (|$saturnContextMenuLines|
-                 (EXIT (PROGN
-                         (setq |index|
-                                  (princ-to-string
-                                      (setq
-                                       |$saturnContextMenuIndex|
-                                       (+ |$saturnContextMenuIndex|
-                                        1))))
-                         (|writeSaturnLines|
-                             (CONS "\\newmenu{BCM"
-                                   (CONS |index|
-                                    (CONS "}{"
-                                     (APPEND
-                                      (NREVERSE
-                                       |$saturnContextMenuLines|)
-                                      (CONS
-                                       "}\\usemenu{BCM"
-                                       (CONS |index|
-                                        (CONS "}{\\vbox{"
-                                         NIL))))))))))))))))
-
-;writeSaturnSuffix() ==
-;  $saturnContextMenuLines => saturnPRINC '"}}"
-
-(defun |writeSaturnSuffix| ()
-  (declare (special |$saturnContextMenuLines|))
-  (SEQ (COND
-         (|$saturnContextMenuLines|
-             (EXIT (|saturnPRINC| "}}"))))))
-
 ;issueHTStandard line == --called by htMakePageNoScroll and htMakeErrorPage
-;  if $standard then
-;  --unescapeStringsInForm line
 ;    sockSendInt($MenuServer, $SendLine)
 ;    sockSendString($MenuServer, line)
 
 (defun |issueHTStandard| (|line|)
-  (declare (special |$standard| |$MenuServer| |$SendLine|))
-  (COND
-    (|$standard| (|sockSendInt| |$MenuServer| |$SendLine|)
-        (|sockSendString| |$MenuServer| |line|))
-    ('T NIL)))
+  (declare (special |$MenuServer| |$SendLine|))
+  (|sockSendInt| |$MenuServer| |$SendLine|)
+  (|sockSendString| |$MenuServer| |line|))
 
 ;--------------------> NEW DEFINITION (override in ht-util.boot.pamphlet)
 ;htMakeErrorPage htPage ==
 ;  $newPage := false
 ;  $htLineList := nil
-;  if $standard then $curPage := htPage
-;  if $saturn then $saturnPage := htPage
+;  $curPage := htPage
 ;  htMakePage htpPageDescription htPage
 ;  line := APPLY(function CONCAT, nreverse $htLineList)
 ;  issueHT line
 ;  endHTPage()
 
 (defun |htMakeErrorPage| (|htPage|)
-  (PROG (|line|)
-  (declare (special |$newPage| |$htLineList| |$curPage| |$saturnPage|
-                    |$standard| |$saturn|))
-    (RETURN
-      (PROGN
-        (setq |$newPage| NIL)
-        (setq |$htLineList| NIL)
-        (COND (|$standard| (setq |$curPage| |htPage|)))
-        (COND (|$saturn| (setq |$saturnPage| |htPage|)))
-        (|htMakePage| (|htpPageDescription| |htPage|))
-        (setq |line|
-                 (APPLY #'CONCAT (NREVERSE |$htLineList|)))
-        (|issueHT| |line|)
-        (|endHTPage|)))))
-
-;writeSaturnLines lines ==
-;  for line in lines repeat
-;   if line ^= '"" and line.0 = char '_\ then saturnTERPRI()
-;   saturnPRINC line
-
-(defun |writeSaturnLines| (|lines|)
-  (SEQ (DO ((G178298 |lines| (CDR G178298)) (|line| NIL))
-           ((OR (ATOM G178298)
-                (PROGN (SETQ |line| (CAR G178298)) NIL))
-            NIL)
-         (SEQ (EXIT (PROGN
-                      (COND
-                        ((AND (NEQUAL |line| "")
-                              (BOOT-EQUAL (ELT |line| 0)
-                                  (|char| '|\\|)))
-                         (|saturnTERPRI|)))
-                      (|saturnPRINC| |line|)))))))
-
-;writeSaturn(line) ==
-;  k := 0
-;  n := MAXINDEX line
-;  while  --advance k if true
-;      k > n => false
-;      line.k ^= char '_\ => true
-;      code := isBreakSegment?(line, k + 1,n) => false
-;      true
-;    repeat (k := k + 1)
-;  k > n => writeSaturnPrint(line)
-;  segment := SUBSTRING(line,0,k)
-;  writeSaturnPrint(segment)
-;  code = 1 =>
-;    writeSaturnPrint('"\\")
-;    writeSaturn SUBSTRING(line,k + 2, nil)
-;  code = 2 =>
-;    writeSaturnPrint('"  &")
-;    writeSaturn SUBSTRING(line,k + 4, nil)
-;  code = 3 =>
-;    writeSaturnPrint('"\item")
-;    writeSaturn SUBSTRING(line,k + 5,nil)
-;  code = 4 =>
-;    writeSaturnPrint('"\newline")
-;    writeSaturn SUBSTRING(line,k + 8,nil)
-;  code = 5 =>
-;    writeSaturnPrint('"\table{")
-;    $marg := $marg + 3
-;    writeSaturnTable SUBSTRING(line,k + 7,nil)
-;  code = 6 =>
-;    i := charPosition(char '_},line,k + 4)
-;    tabCode := SUBSTRING(line,k, i - k + 1)
-;    writeSaturnPrint tabCode
-;    line := SUBSTRING(line,i + 1, nil)
-;    writeSaturn line
-;  code = 7 =>
-;    saturnTERPRI()
-;    writeSaturn SUBSTRING(line, k + 2,nil)
-;  code = 8 =>
-;    i :=
-;      substring?('"\beginmenu",  line,k) => k + 9
-;      substring?('"\beginscroll",line,k) => k + 11
-;      charPosition(char '_},line,k)
-;    if char '_[ = line.(i + 1) then
-;      i := charPosition(char '_], line, i + 2)
-;    beginCode := SUBSTRING(line,k, i - k + 1)
-;    writeSaturnPrint(beginCode)
-;    line := SUBSTRING(line,i + 1,nil)
-;    writeSaturn line
-;  code = 9 =>
-;    i :=
-;      substring?('"\endmenu",line,k)   => k + 7
-;      substring?('"\endscroll",line,k) => k + 9
-;      charPosition(char '_},line,k)
-;    endCode := SUBSTRING(line,k, i - k + 1)
-;    writeSaturnPrint(endCode)
-;    line := SUBSTRING(line,i + 1,nil)
-;    $marg := $marg - 3
-;    writeSaturn line
-;  systemError code
-
-(defun |writeSaturn| (|line|)
-  (PROG (|n| |code| |k| |segment| |tabCode| |beginCode| |i| |endCode|)
-  (declare (special |$marg|))
-    (RETURN
-      (SEQ (PROGN
-             (setq |k| 0)
-             (setq |n| (MAXINDEX |line|))
-             (DO ()
-                 ((NULL (COND
-                          ((> |k| |n|) NIL)
-                          ((NEQUAL (ELT |line| |k|) (|char| '|\\|)) 'T)
-                          ((setq |code|
-                                    (|isBreakSegment?| |line|
-                                     (+ |k| 1) |n|))
-                           NIL)
-                          ('T 'T)))
-                  NIL)
-               (SEQ (EXIT (setq |k| (+ |k| 1)))))
-             (COND
-               ((> |k| |n|) (|writeSaturnPrint| |line|))
-               ('T (setq |segment| (SUBSTRING |line| 0 |k|))
-                (|writeSaturnPrint| |segment|)
-                (COND
-                  ((EQL |code| 1)
-                   (|writeSaturnPrint| "\\\\")
-                   (|writeSaturn| (SUBSTRING |line| (+ |k| 2) NIL)))
-                  ((EQL |code| 2)
-                   (|writeSaturnPrint| "  &")
-                   (|writeSaturn| (SUBSTRING |line| (+ |k| 4) NIL)))
-                  ((EQL |code| 3)
-                   (|writeSaturnPrint| "\\item")
-                   (|writeSaturn| (SUBSTRING |line| (+ |k| 5) NIL)))
-                  ((EQL |code| 4)
-                   (|writeSaturnPrint| "\\newline")
-                   (|writeSaturn| (SUBSTRING |line| (+ |k| 8) NIL)))
-                  ((EQL |code| 5)
-                   (|writeSaturnPrint| "\\table{")
-                   (setq |$marg| (+ |$marg| 3))
-                   (|writeSaturnTable|
-                       (SUBSTRING |line| (+ |k| 7) NIL)))
-                  ((EQL |code| 6)
-                   (setq |i|
-                            (|charPosition| (|char| '}) |line|
-                                (+ |k| 4)))
-                   (setq |tabCode|
-                            (SUBSTRING |line| |k|
-                                (+ (SPADDIFFERENCE |i| |k|) 1)))
-                   (|writeSaturnPrint| |tabCode|)
-                   (setq |line| (SUBSTRING |line| (+ |i| 1) NIL))
-                   (|writeSaturn| |line|))
-                  ((EQL |code| 7) (|saturnTERPRI|)
-                   (|writeSaturn| (SUBSTRING |line| (+ |k| 2) NIL)))
-                  ((EQL |code| 8)
-                   (setq |i|
-                            (COND
-                              ((|substring?| "\\beginmenu"
-                                   |line| |k|)
-                               (+ |k| 9))
-                              ((|substring?|
-                                   "\\beginscroll" |line|
-                                   |k|)
-                               (+ |k| 11))
-                              ('T
-                               (|charPosition| (|char| '}) |line| |k|))))
-                   (COND
-                     ((BOOT-EQUAL (|char| '[)
-                          (ELT |line| (+ |i| 1)))
-                      (setq |i|
-                               (|charPosition| (|char| ']) |line|
-                                   (+ |i| 2)))))
-                   (setq |beginCode|
-                            (SUBSTRING |line| |k|
-                                (+ (SPADDIFFERENCE |i| |k|) 1)))
-                   (|writeSaturnPrint| |beginCode|)
-                   (setq |line| (SUBSTRING |line| (+ |i| 1) NIL))
-                   (|writeSaturn| |line|))
-                  ((EQL |code| 9)
-                   (setq |i|
-                            (COND
-                              ((|substring?| "\\endmenu"
-                                   |line| |k|)
-                               (+ |k| 7))
-                              ((|substring?| "\\endscroll"
-                                   |line| |k|)
-                               (+ |k| 9))
-                              ('T
-                               (|charPosition| (|char| '}) |line| |k|))))
-                   (setq |endCode|
-                            (SUBSTRING |line| |k|
-                                (+ (SPADDIFFERENCE |i| |k|) 1)))
-                   (|writeSaturnPrint| |endCode|)
-                   (setq |line| (SUBSTRING |line| (+ |i| 1) NIL))
-                   (setq |$marg| (SPADDIFFERENCE |$marg| 3))
-                   (|writeSaturn| |line|))
-                  ('T (|systemError| |code|))))))))))
-
-;isBreakSegment?(line, k, n) ==
-;  k > n => nil
-;  char2 := line . k
-;  char2 = (char '_\) => 1
-;  char2 = (char '_&) =>
-;    substring?('"&\&", line, k) => 2
-;    nil
-;  char2 = char 'i =>
-;    substring?('"item",line,k) => 3
-;    nil
-;  char2 = char 'n =>
-;    substring?('"newline",line,k) => 4
-;    nil
-;  char2 = char 't =>
-;    (k := k + 2) > n => nil
-;    line.(k - 1) = char 'a and line.k = char 'b =>
-;      (k := k + 1) > n => nil
-;      line.k = char "{" => 6
-;      substring?('"table",line,k - 3) => 5
-;      nil
-;  char2 = (char '_!) => 7
-;  char2 = char 'b =>
-;    substring?('"begin",line,k) => 8
-;    nil
-;  char2 = (char 'e)  =>
-;    substring?('"end",line,k) => 9
-;    nil
-;  nil
-
-(defun |isBreakSegment?| (|line| |k| |n|)
-  (PROG (|char2|)
-    (RETURN
-      (COND
-        ((> |k| |n|) NIL)
-        ('T (setq |char2| (ELT |line| |k|))
-         (COND
-           ((BOOT-EQUAL |char2| (|char| '|\\|)) 1)
-           ((BOOT-EQUAL |char2| (|char| '&))
-            (COND
-              ((|substring?| "&\\&" |line| |k|) 2)
-              ('T NIL)))
-           ((BOOT-EQUAL |char2| (|char| '|i|))
-            (COND
-              ((|substring?| "item" |line| |k|) 3)
-              ('T NIL)))
-           ((BOOT-EQUAL |char2| (|char| '|n|))
-            (COND
-              ((|substring?| "newline" |line| |k|) 4)
-              ('T NIL)))
-           ((BOOT-EQUAL |char2| (|char| '|t|))
-            (COND
-              ((> (setq |k| (+ |k| 2)) |n|) NIL)
-              ((AND (BOOT-EQUAL (ELT |line| (SPADDIFFERENCE |k| 1))
-                        (|char| '|a|))
-                    (BOOT-EQUAL (ELT |line| |k|) (|char| '|b|)))
-               (COND
-                 ((> (setq |k| (+ |k| 1)) |n|) NIL)
-                 ((BOOT-EQUAL (ELT |line| |k|) (|char| '{)) 6)
-                 ((|substring?| "table" |line|
-                      (SPADDIFFERENCE |k| 3))
-                  5)
-                 ('T NIL)))))
-           ((BOOT-EQUAL |char2| (|char| '!)) 7)
-           ((BOOT-EQUAL |char2| (|char| '|b|))
-            (COND
-              ((|substring?| "begin" |line| |k|) 8)
-              ('T NIL)))
-           ((BOOT-EQUAL |char2| (|char| '|e|))
-            (COND
-              ((|substring?| "end" |line| |k|) 9)
-              ('T NIL)))
-           ('T NIL)))))))
-
-;writeSaturnPrint s ==
-;  for i in 0..($marg - 1) repeat saturnPRINC '" "
-;  saturnPRINC s
-;  saturnTERPRI()
-
-(defun |writeSaturnPrint| (|s|)
-  (declare (special |$marg|))
-  (SEQ (PROGN
-         (DO ((G178364 (SPADDIFFERENCE |$marg| 1))
-              (|i| 0 (QSADD1 |i|)))
-             ((QSGREATERP |i| G178364) NIL)
-           (SEQ (EXIT (|saturnPRINC| " "))))
-         (|saturnPRINC| |s|)
-         (|saturnTERPRI|))))
-
-;saturnPRINC s ==
-;  $browserOutputStream => PRINC(s,$browserOutputStream)
-;  PRINC s
-
-(defun |saturnPRINC| (|s|)
-  (declare (special |$browserOutputStream| |$browserOutputStream|))
-  (COND
-    (|$browserOutputStream| (PRINC |s| |$browserOutputStream|))
-    ('T (PRINC |s|))))
-
-;saturnTERPRI() ==
-;  $browserOutputStream => TERPRI($browserOutputStream)
-;  TERPRI()
-
-(defun |saturnTERPRI| ()
-  (declare (special |$browserOutputStream|))
-  (COND
-    (|$browserOutputStream| (TERPRI |$browserOutputStream|))
-    ('T (TERPRI))))
-
-;writeSaturnTable line ==
-;  open := charPosition(char '"_{",line,0)
-;  close:= charPosition(char '"_}",line,0)
-;  open < close =>
-;    close := findBalancingBrace(line,open + 1,MAXINDEX line,0) or error '"no balancing brace"
-;    writeSaturnPrint SUBSTRING(line,0,close + 1)
-;    writeSaturnTable SUBSTRING(line,close + 1,nil)
-;  $marg := $marg - 3
-;  writeSaturnPrint SUBSTRING(line,0,close + 1)
-;  writeSaturn SUBSTRING(line, close + 1,nil)
-
-(defun |writeSaturnTable| (|line|)
-  (PROG (|open| |close|)
-  (declare (special |$marg|))
-    (RETURN
-      (PROGN
-        (setq |open|
-                 (|charPosition| (|char| "{") |line| 0))
-        (setq |close|
-                 (|charPosition| (|char| "}") |line| 0))
-        (COND
-          ((> |close| |open|)
-           (setq |close|
-                    (OR (|findBalancingBrace| |line| (+ |open| 1)
-                            (MAXINDEX |line|) 0)
-                        (|error| "no balancing brace")))
-           (|writeSaturnPrint| (SUBSTRING |line| 0 (+ |close| 1)))
-           (|writeSaturnTable| (SUBSTRING |line| (+ |close| 1) NIL)))
-          ('T (setq |$marg| (SPADDIFFERENCE |$marg| 3))
-           (|writeSaturnPrint| (SUBSTRING |line| 0 (+ |close| 1)))
-           (|writeSaturn| (SUBSTRING |line| (+ |close| 1) NIL))))))))
-
-;findBalancingBrace(s,k,n,level) ==
-;  k > n => nil
-;  c := s . k
-;  c = char '_{ => findBalancingBrace(s, k + 1, n, level + 1)
-;  c = char '_} =>
-;    level = 0 => k
-;    findBalancingBrace(s, k + 1, n, level - 1)
-;  findBalancingBrace(s, k + 1, n, level)
-
-(defun |findBalancingBrace| (|s| |k| |n| |level|)
-  (PROG (|c|)
-    (RETURN
-      (COND
-        ((> |k| |n|) NIL)
-        ('T (setq |c| (ELT |s| |k|))
-         (COND
-           ((BOOT-EQUAL |c| (|char| '{))
-            (|findBalancingBrace| |s| (+ |k| 1) |n|
-                (+ |level| 1)))
-           ((BOOT-EQUAL |c| (|char| '}))
-            (COND
-              ((EQL |level| 0) |k|)
-              ('T
-               (|findBalancingBrace| |s| (+ |k| 1) |n|
-                   (SPADDIFFERENCE |level| 1)))))
-           ('T (|findBalancingBrace| |s| (+ |k| 1) |n| |level|))))))))
+ (let (|line|)
+ (declare (special |$newPage| |$htLineList| |$curPage|))
+   (setq |$newPage| NIL)
+   (setq |$htLineList| NIL)
+   (setq |$curPage| |htPage|)
+   (|htMakePage| (|htpPageDescription| |htPage|))
+   (setq |line| (apply #'concat (nreverse |$htLineList|)))
+   (|issueHT| |line|)
+   (|endHTPage|)))
 
 ;--=======================================================================
 ;--            htMakePage and friends
 ;--=======================================================================
 ;htMakePageStandard itemList ==
-;  $saturn => nil
 ;  htMakePage itemList
 
 (defun |htMakePageStandard| (|itemList|)
-  (declare (special |$saturn|))
-  (COND (|$saturn| NIL) ('T (|htMakePage| |itemList|))))
-
-;htMakePageSaturn itemList ==
-;  $standard => nil
-;  htMakePage itemList
-
-(defun |htMakePageSaturn| (|itemList|)
-  (declare (special |$standard|))
-  (COND (|$standard| NIL) ('T (|htMakePage| |itemList|))))
+  (|htMakePage| |itemList|))
 
 ;--------------------> NEW DEFINITION (override in ht-util.boot.pamphlet)
 ;htMakePage itemList ==
 ;  if $newPage then
-;    if $saturn then htpAddToPageDescription($saturnPage, saturnTran itemList)
-;    if $standard then htpAddToPageDescription($curPage, itemList)
 ;  htMakePage1 itemList
 
 (defun |htMakePage| (|itemList|)
-  (declare (special |$newPage| |$curPage| |$standard| |$saturn| |$saturnPage|))
-  (PROGN
-    (COND
-      (|$newPage|
-          (COND
-            (|$saturn|
-                (|htpAddToPageDescription| |$saturnPage|
-                    (|saturnTran| |itemList|))))
-          (COND
-            (|$standard|
-                (|htpAddToPageDescription| |$curPage| |itemList|))
-            ('T NIL))))
-    (|htMakePage1| |itemList|)))
+  (declare (special |$newPage| |$curPage|))
+    (when |$newPage| (|htpAddToPageDescription| |$curPage| |itemList|))
+    (|htMakePage1| |itemList|))
 
 ;--------------------> NEW DEFINITION (override in ht-util.boot.pamphlet)
 ;htMakePage1 itemList ==
@@ -16903,8 +16121,6 @@ $dbKindAlist :=
 ;      itemType := first u
 ;      rest u
 ;    itemType = 'text              => iht items
-;--      $saturn => bcHt items
-;--      $standard => iht items
 ;    itemType = 'lispLinks         => htLispLinks items
 ;    itemType = 'lispmemoLinks     => htLispMemoLinks items
 ;    itemType = 'bcLinks           => htBcLinks items               --->
@@ -16979,209 +16195,29 @@ $dbKindAlist :=
                              (|systemError|
                                  "unexpected branch")))))))))))
 
-;saturnTran x ==
-;  x is [[kind, [s1, s2, :callTail]]] and MEMQ(kind,'(bcLinks bcLispLinks)) =>
-;    text := saturnTranText s2
-;    fs :=  getCallBackFn callTail
-;    y := isMenuItemStyle? s1 =>  ----> y is text for button in 2nd column
-;      t1 :=  mkDocLink(fs, mkMenuButton())
-;      y = '"" =>
-;        s2 = '"" => t1
-;        mkTabularItem [t1, text]
-;      t2 :=  mkDocLink(fs, y)
-;      mkTabularItem [t1, t2, text]
-;    t := mkDocLink(fs, s1)
-;    [:t, :text]
-;  x is [['text,:r],:.] => r
-;  error nil
-
-(defun |saturnTran| (|x|)
-  (PROG (|kind| |ISTMP#2| |ISTMP#3| |s1| |ISTMP#4| |s2| |callTail|
-                |text| |fs| |y| |t1| |t2| |t| |ISTMP#1| |r|)
-    (RETURN
-      (COND
-        ((AND (CONSP |x|) (EQ (QCDR |x|) NIL)
-              (PROGN
-                (setq |ISTMP#1| (QCAR |x|))
-                (AND (CONSP |ISTMP#1|)
-                     (PROGN
-                       (setq |kind| (QCAR |ISTMP#1|))
-                       (setq |ISTMP#2| (QCDR |ISTMP#1|))
-                       (AND (CONSP |ISTMP#2|) (EQ (QCDR |ISTMP#2|) NIL)
-                            (PROGN
-                              (setq |ISTMP#3| (QCAR |ISTMP#2|))
-                              (AND (CONSP |ISTMP#3|)
-                                   (PROGN
-                                     (setq |s1| (QCAR |ISTMP#3|))
-                                     (setq |ISTMP#4|
-                                      (QCDR |ISTMP#3|))
-                                     (AND (CONSP |ISTMP#4|)
-                                      (PROGN
-                                        (setq |s2| (QCAR |ISTMP#4|))
-                                        (setq |callTail|
-                                         (QCDR |ISTMP#4|))
-                                        'T)))))))))
-              (member |kind| '(|bcLinks| |bcLispLinks|)))
-         (setq |text| (|saturnTranText| |s2|))
-         (setq |fs| (|getCallBackFn| |callTail|))
-         (COND
-           ((setq |y| (|isMenuItemStyle?| |s1|))
-            (setq |t1| (|mkDocLink| |fs| (|mkMenuButton|)))
-            (COND
-              ((BOOT-EQUAL |y| "")
-               (COND
-                 ((BOOT-EQUAL |s2| "") |t1|)
-                 ('T (|mkTabularItem| (CONS |t1| (CONS |text| NIL))))))
-              ('T (setq |t2| (|mkDocLink| |fs| |y|))
-               (|mkTabularItem|
-                   (CONS |t1| (CONS |t2| (CONS |text| NIL)))))))
-           ('T (setq |t| (|mkDocLink| |fs| |s1|))
-            (APPEND |t| |text|))))
-        ((AND (CONSP |x|)
-              (PROGN
-                (setq |ISTMP#1| (QCAR |x|))
-                (AND (CONSP |ISTMP#1|) (EQ (QCAR |ISTMP#1|) '|text|)
-                     (PROGN (setq |r| (QCDR |ISTMP#1|)) 'T))))
-         |r|)
-        ('T (|error| NIL))))))
-
-;mkBold s ==
-;  secondPart :=
-;    atom s => [s, '"}"]
-;    [:s, '"}"]
-;  ['"{\bf ", :secondPart]
-
-(defun |mkBold| (|s|)
-  (PROG (|secondPart|)
-    (RETURN
-      (PROGN
-        (setq |secondPart|
-                 (COND
-                   ((ATOM |s|) (CONS |s| (CONS "}" NIL)))
-                   ('T (APPEND |s| (CONS "}" NIL)))))
-        (CONS "{\\bf " |secondPart|)))))
-
-;mkMenuButton() == [menuButton()]
-
-(defun |mkMenuButton| () (CONS (|menuButton|) NIL))
-
 ;menuButton() == '"\menuitemstyle{}"
 
 (defun |menuButton| () "\\menuitemstyle{}")
 
-;-- Saturn must translate \menuitemstyle ==> {\menuButton}
+;--=======================================================================
+;--              Redefinitions from hypertex.boot
+;--=======================================================================
 ;--------------------> NEW DEFINITION (override in ht-util.boot.pamphlet)
-;--replaces htMakeButton
-;getCallBackFn form ==
-;  func := mkCurryFun(first form, rest form)
-;  STRCONC('"(|htDoneButton| '|", func, '"| ",htpName page(), '")")
+;endHTPage() ==
+;  nil
 
-(defun |getCallBackFn| (|form|)
-  (PROG (|func|)
-    (RETURN
-      (PROGN
-        (setq |func| (|mkCurryFun| (CAR |form|) (CDR |form|)))
-        (STRCONC "(|htDoneButton| '|" |func|
-                 "| " (|htpName| (|page|))
-                 ")")))))
+(defun |endHTPage| ()
+  (declare (special |$standard| |$MenuServer| |$EndOfPage|))
+  (|sockSendInt| |$MenuServer| |$EndOfPage|))
 
-;mkDocLink(code,s) ==
-;  if atom code then code := [code]
-;  if atom s    then s    := [s]
-;  ['"\lispLink[d]{\verb!", :code, '"!}{", :s, '"}"]
-
-(defun |mkDocLink| (|code| |s|)
-  (PROGN
-    (COND ((ATOM |code|) (setq |code| (CONS |code| NIL))))
-    (COND ((ATOM |s|) (setq |s| (CONS |s| NIL))))
-    (CONS "\\lispLink[d]{\\verb!"
-          (APPEND |code|
-                  (CONS "!}{"
-                        (APPEND |s| (CONS "}" NIL)))))))
-
-;saturnTranText x ==
-;  STRINGP x         => [unTab x]
-;  null x            => nil
-;  r is [s,fn,:.] and s = '"\unixcommand{" => ['"{\it ",s,'".spad}"]
-;  x is [['text, :s],:r] => unTab [:s, :saturnTranText r]
-;  error nil
-
-(defun |saturnTranText| (|x|)
-  (PROG (|fn| |ISTMP#1| |s| |r|)
-    (RETURN
-      (COND
-        ((STRINGP |x|) (CONS (|unTab| |x|) NIL))
-        ((NULL |x|) NIL)
-        ((AND (CONSP |r|)
-              (PROGN
-                (setq |s| (QCAR |r|))
-                (setq |ISTMP#1| (QCDR |r|))
-                (AND (CONSP |ISTMP#1|)
-                     (PROGN (setq |fn| (QCAR |ISTMP#1|)) 'T)))
-              (BOOT-EQUAL |s| "\\unixcommand{"))
-         (CONS "{\\it "
-               (CONS |s| (CONS ".spad}" NIL))))
-        ((AND (CONSP |x|)
-              (PROGN
-                (setq |ISTMP#1| (QCAR |x|))
-                (AND (CONSP |ISTMP#1|) (EQ (QCAR |ISTMP#1|) '|text|)
-                     (PROGN (setq |s| (QCDR |ISTMP#1|)) 'T)))
-              (PROGN (setq |r| (QCDR |x|)) 'T))
-         (|unTab| (APPEND |s| (|saturnTranText| |r|))))
-        ('T (|error| NIL))))))
-
-;isMenuItemStyle? s ==
-;  15 = STRING_<('"\menuitemstyle{", s) => SUBSTRING(s,15,(MAXINDEX s) - 15)
-;  nil
-
-(defun |isMenuItemStyle?| (|s|)
-  (COND
-    ((EQL 15 (STRING< "\\menuitemstyle{" |s|))
-     (SUBSTRING |s| 15 (SPADDIFFERENCE (MAXINDEX |s|) 15)))
-    ('T NIL)))
-
-;getCallBack callTail ==
-;  LASSOC(callTail, $callTailList) or
-;    callTail is [fn] => callTail
-;    error nil
-
-(defun |getCallBack| (|callTail|)
-  (PROG (|fn|)
-  (declare (special |$callTailList|))
-    (RETURN
-      (OR (LASSOC |callTail| |$callTailList|)
-          (COND
-            ((AND (CONSP |callTail|) (EQ (QCDR |callTail|) NIL)
-                  (PROGN (setq |fn| (QCAR |callTail|)) 'T))
-             |callTail|)
-            ('T (|error| NIL)))))))
-
-;--=======================================================================
-;--              Redefinitions from hypertex.boot
-;--=======================================================================
-;--------------------> NEW DEFINITION (override in ht-util.boot.pamphlet)
-;endHTPage() ==
-;  $standard => sockSendInt($MenuServer, $EndOfPage)
-;  nil
-
-(defun |endHTPage| ()
-  (declare (special |$standard| |$MenuServer| |$EndOfPage|))
-  (COND
-    (|$standard| (|sockSendInt| |$MenuServer| |$EndOfPage|))
-    ('T NIL)))
-
-;--=======================================================================
-;--              Redefinitions from ht-util.boot
-;--=======================================================================
-;htSayHrule() == bcHt
-;  $saturn => '"\hrule{}\newline{}"
-;  '"\horizontalline{}\newline{}"
+;--=======================================================================
+;--              Redefinitions from ht-util.boot
+;--=======================================================================
+;htSayHrule() == bcHt
+;  '"\horizontalline{}\newline{}"
 
 (defun |htSayHrule| ()
-  (declare (special |$saturn|))
-  (|bcHt| (COND
-            (|$saturn| "\\hrule{}\\newline{}")
-            ('T "\\horizontalline{}\\newline{}"))))
+  (|bcHt| "\\horizontalline{}\\newline{}"))
 
 ;--------------------> NEW DEFINITION (override in ht-util.boot.pamphlet)
 ;htpAddInputAreaProp(htPage, label, prop) ==
@@ -17242,7 +16278,6 @@ $dbKindAlist :=
 ;  [links,options] := beforeAfter('options,links)
 ;  for [message, info, func, :value] in links repeat
 ;    link :=
-;      $saturn => '"\lispLink[d]"
 ;      '"\lispdownlink"
 ;    htMakeButton(link,message,
 ;                   mkCurryFun(func, value),skipStateInfo?)
@@ -17252,7 +16287,6 @@ $dbKindAlist :=
   (DSETQ (|links| . |options|) G178631)
   (PROG (|skipStateInfo?| |LETTMP#1| |message| |info| |func| |value|
             |link|)
-  (declare (special |$saturn|))
     (RETURN
       (SEQ (PROGN
              (setq |skipStateInfo?| (IFCAR |options|))
@@ -17272,12 +16306,7 @@ $dbKindAlist :=
                         NIL))
                   NIL)
                (SEQ (EXIT (PROGN
-                            (setq |link|
-                                     (COND
-                                       (|$saturn|
-                                        "\\lispLink[d]")
-                                       ('T
-                                        "\\lispdownlink")))
+                            (setq |link| "\\lispdownlink")
                             (|htMakeButton| |link| |message|
                                 (|mkCurryFun| |func| |value|)
                                 |skipStateInfo?|)
@@ -17288,14 +16317,12 @@ $dbKindAlist :=
 ;  [links,options] := beforeAfter('options,links)
 ;  for [message, info, func, :value] in links repeat
 ;    link :=
-;      $saturn => '"\lispLink[n]"
 ;      '"\lisplink"
 ;    htMakeButton(link ,message, mkCurryFun(func, value))
 ;    bcIssueHt info
 
 (defun |htBcLispLinks| (|links|)
   (PROG (|LETTMP#1| |options| |message| |info| |func| |value| |link|)
-  (declare (special |$saturn|))
     (RETURN
       (SEQ (PROGN
              (setq |LETTMP#1| (|beforeAfter| '|options| |links|))
@@ -17314,17 +16341,12 @@ $dbKindAlist :=
                         NIL))
                   NIL)
                (SEQ (EXIT (PROGN
-                            (setq |link|
-                                     (COND
-                                       (|$saturn|
-                                        "\\lispLink[n]")
-                                       ('T "\\lisplink")))
+                            (setq |link| "\\lisplink")
                             (|htMakeButton| |link| |message|
                                 (|mkCurryFun| |func| |value|))
                             (|bcIssueHt| |info|))))))))))
 
 ;htMakeButton(htCommand, message, func,:options) ==
-;  $saturn => htMakeButtonSaturn(htCommand, message, func, options)
 ;  skipStateInfo? := IFCAR options
 ;  iht [htCommand, '"{"]
 ;  bcIssueHt message
@@ -17344,13 +16366,9 @@ $dbKindAlist :=
        (&REST G178699 &AUX |options| |func| |message| |htCommand|)
   (DSETQ (|htCommand| |message| |func| . |options|) G178699)
   (PROG (|skipStateInfo?| |id| |type|)
-  (declare (special |$curPage| |$saturn|))
+  (declare (special |$curPage|))
     (RETURN
-      (SEQ (COND
-             (|$saturn|
-                 (|htMakeButtonSaturn| |htCommand| |message| |func|
-                     |options|))
-             ('T (setq |skipStateInfo?| (IFCAR |options|))
+      (SEQ    (setq |skipStateInfo?| (IFCAR |options|))
               (|iht| (CONS |htCommand| (CONS "{" NIL)))
               (|bcIssueHt| |message|)
               (COND
@@ -17377,8 +16395,7 @@ $dbKindAlist :=
                             NIL))
                       NIL)
                    (SEQ (EXIT (PROGN
-                                (|iht| (CONS
-                                                                                 "(|htpSetLabelInputString| "
+                                (|iht| (CONS "(|htpSetLabelInputString| "
                                         (CONS (|htpName| |$curPage|)
                                          (CONS "'|"
                                           (CONS |id|
@@ -17397,84 +16414,7 @@ $dbKindAlist :=
                                       (CONS "}\"" NIL))))))
                                 (|iht| ") ")))))
                  (|iht| (CONS (|htpName| |$curPage|)
-                              (CONS "))}" NIL)))))))))))
-
-;htMakeButtonSaturn(htCommand, message, func,options) ==
-;  skipStateInfo? := IFCAR options
-;  iht htCommand
-;  skipStateInfo? =>
-;    iht ['"{\verb!(|htDoneButton| '|", func, '"| ",htpName page(), '")!}{"]
-;    bcIssueHt message
-;    iht '"}"
-;  iht ['"{\verb!(|htDoneButton| '|", func, '"| "]
-;  if $kPageSaturnArguments then
-;    iht '"(PROGN "
-;    for id in $kPageSaturnArguments for var in $PatternVariableList  repeat
-;      iht ['"(|htpSetLabelInputString| ", htpName page(), '"'|", var, '"| "]
-;      iht ["'|!\", id, '"\verb!|"]
-;      iht '")"
-;    iht htpName $saturnPage
-;    iht '")"
-;  else
-;    iht htpName $saturnPage
-;  iht '")!}{"
-;  bcIssueHt message
-;  iht '"}"
-
-(defun |htMakeButtonSaturn| (|htCommand| |message| |func| |options|)
-  (PROG (|skipStateInfo?|)
-  (declare (special |$kPageSaturnArguments| |$PatternVariableList|
-                    |$saturnPage|))
-    (RETURN
-      (SEQ (PROGN
-             (setq |skipStateInfo?| (IFCAR |options|))
-             (|iht| |htCommand|)
-             (COND
-               (|skipStateInfo?|
-                   (|iht| (CONS                                     "{\\verb!(|htDoneButton| '|"
-                                (CONS |func|
-                                      (CONS "| "
-                                       (CONS (|htpName| (|page|))
-                                        (CONS ")!}{" NIL))))))
-                   (|bcIssueHt| |message|) (|iht| "}"))
-               ('T
-                (|iht| (CONS "{\\verb!(|htDoneButton| '|"
-                             (CONS |func| (CONS "| " NIL))))
-                (COND
-                  (|$kPageSaturnArguments|
-                      (|iht| "(PROGN ")
-                      (DO ((G178711 |$kPageSaturnArguments|
-                               (CDR G178711))
-                           (|id| NIL)
-                           (G178712 |$PatternVariableList|
-                               (CDR G178712))
-                           (|var| NIL))
-                          ((OR (ATOM G178711)
-                               (PROGN (SETQ |id| (CAR G178711)) NIL)
-                               (ATOM G178712)
-                               (PROGN
-                                 (SETQ |var| (CAR G178712))
-                                 NIL))
-                           NIL)
-                        (SEQ (EXIT (PROGN
-                                     (|iht|
-                                      (CONS
-                                                                               "(|htpSetLabelInputString| "
-                                       (CONS (|htpName| (|page|))
-                                        (CONS "'|"
-                                         (CONS |var|
-                                          (CONS "| " NIL))))))
-                                     (|iht|
-                                      (CONS '|'\|!\\|
-                                       (CONS |id|
-                                        (CONS "\\verb!|"
-                                         NIL))))
-                                     (|iht| ")")))))
-                      (|iht| (|htpName| |$saturnPage|))
-                      (|iht| ")"))
-                  ('T (|iht| (|htpName| |$saturnPage|))))
-                (|iht| ")!}{") (|bcIssueHt| |message|)
-                (|iht| "}"))))))))
+                              (CONS "))}" NIL)))))))))
 
 ;htpAddToPageDescription(htPage, pageDescrip) ==
 ;  newDescript :=
@@ -17528,23 +16468,23 @@ $dbKindAlist :=
                           (setq |mess2| "")
                           (COND
                             ((NULL (LASSOC |stringName|
-                                    (|htpInputAreaAlist| (|page|))))
+                                    (|htpInputAreaAlist| |$curPage|)))
                              (|setUpDefault| |stringName|
                                  (CONS '|string|
                                        (CONS |default|
                                         (CONS |spadType|
                                          (CONS |filter| NIL)))))))
                           (COND
-                            ((|htpLabelErrorMsg| (|page|) |stringName|)
+                            ((|htpLabelErrorMsg| |$curPage| |stringName|)
                              (|iht| (CONS
                                      "\\centerline{{\\em "
                                      (CONS
-                                      (|htpLabelErrorMsg| (|page|)
+                                      (|htpLabelErrorMsg| |$curPage|
                                        |stringName|)
                                       (CONS "}}" NIL))))
                              (setq |mess2|
                                       (CONCAT |mess2| (|bcSadFaces|)))
-                             (|htpSetLabelErrorMsg| (|page|)
+                             (|htpSetLabelErrorMsg| |$curPage|
                                  |stringName| NIL)))
                           (|iht| (CONS "\\inputstring{"
                                        (CONS |stringName|
@@ -17552,7 +16492,7 @@ $dbKindAlist :=
                                          (CONS |numChars|
                                           (CONS "}{"
                                            (CONS
-                                            (|htpLabelDefault| (|page|)
+                                            (|htpLabelDefault| |$curPage|
                                              |stringName|)
                                             (CONS "} "
                                              (CONS |mess2| NIL)))))))))))))))))
@@ -17562,7 +16502,7 @@ $dbKindAlist :=
 ;  htpAddInputAreaProp(page(), name, props)
 
 (defun |setUpDefault| (|name| |props|)
-  (|htpAddInputAreaProp| (|page|) |name| |props|))
+  (|htpAddInputAreaProp| |$curPage| |name| |props|))
 
 ;--------------------> NEW DEFINITION (override in ht-util.boot.pamphlet)
 ;htInitPage(title, propList) ==
@@ -17575,107 +16515,67 @@ $dbKindAlist :=
   (PROGN
     (|htInitPageNoScroll| |propList| |title|)
     (|htSayStandard| "\\beginscroll ")
-    (|page|)))
+    |$curPage|))
 
 ;--------------------> NEW DEFINITION <--------------------------
 ;htInitPageNoScroll(propList, :options) ==
 ;--start defining a hyperTeX page
 ;  $atLeastOneUnexposed := nil     --reset every time a new page is initialized
-;  $saturnContextMenuLines := nil
 ;  title := IFCAR options
-;  $curPage :=
-;    $standard => htpMakeEmptyPage(propList)
-;    nil
-;  if $saturn then $saturnPage := htpMakeEmptyPage(propList)
+;  $curPage := htpMakeEmptyPage(propList)
 ;  $newPage := true
 ;  $htLineList := nil
 ;  if title then
-;    if $standard then htSayStandard ['"\begin{page}{", htpName $curPage, '"}{"]
-;    htSaySaturn '"\browseTitle{"
+;    htSayStandard ['"\begin{page}{", htpName $curPage, '"}{"]
 ;    htSay title
-;    htSaySaturn '"}"
 ;    htSayStandard '"} "
 ;  page()
 
 (defun |htInitPageNoScroll| (&REST G178785 &AUX |options| |propList|)
-  (DSETQ (|propList| . |options|) G178785)
-  (PROG (|title|)
-  (declare (special |$atLeastOneUnexposed| |$saturnContextMenuLines|
-                    |$curPage| |$standard| |$saturn| |$saturnPage|
-                    |$newPage| |$htLineList|))
-    (RETURN
-      (PROGN
-        (setq |$atLeastOneUnexposed| NIL)
-        (setq |$saturnContextMenuLines| NIL)
-        (setq |title| (IFCAR |options|))
-        (setq |$curPage|
-                 (COND
-                   (|$standard| (|htpMakeEmptyPage| |propList|))
-                   ('T NIL)))
-        (COND
-          (|$saturn|
-              (setq |$saturnPage| (|htpMakeEmptyPage| |propList|))))
-        (setq |$newPage| 'T)
-        (setq |$htLineList| NIL)
-        (COND
-          (|title| (COND
-                     (|$standard|
-                         (|htSayStandard|
-                             (CONS "\\begin{page}{"
-                                   (CONS (|htpName| |$curPage|)
-                                    (CONS "}{" NIL))))))
-                   (|htSaySaturn| "\\browseTitle{")
-                   (|htSay| |title|) (|htSaySaturn| "}")
-                   (|htSayStandard| "} ")))
-        (|page|)))))
+  (dsetq (|propList| . |options|) G178785)
+  (let (|title|)
+ (declare (special |$atLeastOneUnexposed| |$curPage| |$newPage| |$htLineList|))
+   (setq |$atLeastOneUnexposed| NIL)
+   (setq |title| (IFCAR |options|))
+   (setq |$curPage| (|htpMakeEmptyPage| |propList|))
+   (setq |$newPage| t)
+   (setq |$htLineList| nil)
+   (when |title| 
+     (|htSayStandard| (list "\\begin{page}{" (|htpName| |$curPage|) "}{" ))
+     (|htSay| |title|)
+     (|htSayStandard| "} "))
+   |$curPage|))
 
 ;--------------------> NEW DEFINITION <--------------------------
 ;htInitPageNoHeading(propList) ==
 ;--start defining a hyperTeX page
 ;  $curPage :=
-;    $standard => htpMakeEmptyPage(propList)
-;  if $saturn then $saturnPage := htpMakeEmptyPage(propList)
+;  htpMakeEmptyPage(propList)
 ;  $newPage := true
 ;  $htLineList := nil
 ;  page()
 
 (defun |htInitPageNoHeading| (|propList|)
-  (declare (special |$curPage| |$standard| |$saturn| |$saturnPage| |$newPage|
-                    |$htLineList|))
-  (COND
-    ((setq |$curPage| |$standard|) (|htpMakeEmptyPage| |propList|))
-    ('T
-     (COND
-       (|$saturn|
-           (setq |$saturnPage| (|htpMakeEmptyPage| |propList|))))
-     (setq |$newPage| 'T) (setq |$htLineList| NIL) (|page|))))
+  (declare (special |$curPage| |$newPage| |$htLineList|))
+  (|htpMakeEmptyPage| |propList|))
 
 ;--------------------> NEW DEFINITION <--------------------------
 ;htpMakeEmptyPage(propList,:options) ==
 ;  name := IFCAR options or  GENTEMP()
-;  if not $saturn then
-;    $activePageList := [name, :$activePageList]
+;  $activePageList := [name, :$activePageList]
 ;  SET(name, val := VECTOR(name, nil, nil, nil, nil, nil, propList, nil))
 ;  val
 
 (defun |htpMakeEmptyPage| (&REST G178801 &AUX |options| |propList|)
-  (DSETQ (|propList| . |options|) G178801)
-  (PROG (|name| |val|)
-  (declare (special |$activePageList| |$saturn|))
-    (RETURN
-      (PROGN
-        (setq |name| (OR (IFCAR |options|) (GENTEMP)))
-        (COND
-          ((NULL |$saturn|)
-           (setq |$activePageList| (CONS |name| |$activePageList|))))
-        (SET |name|
-             (setq |val|
-                      (VECTOR |name| NIL NIL NIL NIL NIL |propList|
-                              NIL)))
-        |val|))))
+  (dsetq (|propList| . |options|) G178801)
+  (let (|name| |val|)
+  (declare (special |$activePageList|))
+   (setq |name| (OR (IFCAR |options|) (GENTEMP)))
+   (setq |$activePageList| (CONS |name| |$activePageList|))
+   (set |name| (setq |val| (vector |name| nil nil nil nil nil |propList| nil)))
+   |val|))
 
 ;kPageContextMenu page ==
-;  $saturn => kPageContextMenuSaturn page
 ;  [kind,name,nargs,xpart,sig,args,abbrev,comments] := htpProperty(page,'parts)
 ;  conform := htpProperty(page,'conform)
 ;  conname := opOf conform
@@ -17719,16 +16619,14 @@ $dbKindAlist :=
 ;    htSay '"}{"
 ;    htMakePage [['bcLinks,['Uses,'"",'kcnPage,nil]]]
 ;  htSay '"}"
-;  if $standard then htEndTable()
 
 (defun |kPageContextMenu| (|page|)
   (PROG (|LETTMP#1| |kind| |name| |nargs| |xpart| |sig| |args| |abbrev|
             |comments| |conform| |conname| |pathname|)
-  (declare (special |$saturn| |$standard|))
     (RETURN
       (COND
-        (|$saturn| (|kPageContextMenuSaturn| |page|))
-        ('T (setq |LETTMP#1| (|htpProperty| |page| '|parts|))
+        (t 
+         (setq |LETTMP#1| (|htpProperty| |page| '|parts|))
          (setq |kind| (CAR |LETTMP#1|))
          (setq |name| (CADR |LETTMP#1|))
          (setq |nargs| (CADDR |LETTMP#1|))
@@ -17871,228 +16769,14 @@ $dbKindAlist :=
                                   NIL))
                       NIL))))
          (|htSay| "}")
-         (COND (|$standard| (|htEndTable|)) ('T NIL)))))))
-
-;kPageContextMenuSaturn page ==
-;  $newPage    : local := nil
-;  [kind,name,nargs,xpart,sig,args,abbrev,comments] := htpProperty(page,'parts)
-;  $htLineList : local := nil
-;  conform := htpProperty(page,'conform)
-;  conname := opOf conform
-;  htMakePage [['bcLinks,['"\&Ancestors",'"",'kcaPage,nil]]]
-;  htMakePage [['bcLinks,['"Attri\&butes",'"",'koPage,'"attribute"]]]
-;  if kind = '"category" then
-;    htMakePage [['bcLinks,['"\&Children",'"",'kccPage,nil]]]
-;  if not asharpConstructorName? conname then
-;    htMakePage [['bcLinks,['"\&Dependents",'"",'kcdePage,nil]]]
-;  if kind = '"category" then
-;    htMakePage [['bcLinks,['"Desce\&ndents",'"",'kcdPage,nil]]]
-;  if kind = '"category" then
-;    if not asharpConstructorName? conname then
-;      htMakePage [['bcLinks,['"Do\&mains",'"",'kcdoPage,nil]]]
-;      else htSayCold '"Do\&mains"
-;  if kind ^= '"category" and (name := saturnHasExamplePage conname)
-;    then saturnExampleLink name
-;    else htSayCold '"E\&xamples"
-;  htMakePage [['bcLinks,['"\&Exports",'"",'kePage,nil]]]
-;  htMakePage [['bcLinks,['"\&Operations",'"",'koPage,'"operation"]]]
-;  htMakePage [['bcLinks,['"\&Parents",'"",'kcpPage,'"operation"]]]
-;  if not asharpConstructorName? conname
-;    then  htMakePage [['bcLinks,['"Search O\&rder",'"",'ksPage,nil]]]
-;    else htSayCold '"Search Order"
-;  if kind ^= '"category" or dbpHasDefaultCategory? xpart
-;    then
-;       htMakePage [['bcLinks,['"\&Users",'"",'kcuPage,nil]]]
-;       htMakePage [['bcLinks,['"U\&ses",'"",'kcnPage,nil]]]
-;    else
-;       htSayCold '"\&Users"
-;       htSayCold '"U\&ses"
-;  $saturnContextMenuLines := $htLineList
-
-(defun |kPageContextMenuSaturn| (|page|)
-  (PROG (|$newPage| |$htLineList| |LETTMP#1| |kind| |nargs| |xpart|
-            |sig| |args| |abbrev| |comments| |conform| |conname|
-            |name|)
-    (DECLARE (SPECIAL |$newPage| |$htLineList| |$saturnContextMenuLines| 
-                      |$htLineList|))
-    (RETURN
-      (PROGN
-        (setq |$newPage| NIL)
-        (setq |LETTMP#1| (|htpProperty| |page| '|parts|))
-        (setq |kind| (CAR |LETTMP#1|))
-        (setq |name| (CADR |LETTMP#1|))
-        (setq |nargs| (CADDR |LETTMP#1|))
-        (setq |xpart| (CADDDR |LETTMP#1|))
-        (setq |sig| (CAR (CDDDDR |LETTMP#1|)))
-        (setq |args| (CADR (CDDDDR |LETTMP#1|)))
-        (setq |abbrev| (CADDR (CDDDDR |LETTMP#1|)))
-        (setq |comments| (CADDDR (CDDDDR |LETTMP#1|)))
-        (setq |$htLineList| NIL)
-        (setq |conform| (|htpProperty| |page| '|conform|))
-        (setq |conname| (|opOf| |conform|))
-        (|htMakePage|
-            (CONS (CONS '|bcLinks|
-                        (CONS (CONS "\\&Ancestors"
-                                    (CONS ""
-                                     (CONS '|kcaPage| (CONS NIL NIL))))
-                              NIL))
-                  NIL))
-        (|htMakePage|
-            (CONS (CONS '|bcLinks|
-                        (CONS (CONS "Attri\\&butes"
-                                    (CONS ""
-                                     (CONS '|koPage|
-                                      (CONS "attribute"
-                                       NIL))))
-                              NIL))
-                  NIL))
-        (COND
-          ((BOOT-EQUAL |kind| "category")
-           (|htMakePage|
-               (CONS (CONS '|bcLinks|
-                           (CONS (CONS "\\&Children"
-                                       (CONS ""
-                                        (CONS '|kccPage|
-                                         (CONS NIL NIL))))
-                                 NIL))
-                     NIL))))
-       (|htMakePage|
-               (CONS (CONS '|bcLinks|
-                           (CONS (CONS "\\&Dependents"
-                                       (CONS ""
-                                        (CONS '|kcdePage|
-                                         (CONS NIL NIL))))
-                                 NIL))
-                     NIL)) 
-        (COND
-          ((BOOT-EQUAL |kind| "category")
-           (|htMakePage|
-               (CONS (CONS '|bcLinks|
-                           (CONS (CONS "Desce\\&ndents"
-                                       (CONS ""
-                                        (CONS '|kcdPage|
-                                         (CONS NIL NIL))))
-                                 NIL))
-                     NIL))))
-        (COND
-          ((BOOT-EQUAL |kind| "category")
-           (|htMakePage|
-                  (CONS (CONS '|bcLinks|
-                              (CONS (CONS "Do\\&mains"
-                                     (CONS ""
-                                      (CONS '|kcdoPage| (CONS NIL NIL))))
-                                    NIL))
-                        NIL))))
-        (COND
-          ((AND (NEQUAL |kind| "category")
-                (setq |name| (|saturnHasExamplePage| |conname|)))
-           (|saturnExampleLink| |name|))
-          ('T (|htSayCold| "E\\&xamples")))
-        (|htMakePage|
-            (CONS (CONS '|bcLinks|
-                        (CONS (CONS "\\&Exports"
-                                    (CONS ""
-                                     (CONS '|kePage| (CONS NIL NIL))))
-                              NIL))
-                  NIL))
-        (|htMakePage|
-            (CONS (CONS '|bcLinks|
-                        (CONS (CONS "\\&Operations"
-                                    (CONS ""
-                                     (CONS '|koPage|
-                                      (CONS "operation"
-                                       NIL))))
-                              NIL))
-                  NIL))
-        (|htMakePage|
-            (CONS (CONS '|bcLinks|
-                        (CONS (CONS "\\&Parents"
-                                    (CONS ""
-                                     (CONS '|kcpPage|
-                                      (CONS "operation"
-                                       NIL))))
-                              NIL))
-                  NIL))
-        (|htMakePage|
-               (CONS (CONS '|bcLinks|
-                           (CONS (CONS "Search O\\&rder"
-                                       (CONS ""
-                                        (CONS '|ksPage| (CONS NIL NIL))))
-                                 NIL))
-                     NIL))
-        (COND
-          ((OR (NEQUAL |kind| "category")
-               (|dbpHasDefaultCategory?| |xpart|))
-           (|htMakePage|
-               (CONS (CONS '|bcLinks|
-                           (CONS (CONS "\\&Users"
-                                       (CONS ""
-                                        (CONS '|kcuPage|
-                                         (CONS NIL NIL))))
-                                 NIL))
-                     NIL))
-           (|htMakePage|
-               (CONS (CONS '|bcLinks|
-                           (CONS (CONS "U\\&ses"
-                                       (CONS ""
-                                        (CONS '|kcnPage|
-                                         (CONS NIL NIL))))
-                                 NIL))
-                     NIL)))
-          ('T (|htSayCold| "\\&Users")
-           (|htSayCold| "U\\&ses")))
-        (setq |$saturnContextMenuLines| |$htLineList|)))))
-
-;saturnExampleLink lname ==
-;  htSay '"\docLink{\csname "
-;  htSay STRCONC(CAR(CDR(lname)), '"\endcsname}{E&xamples}")
-
-(defun |saturnExampleLink| (|lname|)
-  (PROGN
-    (|htSay| "\\docLink{\\csname ")
-    (|htSay| (STRCONC (CAR (CDR |lname|))
-                      "\\endcsname}{E&xamples}"))))
+         (|htEndTable|))))))
 
 ;$exampleConstructors := nil
 
-(setq |$exampleConstructors| NIL) 
-
-;saturnHasExamplePage conname ==
-;  if not $exampleConstructors then
-;     $exampleConstructors := getSaturnExampleList()
-;  ASSQ(conname, $exampleConstructors)
-
-(defun |saturnHasExamplePage| (|conname|)
-  (declare (special |$exampleConstructors|))
-  (PROGN
-    (COND
-      ((NULL |$exampleConstructors|)
-       (setq |$exampleConstructors| (|getSaturnExampleList|))))
-    (ASSQ |conname| |$exampleConstructors|)))
-
-;getSaturnExampleList() ==
-;  file := STRCONC( getEnv('"AXIOM"), "/doc/axug/examples.lsp")
-;  not PROBE_-FILE file => nil
-;  fp := MAKE_-INSTREAM file
-;  lst := READ fp
-;  SHUT fp
-;  lst
-
-(defun |getSaturnExampleList| ()
-  (PROG (|file| |fp| |lst|)
-    (RETURN
-      (PROGN
-        (setq |file|
-                 (STRCONC (|getEnv| "AXIOM")
-                          '|/doc/axug/examples.lsp|))
-        (COND
-          ((NULL (PROBE-FILE |file|)) NIL)
-          ('T (setq |fp| (MAKE-INSTREAM |file|))
-           (setq |lst| (VMREAD |fp|)) (SHUT |fp|) |lst|))))))
+(defvar |$exampleConstructors| NIL) 
 
 ;--------------------> NEW DEFINITION (see br-con.boot.pamphlet)
 ;dbPresentCons(htPage,kind,:exclusions) ==
-;  $saturn => dbPresentConsSaturn(htPage,kind,exclusions)
 ;  htpSetProperty(htPage,'exclusion,first exclusions)
 ;  cAlist := htpProperty(htPage,'cAlist)
 ;  empty? := null cAlist
@@ -18100,7 +16784,6 @@ $dbKindAlist :=
 ;  one? := empty? or one?
 ;  exposedUnexposedFlag := $includeUnexposed? --used to be star?       4/92
 ;  star?  := true     --always include information on exposed/unexposed   4/92
-;  if $standard then htBeginTable()
 ;  htSay '"{"
 ;  if one? or MEMBER('abbrs,exclusions)
 ;    then htSay '"{\em Abbreviations}"
@@ -18141,19 +16824,13 @@ $dbKindAlist :=
 ;      then htSay '"{\em Exposed Only}"
 ;      else htMakePage [['bcLinks,['"Exposed Only",'"",'dbShowCons,'exposureOn]]]
 ;  htSay '"}"
-;  if $standard then htEndTable()
 
-(defun |dbPresentCons|
-       (&REST G178985 &AUX |exclusions| |kind| |htPage|)
+(defun |dbPresentCons| (&REST G178985 &AUX |exclusions| |kind| |htPage|)
   (DSETQ (|htPage| |kind| . |exclusions|) G178985)
   (PROG (|cAlist| |empty?| |one?| |exposedUnexposedFlag| |star?|)
-  (declare (special |$saturn| |$standard| |$exposedOnlyIfTrue| 
-                    |$includeUnexposed?|))
+  (declare (special |$exposedOnlyIfTrue| |$includeUnexposed?|))
     (RETURN
-      (SEQ (COND
-             (|$saturn|
-                 (|dbPresentConsSaturn| |htPage| |kind| |exclusions|))
-             ('T
+      (SEQ 
               (|htpSetProperty| |htPage| '|exclusion|
                   (CAR |exclusions|))
               (setq |cAlist| (|htpProperty| |htPage| '|cAlist|))
@@ -18162,7 +16839,7 @@ $dbKindAlist :=
               (setq |one?| (OR |empty?| |one?|))
               (setq |exposedUnexposedFlag| |$includeUnexposed?|)
               (setq |star?| 'T)
-              (COND (|$standard| (|htBeginTable|)))
+              (|htBeginTable|)
               (|htSay| "{")
               (COND
                 ((OR |one?| (|member| '|abbrs| |exclusions|))
@@ -18317,211 +16994,7 @@ $dbKindAlist :=
                                        NIL))
                            NIL))))
               (|htSay| "}")
-              (COND (|$standard| (|htEndTable|)) ('T NIL))))))))
-
-;dbPresentConsSaturn(htPage,kind,exclusions) ==
-;  $htLineList : local := nil
-;  $newPage    : local := nil
-;  htpSetProperty(htPage,'exclusion,first exclusions)
-;  cAlist := htpProperty(htPage,'cAlist)
-;  empty? := null cAlist
-;  one?   := null KDR cAlist
-;  one? := empty? or one?
-;  exposedUnexposedFlag := $includeUnexposed? --used to be star?       4/92
-;  star?  := true     --always include information on exposed/unexposed   4/92
-;  if $standard then htBeginTable()
-;  if one? or MEMBER('abbrs,exclusions)
-;    then htSayCold '"\&Abbreviations"
-;    else htMakePage [['bcLispLinks,['"\&Abbreviations",'"",'dbShowCons,'abbrs]]]
-;  if one? or MEMBER('conditions,exclusions) or and/[CDR x = true for x in cAlist]
-;    then htSayCold '"\&Conditions"
-;    else htMakePage [['bcLispLinks,['"\&Conditions",'"",'dbShowCons,'conditions]]]
-;  if empty? or MEMBER('documentation,exclusions)
-;    then htSayCold '"\&Descriptions"
-;    else htMakePage [['bcLispLinks,['"\&Descriptions",'"",'dbShowCons,'documentation]]]
-;  if one? or null CDR cAlist
-;    then htSayCold '"\&Filter"
-;    else htMakeSaturnFilterPage ['dbShowCons, 'filter]
-;  if one? or MEMBER('kinds,exclusions) or kind ^= 'constructor
-;    then htSayCold '"\&Kinds"
-;    else htMakePage [['bcLispLinks,['"\&Kinds",'"",'dbShowCons,'kinds]]]
-;  if one? or MEMBER('names,exclusions)
-;    then htSayCold '"\&Names"
-;    else htMakePage [['bcLispLinks,['"\&Names",'"",'dbShowCons,'names]]]
-;  if one? or MEMBER('parameters,exclusions) or not or/[CDAR x for x in cAlist]
-;    then htSayCold '"\&Parameters"
-;    else htMakePage [['bcLispLinks,['"\&Parameters",'"",'dbShowCons,'parameters]]]
-;  htSaySaturn '"\hrule"
-;  if $exposedOnlyIfTrue
-;    then
-;      if one? then htSayCold '"\&Unexposed Also"
-;      else htMakePage [['bcLinks,['"\&Unexposed Also",'"",'dbShowCons,'exposureOff]]]
-;    else
-;      if one? then htSayCold '"\Exposed Only\&y"
-;      else htMakePage [['bcLinks,['"Exposed Onl\&y",'"",'dbShowCons,'exposureOn]]]
-;  if $standard then htEndTable()
-;  $saturnContextMenuLines := $htLineList
-
-(defun |dbPresentConsSaturn| (|htPage| |kind| |exclusions|)
-  (PROG (|$htLineList| |$newPage| |cAlist| |empty?| |one?|
-            |exposedUnexposedFlag| |star?|)
-    (DECLARE (SPECIAL |$htLineList| |$newPage| |$saturnContextMenuLines| 
-                      |$htLineList| |$standard| |$exposedOnlyIfTrue| 
-                      |$includeUnexposed?|))
-    (RETURN
-      (SEQ (PROGN
-             (setq |$htLineList| NIL)
-             (setq |$newPage| NIL)
-             (|htpSetProperty| |htPage| '|exclusion|
-                 (CAR |exclusions|))
-             (setq |cAlist| (|htpProperty| |htPage| '|cAlist|))
-             (setq |empty?| (NULL |cAlist|))
-             (setq |one?| (NULL (KDR |cAlist|)))
-             (setq |one?| (OR |empty?| |one?|))
-             (setq |exposedUnexposedFlag| |$includeUnexposed?|)
-             (setq |star?| 'T)
-             (COND (|$standard| (|htBeginTable|)))
-             (COND
-               ((OR |one?| (|member| '|abbrs| |exclusions|))
-                (|htSayCold| "\\&Abbreviations"))
-               ('T
-                (|htMakePage|
-                    (CONS (CONS '|bcLispLinks|
-                                (CONS (CONS
-                                       "\\&Abbreviations"
-                                       (CONS ""
-                                        (CONS '|dbShowCons|
-                                         (CONS '|abbrs| NIL))))
-                                      NIL))
-                          NIL))))
-             (COND
-               ((OR |one?| (|member| '|conditions| |exclusions|)
-                    (PROG (G178987)
-                      (setq G178987 'T)
-                      (RETURN
-                        (DO ((G178993 NIL (NULL G178987))
-                             (G178994 |cAlist| (CDR G178994))
-                             (|x| NIL))
-                            ((OR G178993 (ATOM G178994)
-                                 (PROGN
-                                   (SETQ |x| (CAR G178994))
-                                   NIL))
-                             G178987)
-                          (SEQ (EXIT (SETQ G178987
-                                      (AND G178987
-                                       (BOOT-EQUAL (CDR |x|) 'T)))))))))
-                (|htSayCold| "\\&Conditions"))
-               ('T
-                (|htMakePage|
-                    (CONS (CONS '|bcLispLinks|
-                                (CONS (CONS
-                                       "\\&Conditions"
-                                       (CONS ""
-                                        (CONS '|dbShowCons|
-                                         (CONS '|conditions| NIL))))
-                                      NIL))
-                          NIL))))
-             (COND
-               ((OR |empty?| (|member| '|documentation| |exclusions|))
-                (|htSayCold| "\\&Descriptions"))
-               ('T
-                (|htMakePage|
-                    (CONS (CONS '|bcLispLinks|
-                                (CONS (CONS
-                                       "\\&Descriptions"
-                                       (CONS ""
-                                        (CONS '|dbShowCons|
-                                         (CONS '|documentation| NIL))))
-                                      NIL))
-                          NIL))))
-             (COND
-               ((OR |one?| (NULL (CDR |cAlist|)))
-                (|htSayCold| "\\&Filter"))
-               ('T
-                (|htMakeSaturnFilterPage|
-                    (CONS '|dbShowCons| (CONS '|filter| NIL)))))
-             (COND
-               ((OR |one?| (|member| '|kinds| |exclusions|)
-                    (NEQUAL |kind| '|constructor|))
-                (|htSayCold| "\\&Kinds"))
-               ('T
-                (|htMakePage|
-                    (CONS (CONS '|bcLispLinks|
-                                (CONS (CONS "\\&Kinds"
-                                       (CONS ""
-                                        (CONS '|dbShowCons|
-                                         (CONS '|kinds| NIL))))
-                                      NIL))
-                          NIL))))
-             (COND
-               ((OR |one?| (|member| '|names| |exclusions|))
-                (|htSayCold| "\\&Names"))
-               ('T
-                (|htMakePage|
-                    (CONS (CONS '|bcLispLinks|
-                                (CONS (CONS "\\&Names"
-                                       (CONS ""
-                                        (CONS '|dbShowCons|
-                                         (CONS '|names| NIL))))
-                                      NIL))
-                          NIL))))
-             (COND
-               ((OR |one?| (|member| '|parameters| |exclusions|)
-                    (NULL (PROG (G179001)
-                            (setq G179001 NIL)
-                            (RETURN
-                              (DO ((G179007 NIL G179001)
-                                   (G179008 |cAlist| (CDR G179008))
-                                   (|x| NIL))
-                                  ((OR G179007 (ATOM G179008)
-                                    (PROGN
-                                      (SETQ |x| (CAR G179008))
-                                      NIL))
-                                   G179001)
-                                (SEQ (EXIT
-                                      (SETQ G179001
-                                       (OR G179001 (CDAR |x|))))))))))
-                (|htSayCold| "\\&Parameters"))
-               ('T
-                (|htMakePage|
-                    (CONS (CONS '|bcLispLinks|
-                                (CONS (CONS
-                                       "\\&Parameters"
-                                       (CONS ""
-                                        (CONS '|dbShowCons|
-                                         (CONS '|parameters| NIL))))
-                                      NIL))
-                          NIL))))
-             (|htSaySaturn| "\\hrule")
-             (COND
-               (|$exposedOnlyIfTrue|
-                   (COND
-                     (|one?| (|htSayCold|
-                                 "\\&Unexposed Also"))
-                     ('T
-                      (|htMakePage|
-                          (CONS (CONS '|bcLinks|
-                                      (CONS
-                                       (CONS
-                                                                                 "\\&Unexposed Also"
-                                        (CONS ""
-                                         (CONS '|dbShowCons|
-                                          (CONS '|exposureOff| NIL))))
-                                       NIL))
-                                NIL)))))
-               (|one?| (|htSayCold| "\\Exposed Only\\&y"))
-               ('T
-                (|htMakePage|
-                    (CONS (CONS '|bcLinks|
-                                (CONS (CONS
-                                       "Exposed Onl\\&y"
-                                       (CONS ""
-                                        (CONS '|dbShowCons|
-                                         (CONS '|exposureOn| NIL))))
-                                      NIL))
-                          NIL))))
-             (COND (|$standard| (|htEndTable|)))
-             (setq |$saturnContextMenuLines| |$htLineList|))))))
+              (|htEndTable|)))))
 
 ;htFilterPage(htPage,args) ==
 ;  htInitPage("Filter String",htCopyProplist htPage)
@@ -18555,42 +17028,6 @@ $dbKindAlist :=
     (|htSay| "}")
     (|htShowPage|)))
 
-;htMakeSaturnFilterPage [fn2Call,:args] ==
-;  htSay '"\inputboxLink[\lispLink[d]{\verb+(|"
-;  htSay fn2Call
-;  htSay '"| "
-;  htSay htpName $saturnPage
-;  for x in args repeat
-;    htSay '" '|"
-;    htSay x
-;    htSay '"|"
-;  htSay '" _"+_\FILTERSTRING\verb+_")+}{}]{\FILTERSTRING}{*}"
-;  htSay '"{\centerline{Enter filter string (use {\em *} for wild card):}}"
-;  htSay '"{Filter Page}{\&Filter}"
-
-(defun |htMakeSaturnFilterPage| (G179039)
-  (PROG (|fn2Call| |args|)
-  (declare (special |$saturnPage|))
-    (RETURN
-      (SEQ (PROGN
-             (setq |fn2Call| (CAR G179039))
-             (setq |args| (CDR G179039))
-             (|htSay|                           "\\inputboxLink[\\lispLink[d]{\\verb+(|")
-             (|htSay| |fn2Call|)
-             (|htSay| "| ")
-             (|htSay| (|htpName| |$saturnPage|))
-             (DO ((G179054 |args| (CDR G179054)) (|x| NIL))
-                 ((OR (ATOM G179054)
-                      (PROGN (SETQ |x| (CAR G179054)) NIL))
-                  NIL)
-               (SEQ (EXIT (PROGN
-                            (|htSay| " '|")
-                            (|htSay| |x|)
-                            (|htSay| "|")))))
-             (|htSay|                        " \"+\\FILTERSTRING\\verb+\")+}{}]{\\FILTERSTRING}{*}")
-             (|htSay|           "{\\centerline{Enter filter string (use {\\em *} for wild card):}}")
-             (|htSay| "{Filter Page}{\\&Filter}"))))))
-
 ;dbShowConsKinds cAlist ==
 ;  cats := doms := paks := defs := nil
 ;  for x in cAlist repeat
@@ -18604,29 +17041,22 @@ $dbKindAlist :=
 ;  htBeginMenu 'description
 ;  htSayStandard '"\indent{1}"
 ;  kinds := +/[1 for x in lists | #x > 0]
-;  firstTime := true
 ;  for kind in '("category" "domain" "package" "default package") for x in lists | #x > 0 repeat
-;    if firstTime then firstTime := false
-;                 else htSaySaturn '"\\"
-;    htSaySaturn '"\item["
 ;    htSayStandard '"\item"
 ;    if kinds = 1
 ;       then htSay menuButton()
 ;       else htMakePage
 ;         [['bcLinks,[menuButton(),'"",'dbShowConsKindsFilter,[kind,x]]]]
-;    htSaySaturn '"]"
 ;    htSayStandard '"\tab{1}"
 ;    htSay('"{\em ",c := #x,'" ")
 ;    htSay(c > 1 => pluralize kind; kind)
 ;    htSay '":}"
-;    htSaySaturn '"\\"
 ;    bcConTable REMDUP [CAAR y for y in x]
 ;  htEndMenu 'description
 ;  htSayStandard '"\indent{0}"
 
 (defun |dbShowConsKinds| (|cAlist|)
-  (PROG (|op| |kind| |cats| |doms| |paks| |defs| |lists| |kinds|
-              |firstTime| |c|)
+  (PROG (|op| |kind| |cats| |doms| |paks| |defs| |lists| |kinds| |c|)
     (RETURN
       (SEQ (PROGN
              (setq |cats|
@@ -18669,7 +17099,6 @@ $dbKindAlist :=
                                          ((> (|#| |x|) 0)
                                           (SETQ G179081
                                            (+ G179081 1))))))))))
-             (setq |firstTime| 'T)
              (DO ((G179109
                       '("category" "domain" "package"
                         "default package")
@@ -18684,12 +17113,6 @@ $dbKindAlist :=
                (SEQ (EXIT (COND
                             ((> (|#| |x|) 0)
                              (PROGN
-                               (COND
-                                 (|firstTime|
-                                     (setq |firstTime| NIL))
-                                 ('T
-                                  (|htSaySaturn| "\\\\")))
-                               (|htSaySaturn| "\\item[")
                                (|htSayStandard| "\\item")
                                (COND
                                  ((EQL |kinds| 1)
@@ -18709,7 +17132,6 @@ $dbKindAlist :=
                                              NIL))))
                                          NIL))
                                        NIL))))
-                               (|htSaySaturn| "]")
                                (|htSayStandard|
                                    "\\tab{1}")
                                (|htSay| "{\\em "
@@ -18720,7 +17142,6 @@ $dbKindAlist :=
                                            (|pluralize| |kind|))
                                           ('T |kind|)))
                                (|htSay| ":}")
-                               (|htSaySaturn| "\\\\")
                                (|bcConTable|
                                    (REMDUP
                                     (PROG (G179123)
@@ -18748,44 +17169,25 @@ $dbKindAlist :=
 ;  parlist := [princ-to-string par for par in rest conform]
 ;  manuelsCode? := "MAX"/[#s for s in parlist] > 10
 ;  w := (manuelsCode? => 55; 23)
-;  htSaySaturn '"\colorbuttonbox{lightgray}{"
 ;  htSay '"Optional argument value"
 ;  htSay
 ;    CDR parlist => '"s:"
 ;    '":"
-;  htSaySaturn '"}"
-;  if CDR conform then htSaySaturn '"\newline{}"
-;  htSaySaturn '"\begin{tabular}{p{.25in}l}"
-;  firstTime := true
 ;  odd := false
-;  argSublis := htpProperty(page,'argSublis)
 ;  for parname in $PatternVariableList for par in rest conform repeat
 ;    htSayStandard (odd or manuelsCode? => "\newline";"\tab{29}")
-;    if firstTime then firstTime := false
-;                 else htSaySaturn '"\\"
 ;    odd := not odd
 ;    argstring :=
 ;      $conArgstrings is [a,:r] => ($conArgstrings := r; a)
 ;      '""
 ;    htMakePageStandard [['text,'"{\em ",par,'"} = "],
 ;        ['bcStrings,[w - #princ-to-string par,argstring,parname,'EM]]]
-;    if $saturn then
-;      setUpDefault(parname, ['string, '"", 'EM, nil])
-;    htSaySaturn '"{\em "
-;    htSaySaturn par
-;    htSaySaturn '" = }"
-;    htSaySaturnAmpersand()
-;    htSaySaturn '"\colorbuttonbox{lightgray}{\inputbox[2.5in]{\"
-;    htSaySaturn SUBLIS(argSublis,par)
-;    htSaySaturn '"}{"
-;    htSaySaturn argstring
-;    htSaySaturn '"}}"
 ;  htEndTabular()
 
 (defun |addParameterTemplates| (|page| |conform|)
-  (PROG (|parlist| |manuelsCode?| |w| |argSublis| |firstTime| |odd| |a|
+  (PROG (|parlist| |manuelsCode?| |w| |firstTime| |odd| |a|
             |r| |argstring|)
-  (declare (special |$conArgstrings| |$saturn| |$PatternVariableList|))
+  (declare (special |$conArgstrings| |$PatternVariableList|))
     (RETURN
       (SEQ (PROGN
              (setq |parlist|
@@ -18819,20 +17221,11 @@ $dbKindAlist :=
                                       (MAX G179179 (|#| |s|))))))))
                          10))
              (setq |w| (COND (|manuelsCode?| 55) ('T 23)))
-             (|htSaySaturn|
-                 "\\colorbuttonbox{lightgray}{")
              (|htSay| "Optional argument value")
              (|htSay| (COND
                         ((CDR |parlist|) "s:")
                         ('T ":")))
-             (|htSaySaturn| "}")
-             (COND
-               ((CDR |conform|)
-                (|htSaySaturn| "\\newline{}")))
-             (|htSaySaturn| "\\begin{tabular}{p{.25in}l}")
-             (setq |firstTime| 'T)
              (setq |odd| NIL)
-             (setq |argSublis| (|htpProperty| |page| '|argSublis|))
              (DO ((G179212 |$PatternVariableList| (CDR G179212))
                   (|parname| NIL)
                   (G179213 (CDR |conform|) (CDR G179213))
@@ -18848,9 +17241,6 @@ $dbKindAlist :=
                                   ((OR |odd| |manuelsCode?|)
                                    '|\\newline|)
                                   ('T '|\\tab{29}|)))
-                            (COND
-                              (|firstTime| (setq |firstTime| NIL))
-                              ('T (|htSaySaturn| "\\\\")))
                             (setq |odd| (NULL |odd|))
                             (setq |argstring|
                                      (COND
@@ -18879,42 +17269,21 @@ $dbKindAlist :=
                                            (CONS |parname|
                                             (CONS 'EM NIL))))
                                          NIL))
-                                       NIL)))
-                            (COND
-                              (|$saturn|
-                                  (|setUpDefault| |parname|
-                                      (CONS '|string|
-                                       (CONS ""
-                                        (CONS 'EM (CONS NIL NIL)))))))
-                            (|htSaySaturn| "{\\em ")
-                            (|htSaySaturn| |par|)
-                            (|htSaySaturn| " = }")
-                            (|htSaySaturnAmpersand|)
-                            (|htSaySaturn|
-                                                           "\\colorbuttonbox{lightgray}{\\inputbox[2.5in]{\\")
-                            (|htSaySaturn| (SUBLIS |argSublis| |par|))
-                            (|htSaySaturn| "}{")
-                            (|htSaySaturn| |argstring|)
-                            (|htSaySaturn| "}}")))))
-             (|htEndTabular|))))))
+                                       NIL))))))))))))
 
 ;kPageArgs([op,:args],[.,.,:source]) ==
-;  htSaySaturn '"\begin{tabular}{p{.25in}lp{0in}}"
 ;  firstTime := true
 ;  coSig := rest GETDATABASE(op,'COSIG)
 ;  for x in args for t in source for pred in coSig repeat
 ;    if firstTime then firstTime := false
 ;                 else
-;                   htSaySaturn '"\\"
 ;                   htSayStandard '", and"
 ;    htSayStandard '"\newline "
-;    htSaySaturnAmpersand()
 ;    typeForm := (t is [":",.,t1] => t1; t)
 ;    if pred = true
 ;      then htMakePage [['bcLinks,[x,'"",'kArgPage,x]]]
 ;      else htSay('"{\em ",x,'"}")
 ;    htSayStandard( '"\tab{",princ-to-string( # PNAME x),'"}, ")
-;    htSaySaturnAmpersand()
 ;    htSay
 ;      pred => '"a domain of category "
 ;      '"an element of the domain "
@@ -18929,8 +17298,6 @@ $dbKindAlist :=
              (setq |source| (CDDR G179269))
              (setq |op| (CAR G179254))
              (setq |args| (CDR G179254))
-             (|htSaySaturn|
-                 "\\begin{tabular}{p{.25in}lp{0in}}")
              (setq |firstTime| 'T)
              (setq |coSig| (CDR (GETDATABASE |op| 'COSIG)))
              (DO ((G179306 |args| (CDR G179306)) (|x| NIL)
@@ -18946,10 +17313,8 @@ $dbKindAlist :=
                (SEQ (EXIT (PROGN
                             (COND
                               (|firstTime| (setq |firstTime| NIL))
-                              ('T (|htSaySaturn| "\\\\")
-                               (|htSayStandard| ", and")))
+                              ('T (|htSayStandard| ", and")))
                             (|htSayStandard| "\\newline ")
-                            (|htSaySaturnAmpersand|)
                             (setq |typeForm|
                                      (COND
                                        ((AND (CONSP |t|)
@@ -18988,14 +17353,12 @@ $dbKindAlist :=
                             (|htSayStandard| "\\tab{"
                                 (princ-to-string (|#| (PNAME |x|)))
                                 "}, ")
-                            (|htSaySaturnAmpersand|)
                             (|htSay| (COND
                                        (|pred|
                                                                                  "a domain of category ")
                                        ('T
                                                                                  "an element of the domain ")))
-                            (|bcConform| |typeForm| 'T)))))
-             (|htEndTabular|))))))
+                            (|bcConform| |typeForm| 'T))))))))))
 
 ;--=======================================================================
 ;--              Redefinitions from br-op1.boot
@@ -19003,35 +17366,20 @@ $dbKindAlist :=
 ;--------------------> NEW DEFINITION (see br-op1.boot.pamphlet)
 ;dbConform form ==
 ;--one button for the main constructor page of a type
-;  $saturn => ["\lispLink[d]{\verb!(|conPage| '",:form2Fence dbOuttran form,'")!}{",
-;           :form2StringList opOf form,"}"]
 ;  ["\conf{",:form2StringList opOf form,'"}{",:form2Fence dbOuttran form,'"}"]
 
 (defun |dbConform| (|form|)
-  (declare (special |$saturn|))
-  (COND
-    (|$saturn|
-        (CONS '|\\lispLink[d]{\\verb!(\|conPage\| '|
-              (APPEND (|form2Fence| (|dbOuttran| |form|))
-                      (CONS ")!}{"
-                            (APPEND (|form2StringList| (|opOf| |form|))
-                                    (CONS '} NIL))))))
-    ('T
-     (CONS '|\\conf{|
-           (APPEND (|form2StringList| (|opOf| |form|))
-                   (CONS "}{"
-                         (APPEND (|form2Fence| (|dbOuttran| |form|))
-                                 (CONS "}" NIL))))))))
+  (CONS '|\\conf{|
+    (APPEND (|form2StringList| (|opOf| |form|))
+      (CONS "}{"
+        (APPEND (|form2Fence| (|dbOuttran| |form|))
+          (CONS "}" NIL))))))
 
 ;--------------------> NEW DEFINITION (see br-op1.boot.pamphlet)
-;htTab s == if $standard then htSayStandard ('"\tab{",s,'"}")
+;htTab s == htSayStandard ('"\tab{",s,'"}")
 
 (defun |htTab| (|s|)
-  (declare (special |$standard|))
-  (COND
-    (|$standard|
-        (|htSayStandard| "\\tab{" |s| "}"))
-    ('T NIL)))
+  (|htSayStandard| "\\tab{" |s| "}"))
 
 ;--------------------> NEW DEFINITION (see br-op1.boot.pamphlet)
 ;dbGatherThenShow(htPage,opAlist,which,data,constructorIfTrue,word,fn) ==
@@ -19039,15 +17387,12 @@ $dbKindAlist :=
 ;  htBeginMenu 'description
 ;  bincount := 0
 ;  for [thing,exposeFlag,:items] in data repeat
-;    htSaySaturn '"\item["
 ;    htSayStandard ('"\item")
 ;    if single? then htSay(menuButton())
 ;    else
 ;      htMakePageStandard
 ;        [['bcLinks,[menuButton(),'"",'dbShowOps,which,bincount]]]
 ;      button := mkButtonBox (1 + bincount)
-;      htMakePageSaturn [['bcLinks,[button,'"",'dbShowOps,which,bincount]]]
-;    htSaySaturn '"]"
 ;    htSay '"{\em "
 ;    htSay
 ;      thing = 'nowhere => '"implemented nowhere"
@@ -19092,7 +17437,6 @@ $dbKindAlist :=
                         NIL))
                   NIL)
                (SEQ (EXIT (PROGN
-                            (|htSaySaturn| "\\item[")
                             (|htSayStandard| "\\item")
                             (COND
                               (|single?| (|htSay| (|menuButton|)))
@@ -19110,19 +17454,7 @@ $dbKindAlist :=
                                     NIL))
                                (setq |button|
                                         (|mkButtonBox|
-                                         (+ 1 |bincount|)))
-                               (|htMakePageSaturn|
-                                   (CONS
-                                    (CONS '|bcLinks|
-                                     (CONS
-                                      (CONS |button|
-                                       (CONS ""
-                                        (CONS '|dbShowOps|
-                                         (CONS |which|
-                                          (CONS |bincount| NIL)))))
-                                      NIL))
-                                    NIL))))
-                            (|htSaySaturn| "]")
+                                         (+ 1 |bincount|)))))
                             (|htSay| "{\\em ")
                             (|htSay| (COND
                                        ((BOOT-EQUAL |thing| '|nowhere|)
@@ -19166,7 +17498,6 @@ $dbKindAlist :=
 ;--  usage?:          display usage?
 ;--  star?:           display exposed/*=unexposed
 ;--  implementation?: display implementation?
-;  $saturn => dbPresentOpsSaturn(htPage,which,exclusions)
 ;  asharp? := htpProperty(htPage,'isAsharpConstructor)
 ;  fromConPage? := (conname := opOf htpProperty(htPage,'conform))
 ;  usage? := nil
@@ -19238,15 +17569,10 @@ $dbKindAlist :=
 (defun |dbPresentOps|
        (&REST G179404 &AUX |exclusions| |which| |htPage|)
   (DSETQ (|htPage| |which| . |exclusions|) G179404)
-  (PROG (|fromConPage?| |usage?| |star?| |implementation?|
+  (let (|fromConPage?| |usage?| |star?| |implementation?|
             |rightmost?| |opAlist| |empty?| |entry| |one?| |conname|)
-  (declare (special |$saturn| |$UserLevel| |$conformsAreDomains|
+  (declare (special |$UserLevel| |$conformsAreDomains|
                     |$includeUnexposed?| |$exposedOnlyIfTrue|))
-    (RETURN
-      (COND
-        (|$saturn|
-            (|dbPresentOpsSaturn| |htPage| |which| |exclusions|))
-        ('T
          (setq |fromConPage?|
                   (setq |conname|
                            (|opOf| (|htpProperty| |htPage| '|conform|))))
@@ -19440,263 +17766,13 @@ $dbKindAlist :=
                                         NIL))
                                  NIL))))
                     (|htSay| "}")))
-         (|htEndTable|))))))
-
-;dbPresentOpsSaturn(htPage,which,exclusions) ==
-;--Flags:
-;--  fromConPage?:    came (originally) from a constructor page
-;--  usage?:          display usage?
-;--  star?:           display exposed/*=unexposed
-;--  implementation?: display implementation?
-;  $htLineList : local := nil
-;  $newPage    : local := nil
-;  asharp? := htpProperty(htPage,'isAsharpConstructor)
-;  fromConPage? := (conname := opOf htpProperty(htPage,'conform))
-;  usage? := nil
-;  star? := not fromConPage? or which = '"package operation"
-;  implementation? := not asharp? and
-;    $UserLevel = 'development and $conformsAreDomains --and not $includeUnexposed?
-;  rightmost? := star? or (implementation? and not $includeUnexposed?)
-;  if INTEGERP first exclusions then exclusions := ['documentation]
-;  htpSetProperty(htPage,'exclusion,first exclusions)
-;  opAlist :=
-;    which = '"operation" => htpProperty(htPage,'opAlist)
-;    htpProperty(htPage,'attrAlist)
-;  empty? := null opAlist
-;  one?   := opAlist is [entry] and 2 = #entry
-;  one? := empty? or one?
-;  if one? or MEMBER('conditions,exclusions)
-;                 or (htpProperty(htPage,'condition?) = 'no)
-;      then htSayCold '"\&Conditions"
-;      else htMakePage [['bcLispLinks,['"\&Conditions",'"",'dbShowOps,which,'conditions]]]
-;  if empty? or MEMBER('documentation,exclusions)
-;    then htSayCold '"\&Descriptions"
-;    else htMakePage [['bcLispLinks,['"\&Descriptions",'"",'dbShowOps,which,'documentation]]]
-;  if null IFCDR opAlist
-;    then htSayCold '"\&Filter"
-;    else htMakeSaturnFilterPage ['dbShowOps, which, 'filter]
-;  if not implementation? or MEMBER('implementation,exclusions) or which = '"attribute" or
-;      ((conname := opOf htpProperty(htPage,'conform))
-;        and GETDATABASE(conname,'CONSTRUCTORKIND) = 'category)
-;    then htSayCold '"\&Implementations"
-;    else htMakePage
-;      [['bcLispLinks,['"\&Implementations",'"",'dbShowOps,which,'implementation]]]
-;  if one? or MEMBER('names,exclusions) or null KDR opAlist
-;    then htSayCold '"\&Names"
-;    else htMakePage [['bcLispLinks,['"\&Names",'"",'dbShowOps,which,'names]]]
-;  if one? or MEMBER('origins,exclusions)
-;    then htSayCold '"\&Origins"
-;    else htMakePage [['bcLispLinks,['"\&Origins",'"",'dbShowOps,which,'origins]]]
-;  if one? or MEMBER('parameters,exclusions) --also test for some parameter
-;      or not dbDoesOneOpHaveParameters? opAlist
-;    then htSayCold '"\&Parameters"
-;    else htMakePage [['bcLispLinks,['"\&Parameters",'"",'dbShowOps,which,'parameters]]]
-;  if which ^= '"attribute" then
-;    if one? or MEMBER('signatures,exclusions)
-;      then htSayCold '"\&Signatures"
-;      else htMakePage [['bcLispLinks,['"\&Signatures",'"",'dbShowOps,which,'signatures]]]
-;  if star? then
-;    htSay '"\hrule"
-;    if $exposedOnlyIfTrue
-;      then if one? then htSayCold '"\&Unexposed Also"
-;      else htMakePage [['bcLinks,['"\&Unexposed Also",'"",'dbShowOps,which,'exposureOff]]]
-;    else
-;      if one? then htSayCold '"Exposed Onl\&y"
-;      else htMakePage [['bcLinks,['"Exposed Onl\&y",'"",'dbShowOps,which,'exposureOn]]]
-;  $saturnContextMenuLines := $htLineList
-
-(defun |dbPresentOpsSaturn| (|htPage| |which| |exclusions|)
-  (PROG (|$htLineList| |$newPage| |fromConPage?| |usage?|
-            |star?| |implementation?| |rightmost?| |opAlist| |empty?|
-            |entry| |one?| |conname|)
-    (DECLARE (SPECIAL |$htLineList| |$newPage| |$UserLevel| 
-                      |$conformsAreDomains| |$includeUnexposed?| 
-                      |$exposedOnlyIfTrue| |$saturnContextMenuLines| 
-                      |$htLineList|))
-    (RETURN
-      (PROGN
-        (setq |$htLineList| NIL)
-        (setq |$newPage| NIL)
-        (setq |fromConPage?|
-                 (setq |conname|
-                          (|opOf| (|htpProperty| |htPage| '|conform|))))
-        (setq |usage?| NIL)
-        (setq |star?|
-                 (OR (NULL |fromConPage?|)
-                     (BOOT-EQUAL |which|
-                         "package operation")))
-        (setq |implementation?| |$conformsAreDomains|)
-        (setq |rightmost?|
-                 (OR |star?|
-                     (AND |implementation?|
-                          (NULL |$includeUnexposed?|))))
-        (COND
-          ((INTEGERP (CAR |exclusions|))
-           (setq |exclusions| (CONS '|documentation| NIL))))
-        (|htpSetProperty| |htPage| '|exclusion| (CAR |exclusions|))
-        (setq |opAlist|
-                 (COND
-                   ((BOOT-EQUAL |which| "operation")
-                    (|htpProperty| |htPage| '|opAlist|))
-                   ('T (|htpProperty| |htPage| '|attrAlist|))))
-        (setq |empty?| (NULL |opAlist|))
-        (setq |one?|
-                 (AND (CONSP |opAlist|) (EQ (QCDR |opAlist|) NIL)
-                      (PROGN (setq |entry| (QCAR |opAlist|)) 'T)
-                      (EQL 2 (|#| |entry|))))
-        (setq |one?| (OR |empty?| |one?|))
-        (COND
-          ((OR |one?| (|member| '|conditions| |exclusions|)
-               (BOOT-EQUAL (|htpProperty| |htPage| '|condition?|)
-                   '|no|))
-           (|htSayCold| "\\&Conditions"))
-          ('T
-           (|htMakePage|
-               (CONS (CONS '|bcLispLinks|
-                           (CONS (CONS "\\&Conditions"
-                                       (CONS ""
-                                        (CONS '|dbShowOps|
-                                         (CONS |which|
-                                          (CONS '|conditions| NIL)))))
-                                 NIL))
-                     NIL))))
-        (COND
-          ((OR |empty?| (|member| '|documentation| |exclusions|))
-           (|htSayCold| "\\&Descriptions"))
-          ('T
-           (|htMakePage|
-               (CONS (CONS '|bcLispLinks|
-                           (CONS (CONS "\\&Descriptions"
-                                       (CONS ""
-                                        (CONS '|dbShowOps|
-                                         (CONS |which|
-                                          (CONS '|documentation| NIL)))))
-                                 NIL))
-                     NIL))))
-        (COND
-          ((NULL (IFCDR |opAlist|))
-           (|htSayCold| "\\&Filter"))
-          ('T
-           (|htMakeSaturnFilterPage|
-               (CONS '|dbShowOps| (CONS |which| (CONS '|filter| NIL))))))
-        (COND
-          ((OR (NULL |implementation?|)
-               (|member| '|implementation| |exclusions|)
-               (BOOT-EQUAL |which| "attribute")
-               (AND (setq |conname|
-                             (|opOf| (|htpProperty| |htPage|
-                                      '|conform|)))
-                    (BOOT-EQUAL
-                        (GETDATABASE |conname| 'CONSTRUCTORKIND)
-                        '|category|)))
-           (|htSayCold| "\\&Implementations"))
-          ('T
-           (|htMakePage|
-               (CONS (CONS '|bcLispLinks|
-                           (CONS (CONS                                         "\\&Implementations"
-                                       (CONS ""
-                                        (CONS '|dbShowOps|
-                                         (CONS |which|
-                                          (CONS '|implementation| NIL)))))
-                                 NIL))
-                     NIL))))
-        (COND
-          ((OR |one?| (|member| '|names| |exclusions|)
-               (NULL (KDR |opAlist|)))
-           (|htSayCold| "\\&Names"))
-          ('T
-           (|htMakePage|
-               (CONS (CONS '|bcLispLinks|
-                           (CONS (CONS "\\&Names"
-                                       (CONS ""
-                                        (CONS '|dbShowOps|
-                                         (CONS |which|
-                                          (CONS '|names| NIL)))))
-                                 NIL))
-                     NIL))))
-        (COND
-          ((OR |one?| (|member| '|origins| |exclusions|))
-           (|htSayCold| "\\&Origins"))
-          ('T
-           (|htMakePage|
-               (CONS (CONS '|bcLispLinks|
-                           (CONS (CONS "\\&Origins"
-                                       (CONS ""
-                                        (CONS '|dbShowOps|
-                                         (CONS |which|
-                                          (CONS '|origins| NIL)))))
-                                 NIL))
-                     NIL))))
-        (COND
-          ((OR |one?| (|member| '|parameters| |exclusions|)
-               (NULL (|dbDoesOneOpHaveParameters?| |opAlist|)))
-           (|htSayCold| "\\&Parameters"))
-          ('T
-           (|htMakePage|
-               (CONS (CONS '|bcLispLinks|
-                           (CONS (CONS "\\&Parameters"
-                                       (CONS ""
-                                        (CONS '|dbShowOps|
-                                         (CONS |which|
-                                          (CONS '|parameters| NIL)))))
-                                 NIL))
-                     NIL))))
-        (COND
-          ((NEQUAL |which| "attribute")
-           (COND
-             ((OR |one?| (|member| '|signatures| |exclusions|))
-              (|htSayCold| "\\&Signatures"))
-             ('T
-              (|htMakePage|
-                  (CONS (CONS '|bcLispLinks|
-                              (CONS (CONS "\\&Signatures"
-                                     (CONS ""
-                                      (CONS '|dbShowOps|
-                                       (CONS |which|
-                                        (CONS '|signatures| NIL)))))
-                                    NIL))
-                        NIL))))))
-        (COND
-          (|star?| (|htSay| "\\hrule")
-                   (COND
-                     (|$exposedOnlyIfTrue|
-                         (COND
-                           (|one?| (|htSayCold|
-                                    "\\&Unexposed Also"))
-                           ('T
-                            (|htMakePage|
-                                (CONS (CONS '|bcLinks|
-                                       (CONS
-                                        (CONS
-                                                                                   "\\&Unexposed Also"
-                                         (CONS ""
-                                          (CONS '|dbShowOps|
-                                           (CONS |which|
-                                            (CONS '|exposureOff| NIL)))))
-                                        NIL))
-                                      NIL)))))
-                     (|one?| (|htSayCold|
-                                 "Exposed Onl\\&y"))
-                     ('T
-                      (|htMakePage|
-                          (CONS (CONS '|bcLinks|
-                                      (CONS
-                                       (CONS
-                                        "Exposed Onl\\&y"
-                                        (CONS ""
-                                         (CONS '|dbShowOps|
-                                          (CONS |which|
-                                           (CONS '|exposureOn| NIL)))))
-                                       NIL))
-                                NIL))))))
-        (setq |$saturnContextMenuLines| |$htLineList|)))))
+         (|htEndTable|)))
 
 ;--=======================================================================
 ;--              Redefinitions from br-search.boot
 ;--=======================================================================
 ;---------------------> OLD DEFINITION (override in br-search.boot.pamphlet)
 ;htShowPageStar() ==
-;  $saturn => htShowPageStarSaturn()
 ;  htSayStandard '"\endscroll "
 ;  if $exposedOnlyIfTrue then
 ;    htMakePage [['bcLinks,['"Unexposed Also",'"",'repeatSearch,NIL]]]
@@ -19705,11 +17781,9 @@ $dbKindAlist :=
 ;  htShowPageNoScroll()
 
 (defun |htShowPageStar| ()
-  (declare (special |$saturn| |$exposedOnlyIfTrue|))
-  (COND
-    (|$saturn| (|htShowPageStarSaturn|))
-    ('T (|htSayStandard| "\\endscroll ")
-     (COND
+  (declare (special |$exposedOnlyIfTrue|))
+    (|htSayStandard| "\\endscroll ")
+    (COND
        (|$exposedOnlyIfTrue|
            (|htMakePage|
                (CONS (CONS '|bcLinks|
@@ -19728,47 +17802,7 @@ $dbKindAlist :=
                                       (CONS 'T NIL))))
                               NIL))
                   NIL))))
-     (|htShowPageNoScroll|))))
-
-;htShowPageStarSaturn() ==
-;  $newPage    : local := nil
-;  $htLineList : local := nil
-;  if $exposedOnlyIfTrue then
-;    htMakePage [['bcLinks,['"Unexposed Also",'"",'repeatSearch,NIL]]]
-;  else
-;    htMakePage [['bcLinks,['"Exposed Only",'"",'repeatSearch,'T]]]
-;  $saturnContextMenuLines := $htLineList
-;  htShowPageNoScroll()
-
-(defun |htShowPageStarSaturn| ()
-  (PROG (|$newPage| |$htLineList|)
-    (DECLARE (SPECIAL |$newPage| |$htLineList| |$saturnContextMenuLines|
-                      |$exposedOnlyIfTrue|))
-    (RETURN
-      (PROGN
-        (setq |$newPage| NIL)
-        (setq |$htLineList| NIL)
-        (COND
-          (|$exposedOnlyIfTrue|
-              (|htMakePage|
-                  (CONS (CONS '|bcLinks|
-                              (CONS (CONS "Unexposed Also"
-                                     (CONS ""
-                                      (CONS '|repeatSearch|
-                                       (CONS NIL NIL))))
-                                    NIL))
-                        NIL)))
-          ('T
-           (|htMakePage|
-               (CONS (CONS '|bcLinks|
-                           (CONS (CONS "Exposed Only"
-                                       (CONS ""
-                                        (CONS '|repeatSearch|
-                                         (CONS 'T NIL))))
-                                 NIL))
-                     NIL))))
-        (setq |$saturnContextMenuLines| |$htLineList|)
-        (|htShowPageNoScroll|)))))
+     (|htShowPageNoScroll|))
 
 ;--=======================================================================
 ;--              Redefinitions from br-op2.boot
@@ -19794,12 +17828,10 @@ $dbKindAlist :=
 ;    dbGetDisplayFormForOp(op,sig,doc)
 ;  htSayStandard('"\newline")
 ;  -----------------------------------------------------------
-;  htSaySaturn '"\item["
 ;  if exactlyOneOpSig
 ;    then htSay menuButton()
 ;    else htMakePage
 ;      [['bcLinks,[menuButton(),'"",chooseFn,which,index]]]
-;  htSaySaturn '"]"
 ;  htSayStandard '"\tab{2}"
 ;  op   := IFCAR opform
 ;  args := IFCDR opform
@@ -19842,21 +17874,12 @@ $dbKindAlist :=
 ;    $DomainList := SETDIFFERENCE($DomainList,symbolsUsed)
 ;    getSubstSigIfPossible sig
 ;  -----------------------------------------------------------
-;  htSaySaturn '"\begin{tabular}{lp{0in}}"
-;  -----------------------------------------------------------
 ;  if MEMBER(which,'("operation" "constructor")) then
 ;    $displayReturnValue: local := nil
 ;    if args then
 ;      htSayStandard('"\newline\tab{2}{\em Arguments:}")
-;      htSaySaturn '"{\em Arguments:}"
-;      htSaySaturnAmpersand()
-;      firstTime := true
 ;      coSig := KDR GETDATABASE(op,'COSIG)  --check if op is constructor
 ;      for a in args for t in rest $sig repeat
-;            if not firstTime then
-;              htSaySaturn '"\\ "
-;              htSaySaturnAmpersand()
-;            firstTime := false
 ;            htSayIndentRel(15, true)
 ;            position := KAR relatives
 ;            relatives := KDR relatives
@@ -19868,54 +17891,40 @@ $dbKindAlist :=
 ;            htSayValue t
 ;            htSayIndentRel(-15,true)
 ;            htSayStandard('"\newline ")
-;      htSaySaturn '"\\"
 ;    if first $sig then
 ;      $displayReturnValue := true
 ;      htSayStandard('"\newline\tab{2}")
 ;      htSay '"{\em Returns:}"
-;      htSaySaturnAmpersand()
 ;      htSayIndentRel(15, true)
 ;      htSayValue first $sig
 ;      htSayIndentRel(-15, true)
-;      htSaySaturn '"\\"
 ;  -----------------------------------------------------------
 ;  if origin and ($generalSearch? or origin ^= conform) and op^=opOf origin then
-;    htSaySaturn '"{\em Origin:}"
-;    htSaySaturnAmpersand()
 ;    htSayStandard('"\newline\tab{2}{\em Origin:}")
 ;    htSayIndentRel(15)
 ;    if not isExposedConstructor opOf origin and $includeUnexposed?
 ;       then htSayUnexposed()
 ;    bcConform(origin,true)
 ;    htSayIndentRel(-15)
-;    htSaySaturn '"\\"
 ;  -----------------------------------------------------------
 ;  if not MEMQ(predicate,'(T ASCONST)) then
 ;    pred := sublisFormal(KDR conform,predicate)
 ;    count := #pred
-;    htSaySaturn '"{\em Conditions:}"
 ;    htSayStandard('"\newline\tab{2}{\em Conditions:}")
 ;    firstTime := true
 ;    for p in displayBreakIntoAnds SUBST($conform,"$",pred) repeat
-;      if not firstTime then htSaySaturn '"\\"
 ;      htSayIndentRel(15,count > 1)
-;      firstTime := false
-;      htSaySaturnAmpersand()
 ;      bcPred(p,$conform,true)
 ;      htSayIndentRel(-15,count > 1)
 ;      htSayStandard('"\newline ")
-;    htSaySaturn '"\\"
 ;  -----------------------------------------------------------
 ;  if $whereList then
 ;    count := #$whereList
-;    htSaySaturn '"{\em Where:}"
 ;    htSayStandard('"\newline\tab{2}{\em Where:}")
 ;    firstTime := true
 ;    if ASSOC("$",$whereList) then
 ;      htSayIndentRel(15,true)
-;      htSaySaturnAmpersand()
 ;      htSayStandard '"{\em \$} is "
-;      htSaySaturn '"{\em \%} is "
 ;      htSay
 ;        $conkind = '"category" => '"of category "
 ;        '"the domain "
@@ -19924,17 +17933,11 @@ $dbKindAlist :=
 ;      htSayIndentRel(-15,true)
 ;    for [d,key,:t] in $whereList | d ^= "$" repeat
 ;      htSayIndentRel(15,count > 1)
-;      if not firstTime then htSaySaturn '"\\ "
-;      htSaySaturnAmpersand()
-;      firstTime := false
 ;      htSay("{\em ",d,"} is ")
 ;      htSayConstructor(key,sublisFormal(KDR conform,t))
 ;      htSayIndentRel(-15,count > 1)
-;    htSaySaturn '"\\"
 ;  -----------------------------------------------------------
 ;  if doc and (doc ^= '"" and (doc isnt [d] or d ^= '"")) then
-;    htSaySaturn '"{\em Description:}"
-;    htSaySaturnAmpersand()
 ;    htSayStandard('"\newline\tab{2}{\em Description:}")
 ;    htSayIndentRel(15)
 ;    if doc = $charFauxNewline then htSay $charNewline
@@ -19944,42 +17947,24 @@ $dbKindAlist :=
 ;          CONSP doc =>  [SUBSTITUTE($charNewline, $charFauxNewline, i) for i in doc]
 ;          SUBSTITUTE($charNewline, $charFauxNewline,doc)
 ;       htSay ndoc
-;--  htSaySaturn '"\\"
 ;    htSayIndentRel(-15)
 ;  --------> print abbr and source file for constructors <---------
 ;  if which = '"constructor" then
 ;    if (abbr := GETDATABASE(conname,'ABBREVIATION)) then
-;      htSaySaturn '"\\"
-;      htSaySaturn '"{\em Abbreviation:}"
-;      htSaySaturnAmpersand()
 ;      htSayStandard('"\tab{2}{\em Abbreviation:}")
 ;      htSayIndentRel(15)
 ;      htSay abbr
 ;      htSayIndentRel(-15)
 ;      htSayStandard('"\newline{}")
-;    if ( $saturn and (link := saturnHasExamplePage conname)) then
-;      htSaySaturn '"\\"
-;      htSaySaturn '"{\em Examples:}"
-;      htSaySaturnAmpersand()
-;      htSayIndentRel(15)
-;      htSay '"\spadref{"
-;      htSay CAR(CDR(link))
-;      htSay '"}"
-;      htSayIndentRel(-15)
-;      htSayStandard('"\newline{}")
-;    htSaySaturn '"\\"
-;    htSaySaturn '"{\em Source File:}"
-;    htSaySaturnAmpersand()
 ;    htSayStandard('"\tab{2}{\em Source File:}")
 ;    htSayIndentRel(15)
 ;    htSaySourceFile conname
 ;    htSayIndentRel(-15)
 ;  ------------------> remove profile printouts for now <-------------------
-;  if $standard and
+;  if 
 ;    exactlyOneOpSig and (infoAlist := htpProperty(htPage,'infoAlist)) then
 ;      displayInfoOp(htPage,infoAlist,op,sig)
 ;  -----------------------------------------------------------
-;  htSaySaturn '"\end{tabular}"
 
 (defun |displayDomainOp|
        (|htPage| |which| |origin| |op| |sig| |predicate| |doc| |index|
@@ -19998,7 +17983,7 @@ $dbKindAlist :=
                       |$conargs| |$signature| |$displayReturnValue|
                       |$charNewline| |$Primitives| |$TriangleVariableList|
                       |$FormalMapVariableList| |$sig| |$includeUnexposed?|
-                      |$standard| |$saturn| |$charFauxNewline|))
+                      |$charFauxNewline|))
     (RETURN
       (SEQ (PROGN
              (setq |$chooseDownCaseOfType| 'T)
@@ -20033,7 +18018,6 @@ $dbKindAlist :=
                          |origin|)
                         ('T (|dbGetDisplayFormForOp| |op| |sig| |doc|))))
              (|htSayStandard| "\\newline")
-             (|htSaySaturn| "\\item[")
              (COND
                (|exactlyOneOpSig| (|htSay| (|menuButton|)))
                ('T
@@ -20046,7 +18030,6 @@ $dbKindAlist :=
                                           (CONS |index| NIL)))))
                                       NIL))
                           NIL))))
-             (|htSaySaturn| "]")
              (|htSayStandard| "\\tab{2}")
              (setq |op| (IFCAR |opform|))
              (setq |args| (IFCDR |opform|))
@@ -20153,17 +18136,12 @@ $dbKindAlist :=
                                   (SETDIFFERENCE |$DomainList|
                                       |symbolsUsed|))
                          (|getSubstSigIfPossible| |sig|))))
-             (|htSaySaturn| "\\begin{tabular}{lp{0in}}")
              (COND
                ((|member| |which| '("operation" "constructor"))
                 (setq |$displayReturnValue| NIL)
                 (COND
                   (|args| (|htSayStandard|
                                                                 "\\newline\\tab{2}{\\em Arguments:}")
-                          (|htSaySaturn|
-                              "{\\em Arguments:}")
-                          (|htSaySaturnAmpersand|)
-                          (setq |firstTime| 'T)
                           (setq |coSig|
                                    (KDR (GETDATABASE |op| 'COSIG)))
                           (DO ((G179518 |args| (CDR G179518))
@@ -20180,12 +18158,6 @@ $dbKindAlist :=
                                      NIL))
                                NIL)
                             (SEQ (EXIT (PROGN
-                                         (COND
-                                           ((NULL |firstTime|)
-                                            (|htSaySaturn|
-                                             "\\\\ ")
-                                            (|htSaySaturnAmpersand|)))
-                                         (setq |firstTime| NIL)
                                          (|htSayIndentRel| 15 'T)
                                          (setq |position|
                                           (KAR |relatives|))
@@ -20216,23 +18188,19 @@ $dbKindAlist :=
                                          (|htSayIndentRel|
                                           (SPADDIFFERENCE 15) 'T)
                                          (|htSayStandard|
-                                          "\\newline ")))))
-                          (|htSaySaturn| "\\\\")))
+                                          "\\newline ")))))))
                 (COND
                   ((CAR |$sig|) (setq |$displayReturnValue| 'T)
                    (|htSayStandard| "\\newline\\tab{2}")
                    (|htSay| "{\\em Returns:}")
-                   (|htSaySaturnAmpersand|) (|htSayIndentRel| 15 'T)
+                   (|htSayIndentRel| 15 'T)
                    (|htSayValue| (CAR |$sig|))
-                   (|htSayIndentRel| (SPADDIFFERENCE 15) 'T)
-                   (|htSaySaturn| "\\\\"))
+                   (|htSayIndentRel| (SPADDIFFERENCE 15) 'T))
                   ('T NIL))))
              (COND
                ((AND |origin|
                      (OR |$generalSearch?| (NEQUAL |origin| |conform|))
                      (NEQUAL |op| (|opOf| |origin|)))
-                (|htSaySaturn| "{\\em Origin:}")
-                (|htSaySaturnAmpersand|)
                 (|htSayStandard|
                     "\\newline\\tab{2}{\\em Origin:}")
                 (|htSayIndentRel| 15)
@@ -20242,17 +18210,14 @@ $dbKindAlist :=
                         |$includeUnexposed?|)
                    (|htSayUnexposed|)))
                 (|bcConform| |origin| 'T)
-                (|htSayIndentRel| (SPADDIFFERENCE 15))
-                (|htSaySaturn| "\\\\")))
+                (|htSayIndentRel| (SPADDIFFERENCE 15))))
              (COND
                ((NULL (member |predicate| '(T ASCONST)))
                 (setq |pred|
                          (|sublisFormal| (KDR |conform|) |predicate|))
                 (setq |count| (|#| |pred|))
-                (|htSaySaturn| "{\\em Conditions:}")
                 (|htSayStandard|
                     "\\newline\\tab{2}{\\em Conditions:}")
-                (setq |firstTime| 'T)
                 (DO ((G179538
                          (|displayBreakIntoAnds|
                              (MSUBST |$conform| '$ |pred|))
@@ -20262,36 +18227,28 @@ $dbKindAlist :=
                          (PROGN (SETQ |p| (CAR G179538)) NIL))
                      NIL)
                   (SEQ (EXIT (PROGN
-                               (COND
-                                 ((NULL |firstTime|)
-                                  (|htSaySaturn| "\\\\")))
                                (|htSayIndentRel| 15 (> |count| 1))
                                (setq |firstTime| NIL)
-                               (|htSaySaturnAmpersand|)
                                (|bcPred| |p| |$conform| 'T)
                                (|htSayIndentRel| (SPADDIFFERENCE 15)
                                    (> |count| 1))
                                (|htSayStandard|
-                                   "\\newline ")))))
-                (|htSaySaturn| "\\\\")))
+                                   "\\newline ")))))))
              (COND
                (|$whereList| (setq |count| (|#| |$whereList|))
-                   (|htSaySaturn| "{\\em Where:}")
                    (|htSayStandard|
                        "\\newline\\tab{2}{\\em Where:}")
                    (setq |firstTime| 'T)
                    (COND
                      ((|assoc| '$ |$whereList|)
-                      (|htSayIndentRel| 15 'T) (|htSaySaturnAmpersand|)
+                      (|htSayIndentRel| 15 'T)
                       (|htSayStandard| "{\\em \\$} is ")
-                      (|htSaySaturn| "{\\em \\%} is ")
                       (|htSay| (COND
                                  ((BOOT-EQUAL |$conkind|
                                       "category")
                                   "of category ")
                                  ('T "the domain ")))
                       (|bcConform| |conform| 'T 'T)
-                      (setq |firstTime| NIL)
                       (|htSayIndentRel| (SPADDIFFERENCE 15) 'T)))
                    (DO ((G179556 |$whereList| (CDR G179556))
                         (G179464 NIL))
@@ -20312,11 +18269,6 @@ $dbKindAlist :=
                                    (PROGN
                                      (|htSayIndentRel| 15
                                       (> |count| 1))
-                                     (COND
-                                       ((NULL |firstTime|)
-                                        (|htSaySaturn|
-                                         "\\\\ ")))
-                                     (|htSaySaturnAmpersand|)
                                      (setq |firstTime| NIL)
                                      (|htSay| '|{\\em | |d| '|} is |)
                                      (|htSayConstructor| |key|
@@ -20324,8 +18276,7 @@ $dbKindAlist :=
                                        |t|))
                                      (|htSayIndentRel|
                                       (SPADDIFFERENCE 15)
-                                      (> |count| 1))))))))
-                   (|htSaySaturn| "\\\\")))
+                                      (> |count| 1))))))))))
              (COND
                ((AND |doc| (NEQUAL |doc| "")
                      (OR (NULL (AND (CONSP |doc|) (EQ (QCDR |doc|) NIL)
@@ -20333,8 +18284,6 @@ $dbKindAlist :=
                                       (setq |d| (QCAR |doc|))
                                       'T)))
                          (NEQUAL |d| "")))
-                (|htSaySaturn| "{\\em Description:}")
-                (|htSaySaturnAmpersand|)
                 (|htSayStandard|
                     "\\newline\\tab{2}{\\em Description:}")
                 (|htSayIndentRel| 15)
@@ -20373,39 +18322,20 @@ $dbKindAlist :=
                 (COND
                   ((setq |abbr|
                             (GETDATABASE |conname| 'ABBREVIATION))
-                   (|htSaySaturn| "\\\\")
-                   (|htSaySaturn| "{\\em Abbreviation:}")
-                   (|htSaySaturnAmpersand|)
                    (|htSayStandard|
                        "\\tab{2}{\\em Abbreviation:}")
                    (|htSayIndentRel| 15) (|htSay| |abbr|)
                    (|htSayIndentRel| (SPADDIFFERENCE 15))
                    (|htSayStandard| "\\newline{}")))
-                (COND
-                  ((AND |$saturn|
-                        (setq |link|
-                                 (|saturnHasExamplePage| |conname|)))
-                   (|htSaySaturn| "\\\\")
-                   (|htSaySaturn| "{\\em Examples:}")
-                   (|htSaySaturnAmpersand|) (|htSayIndentRel| 15)
-                   (|htSay| "\\spadref{")
-                   (|htSay| (CAR (CDR |link|)))
-                   (|htSay| "}")
-                   (|htSayIndentRel| (SPADDIFFERENCE 15))
-                   (|htSayStandard| "\\newline{}")))
-                (|htSaySaturn| "\\\\")
-                (|htSaySaturn| "{\\em Source File:}")
-                (|htSaySaturnAmpersand|)
                 (|htSayStandard|
                     "\\tab{2}{\\em Source File:}")
                 (|htSayIndentRel| 15) (|htSaySourceFile| |conname|)
                 (|htSayIndentRel| (SPADDIFFERENCE 15))))
              (COND
-               ((AND |$standard| |exactlyOneOpSig|
+               ((AND |exactlyOneOpSig|
                      (setq |infoAlist|
                               (|htpProperty| |htPage| '|infoAlist|)))
-                (|displayInfoOp| |htPage| |infoAlist| |op| |sig|)))
-             (|htSaySaturn| "\\end{tabular}"))))))
+                (|displayInfoOp| |htPage| |infoAlist| |op| |sig|))))))))
 
 ;htSaySourceFile conname ==
 ;  sourceFileName := (GETDATABASE(conname,'SOURCEFILE) or '"none")
@@ -20439,7 +18369,7 @@ $dbKindAlist :=
 ;  flag := IFCAR options
 ;  m := ABSVAL n
 ;  if flag then m := m + 2
-;  if $standard then htSayStandard
+;  htSayStandard
 ;    n > 0 =>
 ;      flag => ['"\indent{",princ-to-string m,'"}\tab{-2}"]
 ;      ['"\indent{",princ-to-string m,'"}\tab{0}"]
@@ -20448,15 +18378,12 @@ $dbKindAlist :=
 (defun |htSayIndentRel| (&REST G179673 &AUX |options| |n|)
   (DSETQ (|n| . |options|) G179673)
   (PROG (|flag| |m|)
-  (declare (special |$standard|))
     (RETURN
       (PROGN
         (setq |flag| (IFCAR |options|))
         (setq |m| (abs |n|))
         (COND (|flag| (setq |m| (+ |m| 2))))
-        (COND
-          (|$standard|
-              (|htSayStandard|
+        (|htSayStandard|
                   (COND
                     ((> |n| 0)
                      (COND
@@ -20469,8 +18396,8 @@ $dbKindAlist :=
                               (CONS (princ-to-string |m|)
                                     (CONS "}\\tab{0}" NIL))))))
                     ((MINUSP |n|)
-                     (CONS "\\indent{0}\\newline " NIL)))))
-          ('T NIL))))))
+                     (CONS "\\indent{0}\\newline " NIL))))))))
+
 
 ;htSayUnexposed() ==
 ;  htSay '"{\em *}"
@@ -20485,128 +18412,40 @@ $dbKindAlist :=
 ;--=======================================================================
 ;--                       Page Operations
 ;--=======================================================================
-;htEndTabular() ==
-;  htSaySaturn '"\end{tabular}"
-
-(defun |htEndTabular| ()
-  (|htSaySaturn| "\\end{tabular}"))
-
-;htPopSaturn s ==
-;  pageDescription := ELT($saturnPage, 7)
-;  pageDescription is [=s,:b] => SETELT($saturnPage, 7, CDR pageDescription)
-;  nil
-
-(defun |htPopSaturn| (|s|)
-  (PROG (|pageDescription| |b|)
-  (declare (special |$saturnPage|))
-    (RETURN
-      (PROGN
-        (setq |pageDescription| (ELT |$saturnPage| 7))
-        (COND
-          ((AND (CONSP |pageDescription|)
-                (EQUAL (QCAR |pageDescription|) |s|)
-                (PROGN (setq |b| (QCDR |pageDescription|)) 'T))
-           (SETELT |$saturnPage| 7 (CDR |pageDescription|)))
-          ('T NIL))))))
-
 ;htBeginTable() ==
-;  htSaySaturn '"\begin{dirlist}[lv]"
 ;  htSayStandard '"\table{"
 
 (defun |htBeginTable| ()
-  (PROGN
-    (|htSaySaturn| "\\begin{dirlist}[lv]")
-    (|htSayStandard| "\\table{")))
+  (|htSayStandard| "\\table{"))
 
 ;htEndTable() ==
-;  htSaySaturn '"\end{dirlist}"
 ;  htSayStandard '"}"
 
 (defun |htEndTable| ()
-  (PROGN
-    (|htSaySaturn| "\\end{dirlist}")
-    (|htSayStandard| "}")))
+ (|htSayStandard| "}"))
 
 ;htBeginMenu(kind,:options) ==
 ;  skip := IFCAR options
-;  if $saturn then
-;    kind = 'description => htSaySaturn '"\begin{description}"
-;    htSaySaturn '"\begin{tabular}"
-;    htSaySaturn
-;      kind = 3 => '"{llp{0in}}"
-;      kind = 2 => '"{lp{0in}}"
-;      error nil
 ;  null skip => htSayStandard '"\beginmenu "
 ;  nil
 
 (defun |htBeginMenu| (&REST G179703 &AUX |options| |kind|)
   (DSETQ (|kind| . |options|) G179703)
-  (PROG (|skip|)
-  (declare (special |$saturn|))
-    (RETURN
-      (PROGN
-        (setq |skip| (IFCAR |options|))
-        (COND
-          (|$saturn|
-              (COND
-                ((BOOT-EQUAL |kind| '|description|)
-                 (|htSaySaturn| "\\begin{description}"))
-                ('T (|htSaySaturn| "\\begin{tabular}")
-                 (|htSaySaturn|
-                     (COND
-                       ((EQL |kind| 3) "{llp{0in}}")
-                       ((EQL |kind| 2) "{lp{0in}}")
-                       ('T (|error| NIL))))))))
-        (COND
-          ((NULL |skip|) (|htSayStandard| "\\beginmenu "))
-          ('T NIL))))))
+   (unless (ifcar |options|) (|htSayStandard| "\\beginmenu ")))
 
 ;htEndMenu(kind) ==
-;  if $saturn then
-;    kind = 'description => htSaySaturn '"\end{description}"
-;    htPopSaturn '"\\"
-;    htSaySaturn '"\end{tabular}"
 ;  htSayStandard '"\endmenu "
 
 (defun |htEndMenu| (|kind|)
-  (declare (special |$saturn|))
-  (PROGN
-    (COND
-      (|$saturn|
-          (COND
-            ((BOOT-EQUAL |kind| '|description|)
-             (|htSaySaturn| "\\end{description}"))
-            ('T (|htPopSaturn| "\\\\")
-             (|htSaySaturn| "\\end{tabular}")))))
-    (|htSayStandard| "\\endmenu ")))
+  (|htSayStandard| "\\endmenu "))
 
 ;htSayConstructorName(nameShown, name) ==
-;  if $saturn then
-;    code := ['"(|conPage| '|", name, '"|)"]
-;    htSaySaturn mkDocLink(code,nameShown)
-;  if $standard then
 ;    htSayStandard ["\lispdownlink{",nameShown,'"}{(|conPage| '|",name,'"|)}"]
 
 (defun |htSayConstructorName| (|nameShown| |name|)
-  (PROG (|code|)
-  (declare (special |$standard| |$saturn|))
-    (RETURN
-      (PROGN
-        (COND
-          (|$saturn|
-              (setq |code|
-                       (CONS "(|conPage| '|"
-                             (CONS |name| (CONS "|)" NIL))))
-              (|htSaySaturn| (|mkDocLink| |code| |nameShown|))))
-        (COND
-          (|$standard|
-              (|htSayStandard|
-                  (CONS '|\\lispdownlink{|
-                        (CONS |nameShown|
-                              (CONS "}{(|conPage| '|"
-                                    (CONS |name|
-                                     (CONS "|)}" NIL)))))))
-          ('T NIL))))))
+  (|htSayStandard|
+    (list '|\\lispdownlink{| |nameShown| "}{(|conPage| '|" |name| "|)}")))
+
 
 ;--------------------> NEW DEFINITION (see ht-util.boot.pamphlet)
 ;htAddHeading(title) ==
@@ -20614,58 +18453,26 @@ $dbKindAlist :=
 ;  page()
 
 (defun |htAddHeading| (|title|)
-  (PROGN (|htNewPage| |title|) (|page|)))
+  (PROGN (|htNewPage| |title|) |$curPage|))
 
 ;------------> called by htAddHeading, htInitPageNoScroll <-----------
 ;htNewPage title ==
-;  if $saturn then
-;    htSaySaturn '"\browseTitle{"
-;    htSaySaturn title
-;    htSaySaturn '"}"
-;  if $standard then htSayStandard('"\begin{page}{", htpName $curPage, '"}{")
+;  htSayStandard('"\begin{page}{", htpName $curPage, '"}{")
 ;  htSayStandard title
 ;  htSayStandard '"}"
 
 (defun |htNewPage| (|title|)
-  (declare (special |$saturn| |$curPage| |$standard|))
-  (PROGN
-    (COND
-      (|$saturn| (|htSaySaturn| "\\browseTitle{")
-          (|htSaySaturn| |title|) (|htSaySaturn| "}")))
-    (COND
-      (|$standard|
-          (|htSayStandard| "\\begin{page}{"
-              (|htpName| |$curPage|) "}{")))
+  (declare (special |$curPage|))
+    (|htSayStandard| "\\begin{page}{" (|htpName| |$curPage|) "}{")
     (|htSayStandard| |title|)
-    (|htSayStandard| "}")))
+    (|htSayStandard| "}"))
 
 ;--=======================================================================
 ;--                       Utilities
 ;--=======================================================================
-;mkTabularItem u == [:first u,:fn rest u] where fn x ==
-;  null x => nil
-;  [$saturnAmpersand, x,:fn rest x]
-
-(defun |mkTabularItem,fn| (|x|)
-  (declare (special |$saturnAmpersand|))
-  (SEQ (IF (NULL |x|) (EXIT NIL))
-       (EXIT (CONS |$saturnAmpersand|
-                   (CONS |x| (|mkTabularItem,fn| (CDR |x|)))))))
-
-(defun |mkTabularItem| (|u|)
-  (APPEND (CAR |u|) (|mkTabularItem,fn| (CDR |u|))))
-
-;htSaySaturnAmpersand() == htSaySaturn $saturnAmpersand
-
-(defun |htSaySaturnAmpersand| ()
- (declare (special |$saturnAmpersand|))
- (|htSaySaturn| |$saturnAmpersand|))
-
 ;htBlank(:options) ==
 ;  options is [n] =>
-;    htSaySaturn("STRCONC"/['"\phantom{*}" for i in 1..n])
 ;    htSayStandard STRCONC('"\space{",princ-to-string n,'"}")
-;  htSaySaturn '"\phantom{*}"
 ;  htSayStandard '"\space{1}"
 
 (defun |htBlank| (&REST G179750 &AUX |options|)
@@ -20675,20 +18482,10 @@ $dbKindAlist :=
       (SEQ (COND
              ((AND (CONSP |options|) (EQ (QCDR |options|) NIL)
                    (PROGN (setq |n| (QCAR |options|)) 'T))
-              (|htSaySaturn|
-                  (PROG (G179737)
-                    (setq G179737 "")
-                    (RETURN
-                      (DO ((|i| 1 (QSADD1 |i|)))
-                          ((QSGREATERP |i| |n|) G179737)
-                        (SEQ (EXIT (SETQ G179737
-                                    (STRCONC G179737
-                                     "\\phantom{*}"))))))))
               (|htSayStandard|
                   (STRCONC "\\space{" (princ-to-string |n|)
                            "}")))
-             ('T (|htSaySaturn| "\\phantom{*}")
-              (|htSayStandard| "\\space{1}")))))))
+             ('T (|htSayStandard| "\\space{1}")))))))
 
 ;unTab s ==
 ;  STRINGP s => unTab1 s
@@ -20716,34 +18513,20 @@ $dbKindAlist :=
         ('T |s|)))))
 
 ;satBreak() ==
-;  htSaySaturn '"\\ "
 ;  htSayStandard '"\item "
 
 (defun |satBreak| ()
   (PROGN
-    (|htSaySaturn| "\\\\ ")
     (|htSayStandard| "\\item ")))
 
 ;htBigSkip() ==
-;  htSaySaturn '"\bigskip{}"
 ;  htSayStandard '"\vspace{1}\newline "
 
 (defun |htBigSkip| ()
   (PROGN
-    (|htSaySaturn| "\\bigskip{}")
     (|htSayStandard| "\\vspace{1}\\newline ")))
 
-;htSaturnBreak() == htSaySaturn '"\!"
-
-(defun |htSaturnBreak| () (|htSaySaturn| "\\!"))
-
 ;satDownLink(s,code) ==
-;  htSaySaturn '"\lispFunctionLink{\verb!"
-;  htSaySaturn code
-;  htSaySaturn '"!}{"
-;  htSaySaturn s
-;  htSaySaturn '"}"
-;  ------------------
 ;  htSayStandard '"\lispdownlink{"
 ;  htSayStandard s
 ;  htSayStandard '"}{"
@@ -20751,25 +18534,13 @@ $dbKindAlist :=
 ;  htSayStandard '"}"
 
 (defun |satDownLink| (|s| |code|)
-  (PROGN
-    (|htSaySaturn| "\\lispFunctionLink{\\verb!")
-    (|htSaySaturn| |code|)
-    (|htSaySaturn| "!}{")
-    (|htSaySaturn| |s|)
-    (|htSaySaturn| "}")
     (|htSayStandard| "\\lispdownlink{")
     (|htSayStandard| |s|)
     (|htSayStandard| "}{")
     (|htSayStandard| |code|)
-    (|htSayStandard| "}")))
+    (|htSayStandard| "}"))
 
 ;satTypeDownLink(s,code) ==
-;  htSaySaturn '"\lispLink[d]{\verb!"
-;  htSaySaturn code
-;  htSaySaturn '"!}{"
-;  htSaySaturn s
-;  htSaySaturn '"}"
-;  ------------------
 ;  htSayStandard '"\lispdownlink{"
 ;  htSayStandard s
 ;  htSayStandard '"}{"
@@ -20777,17 +18548,11 @@ $dbKindAlist :=
 ;  htSayStandard '"}"
 
 (defun |satTypeDownLink| (|s| |code|)
-  (PROGN
-    (|htSaySaturn| "\\lispLink[d]{\\verb!")
-    (|htSaySaturn| |code|)
-    (|htSaySaturn| "!}{")
-    (|htSaySaturn| |s|)
-    (|htSaySaturn| "}")
     (|htSayStandard| "\\lispdownlink{")
     (|htSayStandard| |s|)
     (|htSayStandard| "}{")
     (|htSayStandard| |code|)
-    (|htSayStandard| "}")))
+    (|htSayStandard| "}"))
 
 ;mkButtonBox n == STRCONC('"\buttonbox{", princ-to-string n, '"}")
 
@@ -20985,8 +18750,7 @@ $dbKindAlist :=
 ;    val:= [fun,signature',e]
 ;    [fun,['Mapping,:signature'],oldE] -- oldE:= put($op,'value,removeEnv val,e)
 
-(defun |compDefineCapsuleFunction|
-       (|df| |m| |oldE| |$prefix| |$formalArgList|)
+(defun |compDefineCapsuleFunction| (|df| |m| |oldE| |$prefix| |$formalArgList|)
   (DECLARE (SPECIAL |$prefix| |$formalArgList| |$FormalFunctionParameterList|
                     |$signatureOfForm| |$functionLocations| |$profileCompiler|
                     |$functorStats|))
@@ -20997,8 +18761,7 @@ $dbKindAlist :=
                  |form| |signature| |body| |LETTMP#1| |lineNumber|
                  |specialCases| |argl| |identSig| |argModeList|
                  |signature'| |e| |rettype| |ISTMP#1| |localOrExported|
-                 |formattedSig| |wholeBody| |oldT| T$ |catchTag|
-                 |body'| |finalBody| |fun| |val|)
+                 |formattedSig| T$ |catchTag| |body'| |finalBody| |fun| |val|)
     (DECLARE (SPECIAL |$form| |$op| |$functionStats|
                       |$argumentConditionList| |$finalEnv|
                       |$initCapsuleErrorCount|
@@ -21278,7 +19041,6 @@ $dbKindAlist :=
 ;  mapping [target,:source] ==
 ;    tuple source
 ;    bcHt
-;      $saturn => '" {\ttrarrow} "
 ;      '" -> "
 ;    hd target
 ;  tuple u ==
@@ -21338,16 +19100,13 @@ $dbKindAlist :=
 
 (defun |bcConform1,mapping| (G180044)
   (PROG (|target| |source|)
-  (declare (special |$saturn|))
     (RETURN
       (SEQ (PROGN
              (setq |target| (CAR G180044))
              (setq |source| (CDR G180044))
              G180044
              (SEQ (|bcConform1,tuple| |source|)
-                  (|bcHt| (SEQ (IF |$saturn|
-                                   (EXIT " {\\ttrarrow} "))
-                               (EXIT " -> ")))
+                  (|bcHt| " -> ")
                   (EXIT (|bcConform1,hd| |target|))))))))
 
 (defun |bcConform1,hd| (|form|)
diff --git a/src/interp/format.lisp.pamphlet b/src/interp/format.lisp.pamphlet
index 77957e7..9cfc006 100644
--- a/src/interp/format.lisp.pamphlet
+++ b/src/interp/format.lisp.pamphlet
@@ -1129,12 +1129,6 @@ code which fixes bug 7217 bad title generated in Axiom 3D output.
                 (SETQ |bfVar#24| (CDR |bfVar#24|))))
              "" |u| NIL))))))
  
-; prefix2StringAsTeX form ==
-;   form2StringAsTeX form
- 
-(DEFUN |prefix2StringAsTeX| (|form|)
-  (PROG () (RETURN (|form2StringAsTeX| |form|))))
- 
 ; prefix2String form ==
 ;   $formatSigAsTeX: local := 1
 ;   form2StringLocal form
diff --git a/src/interp/i-output.lisp.pamphlet b/src/interp/i-output.lisp.pamphlet
index ef9ee67..2c54962 100644
--- a/src/interp/i-output.lisp.pamphlet
+++ b/src/interp/i-output.lisp.pamphlet
@@ -273,14 +273,12 @@ these functions return an updated ``layout so far'' in general
 
 ;mathprint x ==
 ;   x := outputTran x
-;   $saturn => texFormat1 x
 ;   maprin x
 
 (DEFUN |mathprint| (|x|)
-  (DECLARE (SPECIAL |$saturn|))
   (PROGN
     (setq |x| (|outputTran| |x|))
-    (COND (|$saturn| (|texFormat1| |x|)) ('T (|maprin| |x|)))))
+    (|maprin| |x|)))
 
 
 ;sayMath u ==
diff --git a/src/interp/interp-proclaims.lisp b/src/interp/interp-proclaims.lisp
index fc82b2f..dea89dc 100644
--- a/src/interp/interp-proclaims.lisp
+++ b/src/interp/interp-proclaims.lisp
@@ -344,7 +344,7 @@
             BOOT::|algCoerceInteractive| BOOT::|buildPredVector,fn|
             BOOT::|extendsCategoryBasic| BOOT::|catExtendsCat?|
             BOOT::|expandType| BOOT::|expandTypeArgs| 
-            BOOT::|dbPresentOpsSaturn| BOOT::|reduceOpAlistForDomain|
+            BOOT::|reduceOpAlistForDomain|
             BOOT::|mungeAddGensyms,fn| BOOT::|dbReduceBySelection|
             BOOT::|extendsCategoryBasic0| BOOT::|substSlotNumbers|
             BOOT::|dbReduceBySignature| BOOT::|extendsCategory|
@@ -394,7 +394,7 @@
             BOOT:|StringFromTo| BOOT::|patternCheck,equal|
             BOOT:|StringFromLong| BOOT::|rightCharPosition|
             BOOT::|infix?| BOOT::|matchSegment?| BOOT::|stringMatch|
-            BOOT::|skipBlanks| BOOT::|dbPresentConsSaturn|
+            BOOT::|skipBlanks|
             BOOT::MAKE-DEFUN BOOT::|compOrCroak| BOOT::|profileRecord|
             BOOT::|getSignature| 
             BOOT::|getArgumentModeOrMoan|
@@ -593,7 +593,7 @@
             BOOT::|dbShowInfoOp| BOOT::|compReduce1| BOOT::|letPrint3|
             BOOT::|intloopSpadProcess| BOOT::|zagApp|
             BOOT::|findBalancingBrace| BOOT::|appelse| BOOT::|appChar|
-            BOOT::|appInfix| BOOT::|htMakeButtonSaturn|
+            BOOT::|appInfix|
             BOOT::|vconcatapp| BOOT::|superSubApp| BOOT::|xLate|
             BOOT::|appconc| BOOT::MAKELIB BOOT::|appparu|
             BOOT::|charySemiColon| BOOT::|charyElse|
@@ -730,11 +730,11 @@
             BOOT::|f02axf| BOOT::|f02awf| BOOT::|f02akf| BOOT::|f02ajf|
             BOOT::|f02agf| BOOT::|htShowPageNoScroll| BOOT::|f02aff|
             BOOT::|f02aef| BOOT::|f02adf| BOOT::|f02abf| BOOT::|f02aaf|
-            BOOT::|measure| BOOT::|writeSaturnSuffix| 
+            BOOT::|measure|
             BOOT::|htErrorStar|
             BOOT::|queryClients| BOOT::|onDisk| BOOT::|endHTPage|
             BOOT::|readSpadProfileIfThere| BOOT::|bcDraw3Dpar1|
-            BOOT::|bcDraw3Dpar| BOOT::|htShowPageStarSaturn|
+            BOOT::|bcDraw3Dpar|
             BOOT::|htShowPageStar| BOOT::|bcDraw3Dfun|
             BOOT::|bcDraw2Dpar| BOOT::|bcSum| BOOT::|bcSeries|
             BOOT::|bcProduct| BOOT::|bcLimit|
@@ -929,9 +929,9 @@
             BOOT::|mkDependentsHashTable|
             BOOT::|buildDefaultPackageNamesHT|
             BOOT::|dbAugmentConstructorDataTable| FOAM:|fiGetDebugVar|
-            BOOT::|menuButton| BOOT::|htSaturnBreak| BOOT::|random|
+            BOOT::|menuButton| BOOT::|random|
             BOOT::|dbConsExposureMessage| BOOT::|mkSigPredVectors|
-            BOOT::FIRST-ERROR BOOT::|writeSaturnPrefix| BOOT::|on|
+            BOOT::FIRST-ERROR BOOT::|on|
             BOOT::|offDisk| BOOT::|htBigSkip| 
             BOOT::|traceReply| BOOT::|?t|
             BOOT::SKIP-BLANKS BOOT::|pspacers| BOOT::NEXT-LINES-SHOW
@@ -963,9 +963,9 @@
             BOOT::|printStatisticsSummary| BOOT::|printStorage|
             BOOT::|prTraceNames| BOOT::|spad| BOOT::|spadpo|
             BOOT::|intloop| BOOT::|off| BOOT::|htEndTabular|
-            BOOT::|htSaySaturnAmpersand| BOOT::|page|
-            BOOT::|clearFrame| BOOT::|getSaturnExampleList|
-            BOOT::|saturnTERPRI| BOOT::|bcSadFaces| BOOT::YEARWEEK
+            BOOT::|page|
+            BOOT::|clearFrame| 
+            BOOT::|bcSadFaces| BOOT::YEARWEEK
             BOOT::|npBPileDefinition| BOOT::|npTypified|
             BOOT::|npVariablelist| BOOT::|npTagged| BOOT::|bcvspace|
             BOOT::|npTypeStyle| BOOT::|npColonQuery| BOOT::|npPretend|
@@ -1233,7 +1233,7 @@
             BOOT::|bcSeriesByFormulaGen| BOOT::|bcNotReady|
             BOOT::|bcDraw2DfunGen| BOOT::|bcTaylorSeriesGen|
             BOOT::|bcDraw2DSolveGen| BOOT::KCL-OS-ENV-GET
-            BOOT::|bcComplexLimitGen| BOOT::|saturnPRINTEXP|
+            BOOT::|bcComplexLimitGen|
             BOOT::|bcSeriesExpansionGen| BOOT::COMPILE-BOOT-FILE
             BOOT::|bcCreateVariableString| BOOT::|bcGenEquations|
             BOOT::|vConcatSuper| BOOT::BOOT-LOAD
@@ -1264,7 +1264,7 @@
             BOOT::|ncAlist| BOOT::|tuple2String,f|
             BOOT::|formatAttributeArg| BOOT::|formString|
             BOOT::|form2StringWithPrens| BOOT::|prefix2String|
-            BOOT::|form2StringAsTeX| BOOT::|prefix2StringAsTeX|)) 
+            BOOT::|form2StringAsTeX|)) 
 (PROCLAIM
     '(FTYPE (FUNCTION (*) T) BOOT::|bcConform| BOOT:STREAM-EOF
             BOOT::|categoryParts| BOOT:IOCLEAR BOOT:SAY BOOT:MOAN
@@ -1318,7 +1318,7 @@
             BOOT::NEXT-BOOT-LINE BOOT::|concat| BOOT::SPAD_SYNTAX_ERROR
             BOOT::BOOT BOOT::|htQuery| BOOT::SPAD
             BOOT::|htSayIndentRel| BOOT::|bcConPredTable|
-            BOOT::|htSaySaturn| BOOT::|dbSayItems| BOOT::|simpHasPred|
+            BOOT::|dbSayItems| BOOT::|simpHasPred|
             BOOT::|start| BOOT::|protectedPrompt|
             BOOT::|htpMakeEmptyPage| BOOT::|htMakeButton|
             BOOT::|htSayIfStandard| BOOT::|htSay| BOOT::|incZip1|
@@ -1844,7 +1844,7 @@
             VMLISP:|last| BOOT::|postBlockItem| BOOT::|postQuote|
             BOOT::|postSequence| BOOT::|postTranList|
             BOOT::|checkWarning| VMLISP:HASHTABLE-CLASS
-            BOOT::|downlinkSaturn| BOOT::|decodeScripts,fn|
+            BOOT::|decodeScripts,fn|
             BOOT::|mkUnixPattern| BOOT::|tuple2List|
             BOOT::|postCapsule| BOOT::|patternCheck| BOOT::|postElt|
             BOOT::|postSEGMENT| BOOT::|e04nafSolve,ff|
@@ -2297,7 +2297,6 @@
             BOOT::|addConsDB,min| BOOT::NEXT-TAB-LOC
             BOOT:|CsetComplement| BOOT::|measureCommon|
             BOOT:|CsetString| BOOT::|getDependentsOfConstructor|
-            BOOT::|htMakeSaturnFilterPage| BOOT::|writeSaturnLines|
             BOOT::|hasIdent| BOOT::|addConsDB,HashCheck|
             BOOT::|parseNoMacroFromString| BOOT::|mapConsDB|
             BOOT::|pf2Sex| BOOT::|squeezeConsDB| BOOT::|StreamNull|
@@ -2389,28 +2388,28 @@
             BOOT::|numberize| BOOT::|hasNewInfoText|
             BOOT::|splitConTable| BOOT::|dbGetDocTable,gn|
             BOOT::|string2Integer| BOOT::|recordFrame|
-            BOOT::|issueHTSaturn| BOOT::|kTestPred|
+            BOOT::|kTestPred|
             BOOT::|segmentKeyedMsg| BOOT::|htpPageDescription|
-            BOOT::|dbDocTable| BOOT::|saturnTran| BOOT::|bcUnixTable|
+            BOOT::|dbDocTable| BOOT::|bcUnixTable|
             BOOT::|mkTabularItem| BOOT::|printAsTeX|
             BOOT::|isAsharpFileName?| BOOT::|isMenuItemStyle?|
-            BOOT::|saturnTranText| BOOT::|bcError|
+            BOOT::|bcError|
             BOOT::|transOnlyOption| BOOT::|kPageContextMenu|
             BOOT::|bcString2WordList| BOOT::|unTab1|
             BOOT::|shortenForPrinting| BOOT::|getBpiNameIfTracedMap|
             BOOT::|recordAndPrintTest| BOOT::|mkTabularItem,fn|
             BOOT::|PullAndExecuteSpadSystemCommand| BOOT::|htNewPage|
             BOOT::|htpName| BOOT::|prTraceNames,fn|
-            BOOT::|htMakePageSaturn| BOOT::|e02zafSolve,flam|
+            BOOT::|e02zafSolve,flam|
             BOOT::|isCapitalWord| BOOT::|zagSuper| BOOT::|height|
             BOOT::|zagSub| BOOT::|inputPrompt|
             BOOT::|flattenOperationAlist| BOOT::|variableNumber|
             BOOT::|spadTrace,g| BOOT::|mkPredList,fn|
-            BOOT::|isTraceGensym| BOOT::|htPopSaturn|
+            BOOT::|isTraceGensym|
             BOOT::|htMakePageStandard| BOOT::|undo| BOOT::|dbKind|
             BOOT::|undoCount| BOOT::|stringer| BOOT::|outputTranIf|
             BOOT::|htInitPageNoHeading| BOOT::|undoLocalModemapHack|
-            BOOT::|saturnHasExamplePage| BOOT::|reportUndo| BOOT::|iht|
+            BOOT::|reportUndo| BOOT::|iht|
             BOOT::|bcIssueHt| BOOT::|bcConform1| BOOT::|keyp|
             BOOT::|bcConform1,hd| BOOT::|binomialWidth|
             BOOT::|htSaySourceFile| BOOT::|basicStringize|
@@ -2424,15 +2423,15 @@
             BOOT::|dbGetDocTable,hn| BOOT::|absym|
             BOOT::|dbEvalableConstructor?| BOOT::|getCallBack|
             BOOT::|texFormat1| BOOT::|unTab|
-            BOOT::RETRANSLATE-DIRECTORY BOOT::|kPageContextMenuSaturn|
+            BOOT::RETRANSLATE-DIRECTORY
             BOOT::|maPrin| BOOT::RETRANSLATE-FILE-IF-NECESSARY
-            BOOT::|saturnExampleLink| BOOT::|explainLinear|
+            BOOT::|explainLinear|
             BOOT::RECOMPILE-ALL-LIBS BOOT::|htSayCold|
             BOOT::RECOMPILE-LIB-DIRECTORY
-            BOOT::RECOMPILE-NRLIB-IF-NECESSARY BOOT::|writeSaturnTable|
+            BOOT::RECOMPILE-NRLIB-IF-NECESSARY
             BOOT::|maprinRows| BOOT::RECOMPILE-ALL-FILES
-            BOOT::|writeSaturn| BOOT::|maprinChk|
-            BOOT::|writeSaturnPrint| BOOT::RECOMPILE-ALL-ALGEBRA-FILES
+            BOOT::|maprinChk|
+            BOOT::RECOMPILE-ALL-ALGEBRA-FILES
             BOOT::|bcConform1,say| BOOT::|escapeSpecialIds|
             BOOT::|vConcatSub| BOOT::LOAD-DIRECTORY
             BOOT::|postDoubleSharp| BOOT::|sumoverlist|
@@ -2612,7 +2611,7 @@
             BOOT::|e02bafDefaultSolve| BOOT::|e02bdfDefaultSolve|
             BOOT::|e02defDefaultSolve| BOOT::|sockSendFloat|
             BOOT::ERASE
-            BOOT::|sayErrorly| BOOT::|saturnSayErrorly| BOOT::|set1|
+            BOOT::|sayErrorly| BOOT::|set1|
             BOOT::|displaySetOptionInformation| BOOT::|mkGrepPattern|
             BOOT::|showDoc| BOOT::|genSearchSayJump| BOOT::|oPageFrom|
             BOOT::|showConstruct| BOOT::|htCommandToInputLine,fn|
@@ -2747,10 +2746,10 @@
             BOOT::|systemDependentMkAutoload| BOOT:MKPF
             BOOT::|mkAutoLoad| BOOT:STRM BOOT::|wordFrom|
             FOAM::|magicEq1| BOOT::|throwKeyedMsg1|
-            BOOT::|saturnThrowKeyedMsg| BOOT::|center|
+            BOOT::|center|
             BOOT::|substituteCategoryArguments|
             BOOT::|isDomainConstructorForm| BOOT::|keyedSystemError1|
-            BOOT::|orderByDependency| BOOT::|saturnKeyedSystemError|
+            BOOT::|orderByDependency|
             BOOT::|getFunctorOpsAndAtts| BOOT::|breakKeyedMsg|
             BOOT::|fastSearchCurrentEnv| BOOT::|putMode|
             BOOT::|splitListOn| BOOT::|putFlag|
@@ -3273,7 +3272,7 @@
             BOOT::|dbSpecialExpandIfNecessary| BOOT::|sameUnionBranch|
             BOOT::|htpSetPageDescription| BOOT::|testBitVector|
             BOOT::|dbShowConsDoc| BOOT::|printTypeAndTimeNormal|
-            BOOT::|satTypeDownLink| BOOT::|printTypeAndTimeSaturn|
+            BOOT::|satTypeDownLink|
             BOOT::|mkDocLink| BOOT::|addParameterTemplates|
             BOOT::|hasPair| BOOT::|htpAddToPageDescription|
             BOOT::|getAliasIfTracedMapParameter| BOOT::|pfAbSynOp?|
diff --git a/src/interp/msgdb.lisp.pamphlet b/src/interp/msgdb.lisp.pamphlet
index 9cad9df..e338789 100644
--- a/src/interp/msgdb.lisp.pamphlet
+++ b/src/interp/msgdb.lisp.pamphlet
@@ -231,12 +231,9 @@
 ;      if MEMQ(char 'm,q) then arg := [['"%m",:arg]]
 ;      if MEMQ(char 's,q) then arg := [['"%s",:arg]]
 ;      if MEMQ(char 'p,q) then
-;          $texFormatting => arg := prefix2StringAsTeX arg
 ;          arg := prefix2String arg
 ;      if MEMQ(char 'P,q) then
-;          $texFormatting => arg := [prefix2StringAsTeX x for x in arg]
 ;          arg := [prefix2String x for x in arg]
-;      if MEMQ(char 'o, q) and $texFormatting then arg := operationLink(arg)
 ;      if MEMQ(char 'c,q) then arg := [['"%ce",:arg]]
 ;      if MEMQ(char 'r,q) then arg := [['"%rj",:arg]]
 ;      if MEMQ(char 'l,q) then l := cons('"%l",l)
@@ -262,7 +259,6 @@
 
 (defun |substituteSegmentedMsg| (|msg| |args|)
   (PROG (|nargs| |c| |n| |v| |a| |q| |arg| |head| |tail| |l|)
-  (declare (special |$texFormatting|))
     (RETURN
       (SEQ (PROGN
              (setq |l| nil)
@@ -337,39 +333,10 @@
                                      nil))))
                                 (COND
                                   ((member #\p |q|)
-                                   (COND
-                                     (|$texFormatting|
                                       (setq |arg|
-                                       (|prefix2StringAsTeX| |arg|)))
-                                     (t
-                                      (setq |arg|
-                                       (|prefix2String| |arg|))))))
+                                       (|prefix2String| |arg|))))
                                 (COND
                                   ((member #\P |q|)
-                                   (COND
-                                     (|$texFormatting|
-                                      (setq |arg|
-                                       (PROG (G166232)
-                                         (setq G166232 nil)
-                                         (RETURN
-                                           (DO
-                                            ((G166237 |arg|
-                                              (CDR G166237))
-                                             (|x| nil))
-                                            ((OR (ATOM G166237)
-                                              (PROGN
-                                                (SETQ |x|
-                                                 (CAR G166237))
-                                                nil))
-                                             (NREVERSE0 G166232))
-                                             (SEQ
-                                              (EXIT
-                                               (SETQ G166232
-                                                (cons
-                                                 (|prefix2StringAsTeX|
-                                                  |x|)
-                                                 G166232)))))))))
-                                     (t
                                       (setq |arg|
                                        (PROG (G166247)
                                          (setq G166247 nil)
@@ -389,12 +356,7 @@
                                                (SETQ G166247
                                                 (cons
                                                  (|prefix2String| |x|)
-                                                 G166247))))))))))))
-                                (COND
-                                  ((AND (member #\o |q|)
-                                    |$texFormatting|)
-                                   (setq |arg|
-                                    (|operationLink| |arg|))))
+                                                 G166247))))))))))
                                 (COND
                                   ((member #\c |q|)
                                    (setq |arg|
@@ -757,7 +719,6 @@
 ;  msg is [[ce,:.]] and ce in '(%ce "%ce" %rj "%rj") => msg
 ;  -- if we are formatting latex, then we assume
 ;  -- that nothing needs to be done
-;  $texFormatting => msg
 ;  -- msgs that are entirely centered are not flowed
 ;  msg is [[ce,:.]] and ListMember?(ce,'(%ce "%ce")) => msg
 ;
@@ -810,7 +771,6 @@
 (defun |flowSegmentedMsg| (|msg| |len| |offset|)
   (PROG (|ISTMP#1| |ce| |a| |potentialMarg| |sbl| |tot| |firstLine|
                    |off1| |off| |actualMarg| |nl| |lnl|)
-  (declare (special |$texFormatting|))
     (RETURN
       (SEQ (COND
              ((AND (consp |msg|) (EQ (QCDR |msg|) nil)
@@ -820,7 +780,6 @@
                           (PROGN (setq |ce| (QCAR |ISTMP#1|)) t)))
                    (|member| |ce| '(|%ce| "%ce" |%rj| "%rj")))
               |msg|)
-             (|$texFormatting| |msg|)
              ((AND (consp |msg|) (EQ (QCDR |msg|) nil)
                    (PROGN
                      (setq |ISTMP#1| (QCAR |msg|))
@@ -1067,7 +1026,6 @@
              nil)))))
 
 ;brightPrint0 x ==
-;  $texFormatting => brightPrint0AsTeX x
 ;  if IDENTP x then x := PNAME x
 ;  -- if the first character is a backslash and the second is a percent sign,
 ;  -- don't try to give the token any special interpretation. Just print
@@ -1103,11 +1061,9 @@
 (defun |brightPrint0| (|x|)
   (PROG (|k|)
   (declare (special |$highlightFontOff| |$highlightAllowed| $MARG
-                    |$highlightFontOn| |$texFormatting|))
+                    |$highlightFontOn|))
     (RETURN
-      (SEQ (COND
-             (|$texFormatting| (|brightPrint0AsTeX| |x|))
-             (t (COND ((IDENTP |x|) (setq |x| (PNAME |x|))))
+      (SEQ  (COND ((IDENTP |x|) (setq |x| (PNAME |x|))))
               (COND
                 ((AND (STRINGP |x|) (> (STRINGLENGTH |x|) 1)
                       (BOOT-EQUAL (ELT |x| 0) #\\)
@@ -1129,7 +1085,7 @@
                  (princ "%"))
                 ((setq |k| (|blankIndicator| |x|)) (BLANKS |k|))
                 ((STRINGP |x|) (princ |x|))
-                (t (|brightPrintHighlight| |x|)))))))))
+                (t (|brightPrintHighlight| |x|)))))))
 
 ;brightPrint0AsTeX x ==
 ;  x = '"%l" =>
@@ -1225,7 +1181,6 @@
     nil))
 
 ;brightPrintHighlight x ==
-;  $texFormatting => brightPrintHighlightAsTeX x
 ;  IDENTP x =>
 ;    pn := PNAME x
 ;    sayString pn
@@ -1254,10 +1209,9 @@
 
 (defun |brightPrintHighlight| (|x|)
   (PROG (|pn| |key| |rst| |la|)
-  (declare (special $MARG |$texFormatting|))
+  (declare (special $MARG))
     (RETURN
       (SEQ (COND
-             (|$texFormatting| (|brightPrintHighlightAsTeX| |x|))
              ((IDENTP |x|) (setq |pn| (PNAME |x|))
               (princ |pn|))
              ((VECP |x|) (princ |x|))
@@ -1382,7 +1336,6 @@
         (COND ((> |num| |maxTab|) |maxTab|) (t |num|))))))
 
 ;brightPrintCenter x ==
-;  $texFormatting => brightPrintCenterAsTeX x
 ;  -- centers rst within $LINELENGTH, checking for %l's
 ;  ATOM x =>
 ;    x := object2String x
@@ -1411,10 +1364,9 @@
 
 (defun |brightPrintCenter| (|x|)
   (PROG (|ok| |wid| |f| |y|)
-  (declare (special $LINELENGTH |$texFormatting|))
+  (declare (special $LINELENGTH))
     (RETURN
       (SEQ (COND
-             (|$texFormatting| (|brightPrintCenterAsTeX| |x|))
              ((ATOM |x|) (setq |x| (|object2String| |x|))
               (setq |wid| (STRINGLENGTH |x|))
               (COND
diff --git a/src/interp/patches.lisp.pamphlet b/src/interp/patches.lisp.pamphlet
index 878b3fb..bc2bfda 100644
--- a/src/interp/patches.lisp.pamphlet
+++ b/src/interp/patches.lisp.pamphlet
@@ -63,12 +63,6 @@ previous definition.
 (in-package "BOOT")
 ;;patches for now
 
-;; browser stuff:
-#+:UNIX (defvar |$standard| 't)
-#-:UNIX (defvar |$standard| 'nil)
-#+:UNIX (defvar |$saturn| 'nil)
-#-:UNIX (defvar |$saturn| 't)
-
 (defun CATCHALL (a &rest b) a) ;; not correct but ok for now
 (defvar |$demoFlag| nil)
 
-- 
1.7.5.4

